#include "init.c"
#include "getargs.c"
#include "getargsfast.c"
#include "int_ops.c"
#include "float_ops.c"
#include "str_ops.c"
#include "bytes_ops.c"
#include "list_ops.c"
#include "dict_ops.c"
#include "set_ops.c"
#include "tuple_ops.c"
#include "exc_ops.c"
#include "misc_ops.c"
#include "generic_ops.c"
#include "__native_md.h"
#include "__native_internal_md.h"

static PyObject *MessDetectorPlugin_setup(PyTypeObject *type);
PyObject *CPyDef_MessDetectorPlugin(void);

static PyObject *
MessDetectorPlugin_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_MessDetectorPlugin) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return MessDetectorPlugin_setup(type);
}

static int
MessDetectorPlugin_traverse(charset_normalizer___md___MessDetectorPluginObject *self, visitproc visit, void *arg)
{
    return 0;
}

static int
MessDetectorPlugin_clear(charset_normalizer___md___MessDetectorPluginObject *self)
{
    return 0;
}

static void
MessDetectorPlugin_dealloc(charset_normalizer___md___MessDetectorPluginObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, MessDetectorPlugin_dealloc)
    MessDetectorPlugin_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem MessDetectorPlugin_vtable[4];
static bool
CPyDef_MessDetectorPlugin_trait_vtable_setup(void)
{
    CPyVTableItem MessDetectorPlugin_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_MessDetectorPlugin___eligible,
        (CPyVTableItem)CPyDef_MessDetectorPlugin___feed,
        (CPyVTableItem)CPyDef_MessDetectorPlugin___reset,
        (CPyVTableItem)CPyDef_MessDetectorPlugin___ratio,
    };
    memcpy(MessDetectorPlugin_vtable, MessDetectorPlugin_vtable_scratch, sizeof(MessDetectorPlugin_vtable));
    return 1;
}

static PyObject *
MessDetectorPlugin_get_ratio(charset_normalizer___md___MessDetectorPluginObject *self, void *closure);

static PyGetSetDef MessDetectorPlugin_getseters[] = {
    {"ratio",
     (getter)MessDetectorPlugin_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef MessDetectorPlugin_methods[] = {
    {"eligible",
     (PyCFunction)CPyPy_MessDetectorPlugin___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_MessDetectorPlugin___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_MessDetectorPlugin___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_MessDetectorPlugin_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "MessDetectorPlugin",
    .tp_new = MessDetectorPlugin_new,
    .tp_dealloc = (destructor)MessDetectorPlugin_dealloc,
    .tp_traverse = (traverseproc)MessDetectorPlugin_traverse,
    .tp_clear = (inquiry)MessDetectorPlugin_clear,
    .tp_getset = MessDetectorPlugin_getseters,
    .tp_methods = MessDetectorPlugin_methods,
    .tp_basicsize = sizeof(charset_normalizer___md___MessDetectorPluginObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_MessDetectorPlugin_template = &CPyType_MessDetectorPlugin_template_;

static PyObject *
MessDetectorPlugin_setup(PyTypeObject *type)
{
    charset_normalizer___md___MessDetectorPluginObject *self;
    self = (charset_normalizer___md___MessDetectorPluginObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = MessDetectorPlugin_vtable;
    return (PyObject *)self;
}

PyObject *CPyDef_MessDetectorPlugin(void)
{
    PyObject *self = MessDetectorPlugin_setup(CPyType_MessDetectorPlugin);
    if (self == NULL)
        return NULL;
    return self;
}


static PyObject *
MessDetectorPlugin_get_ratio(charset_normalizer___md___MessDetectorPluginObject *self, void *closure)
{
    double retval = CPyDef_MessDetectorPlugin___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}

static int
TooManySymbolOrPunctuationPlugin_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *TooManySymbolOrPunctuationPlugin_setup(PyTypeObject *type);
PyObject *CPyDef_TooManySymbolOrPunctuationPlugin(void);

static PyObject *
TooManySymbolOrPunctuationPlugin_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_TooManySymbolOrPunctuationPlugin) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = TooManySymbolOrPunctuationPlugin_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_TooManySymbolOrPunctuationPlugin_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
TooManySymbolOrPunctuationPlugin_traverse(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, visitproc visit, void *arg)
{
    if (CPyTagged_CheckLong(self->__punctuation_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__punctuation_count));
    }
    if (CPyTagged_CheckLong(self->__symbol_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__symbol_count));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__character_count));
    }
    Py_VISIT(self->__last_printable_char);
    return 0;
}

static int
TooManySymbolOrPunctuationPlugin_clear(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self)
{
    if (CPyTagged_CheckLong(self->__punctuation_count)) {
        CPyTagged __tmp = self->__punctuation_count;
        self->__punctuation_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__symbol_count)) {
        CPyTagged __tmp = self->__symbol_count;
        self->__symbol_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        CPyTagged __tmp = self->__character_count;
        self->__character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    Py_CLEAR(self->__last_printable_char);
    return 0;
}

static void
TooManySymbolOrPunctuationPlugin_dealloc(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, TooManySymbolOrPunctuationPlugin_dealloc)
    TooManySymbolOrPunctuationPlugin_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem TooManySymbolOrPunctuationPlugin_vtable[9];
static bool
CPyDef_TooManySymbolOrPunctuationPlugin_trait_vtable_setup(void)
{
    CPyVTableItem TooManySymbolOrPunctuationPlugin_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin___eligible,
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin___feed,
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin___reset,
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin___ratio,
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin_____init__,
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin___eligible,
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin___feed,
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin___reset,
        (CPyVTableItem)CPyDef_TooManySymbolOrPunctuationPlugin___ratio,
    };
    memcpy(TooManySymbolOrPunctuationPlugin_vtable, TooManySymbolOrPunctuationPlugin_vtable_scratch, sizeof(TooManySymbolOrPunctuationPlugin_vtable));
    return 1;
}

static PyObject *
TooManySymbolOrPunctuationPlugin_get__punctuation_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure);
static int
TooManySymbolOrPunctuationPlugin_set__punctuation_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure);
static PyObject *
TooManySymbolOrPunctuationPlugin_get__symbol_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure);
static int
TooManySymbolOrPunctuationPlugin_set__symbol_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure);
static PyObject *
TooManySymbolOrPunctuationPlugin_get__character_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure);
static int
TooManySymbolOrPunctuationPlugin_set__character_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure);
static PyObject *
TooManySymbolOrPunctuationPlugin_get__last_printable_char(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure);
static int
TooManySymbolOrPunctuationPlugin_set__last_printable_char(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure);
static PyObject *
TooManySymbolOrPunctuationPlugin_get__frenzy_symbol_in_word(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure);
static int
TooManySymbolOrPunctuationPlugin_set__frenzy_symbol_in_word(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure);
static PyObject *
TooManySymbolOrPunctuationPlugin_get_ratio(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure);

static PyGetSetDef TooManySymbolOrPunctuationPlugin_getseters[] = {
    {"_punctuation_count",
     (getter)TooManySymbolOrPunctuationPlugin_get__punctuation_count, (setter)TooManySymbolOrPunctuationPlugin_set__punctuation_count,
     NULL, NULL},
    {"_symbol_count",
     (getter)TooManySymbolOrPunctuationPlugin_get__symbol_count, (setter)TooManySymbolOrPunctuationPlugin_set__symbol_count,
     NULL, NULL},
    {"_character_count",
     (getter)TooManySymbolOrPunctuationPlugin_get__character_count, (setter)TooManySymbolOrPunctuationPlugin_set__character_count,
     NULL, NULL},
    {"_last_printable_char",
     (getter)TooManySymbolOrPunctuationPlugin_get__last_printable_char, (setter)TooManySymbolOrPunctuationPlugin_set__last_printable_char,
     NULL, NULL},
    {"_frenzy_symbol_in_word",
     (getter)TooManySymbolOrPunctuationPlugin_get__frenzy_symbol_in_word, (setter)TooManySymbolOrPunctuationPlugin_set__frenzy_symbol_in_word,
     NULL, NULL},
    {"ratio",
     (getter)TooManySymbolOrPunctuationPlugin_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef TooManySymbolOrPunctuationPlugin_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_TooManySymbolOrPunctuationPlugin_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"eligible",
     (PyCFunction)CPyPy_TooManySymbolOrPunctuationPlugin___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_TooManySymbolOrPunctuationPlugin___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_TooManySymbolOrPunctuationPlugin___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_TooManySymbolOrPunctuationPlugin_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "TooManySymbolOrPunctuationPlugin",
    .tp_new = TooManySymbolOrPunctuationPlugin_new,
    .tp_dealloc = (destructor)TooManySymbolOrPunctuationPlugin_dealloc,
    .tp_traverse = (traverseproc)TooManySymbolOrPunctuationPlugin_traverse,
    .tp_clear = (inquiry)TooManySymbolOrPunctuationPlugin_clear,
    .tp_getset = TooManySymbolOrPunctuationPlugin_getseters,
    .tp_methods = TooManySymbolOrPunctuationPlugin_methods,
    .tp_init = TooManySymbolOrPunctuationPlugin_init,
    .tp_basicsize = sizeof(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_TooManySymbolOrPunctuationPlugin_template = &CPyType_TooManySymbolOrPunctuationPlugin_template_;

static PyObject *
TooManySymbolOrPunctuationPlugin_setup(PyTypeObject *type)
{
    charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self;
    self = (charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = TooManySymbolOrPunctuationPlugin_vtable;
    self->__punctuation_count = CPY_INT_TAG;
    self->__symbol_count = CPY_INT_TAG;
    self->__character_count = CPY_INT_TAG;
    self->__frenzy_symbol_in_word = 2;
    return (PyObject *)self;
}

PyObject *CPyDef_TooManySymbolOrPunctuationPlugin(void)
{
    PyObject *self = TooManySymbolOrPunctuationPlugin_setup(CPyType_TooManySymbolOrPunctuationPlugin);
    if (self == NULL)
        return NULL;
    char res = CPyDef_TooManySymbolOrPunctuationPlugin_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
TooManySymbolOrPunctuationPlugin_get__punctuation_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure)
{
    if (unlikely(self->__punctuation_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_punctuation_count' of 'TooManySymbolOrPunctuationPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__punctuation_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__punctuation_count);
    return retval;
}

static int
TooManySymbolOrPunctuationPlugin_set__punctuation_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'TooManySymbolOrPunctuationPlugin' object attribute '_punctuation_count' cannot be deleted");
        return -1;
    }
    if (self->__punctuation_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__punctuation_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__punctuation_count = tmp;
    return 0;
}

static PyObject *
TooManySymbolOrPunctuationPlugin_get__symbol_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure)
{
    if (unlikely(self->__symbol_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_symbol_count' of 'TooManySymbolOrPunctuationPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__symbol_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__symbol_count);
    return retval;
}

static int
TooManySymbolOrPunctuationPlugin_set__symbol_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'TooManySymbolOrPunctuationPlugin' object attribute '_symbol_count' cannot be deleted");
        return -1;
    }
    if (self->__symbol_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__symbol_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__symbol_count = tmp;
    return 0;
}

static PyObject *
TooManySymbolOrPunctuationPlugin_get__character_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure)
{
    if (unlikely(self->__character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_character_count' of 'TooManySymbolOrPunctuationPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__character_count);
    return retval;
}

static int
TooManySymbolOrPunctuationPlugin_set__character_count(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'TooManySymbolOrPunctuationPlugin' object attribute '_character_count' cannot be deleted");
        return -1;
    }
    if (self->__character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__character_count = tmp;
    return 0;
}

static PyObject *
TooManySymbolOrPunctuationPlugin_get__last_printable_char(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure)
{
    if (unlikely(self->__last_printable_char == NULL)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_last_printable_char' of 'TooManySymbolOrPunctuationPlugin' undefined");
        return NULL;
    }
    CPy_INCREF(self->__last_printable_char);
    PyObject *retval = self->__last_printable_char;
    return retval;
}

static int
TooManySymbolOrPunctuationPlugin_set__last_printable_char(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'TooManySymbolOrPunctuationPlugin' object attribute '_last_printable_char' cannot be deleted");
        return -1;
    }
    if (self->__last_printable_char != NULL) {
        CPy_DECREF(self->__last_printable_char);
    }
    PyObject *tmp;
    if (PyUnicode_Check(value))
        tmp = value;
    else {
        tmp = NULL;
    }
    if (tmp != NULL) goto __LL1;
    if (value == Py_None)
        tmp = value;
    else {
        tmp = NULL;
    }
    if (tmp != NULL) goto __LL1;
    CPy_TypeError("str or None", value); 
    tmp = NULL;
__LL1: ;
    if (!tmp)
        return -1;
    CPy_INCREF(tmp);
    self->__last_printable_char = tmp;
    return 0;
}

static PyObject *
TooManySymbolOrPunctuationPlugin_get__frenzy_symbol_in_word(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure)
{
    PyObject *retval = self->__frenzy_symbol_in_word ? Py_True : Py_False;
    CPy_INCREF(retval);
    return retval;
}

static int
TooManySymbolOrPunctuationPlugin_set__frenzy_symbol_in_word(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'TooManySymbolOrPunctuationPlugin' object attribute '_frenzy_symbol_in_word' cannot be deleted");
        return -1;
    }
    char tmp;
    if (unlikely(!PyBool_Check(value))) {
        CPy_TypeError("bool", value); return -1;
    } else
        tmp = value == Py_True;
    self->__frenzy_symbol_in_word = tmp;
    return 0;
}

static PyObject *
TooManySymbolOrPunctuationPlugin_get_ratio(charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *self, void *closure)
{
    double retval = CPyDef_TooManySymbolOrPunctuationPlugin___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}

static int
TooManyAccentuatedPlugin_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *TooManyAccentuatedPlugin_setup(PyTypeObject *type);
PyObject *CPyDef_TooManyAccentuatedPlugin(void);

static PyObject *
TooManyAccentuatedPlugin_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_TooManyAccentuatedPlugin) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = TooManyAccentuatedPlugin_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_TooManyAccentuatedPlugin_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
TooManyAccentuatedPlugin_traverse(charset_normalizer___md___TooManyAccentuatedPluginObject *self, visitproc visit, void *arg)
{
    if (CPyTagged_CheckLong(self->__character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__character_count));
    }
    if (CPyTagged_CheckLong(self->__accentuated_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__accentuated_count));
    }
    return 0;
}

static int
TooManyAccentuatedPlugin_clear(charset_normalizer___md___TooManyAccentuatedPluginObject *self)
{
    if (CPyTagged_CheckLong(self->__character_count)) {
        CPyTagged __tmp = self->__character_count;
        self->__character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__accentuated_count)) {
        CPyTagged __tmp = self->__accentuated_count;
        self->__accentuated_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    return 0;
}

static void
TooManyAccentuatedPlugin_dealloc(charset_normalizer___md___TooManyAccentuatedPluginObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, TooManyAccentuatedPlugin_dealloc)
    TooManyAccentuatedPlugin_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem TooManyAccentuatedPlugin_vtable[9];
static bool
CPyDef_TooManyAccentuatedPlugin_trait_vtable_setup(void)
{
    CPyVTableItem TooManyAccentuatedPlugin_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin___eligible,
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin___feed,
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin___reset,
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin___ratio,
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin_____init__,
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin___eligible,
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin___feed,
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin___reset,
        (CPyVTableItem)CPyDef_TooManyAccentuatedPlugin___ratio,
    };
    memcpy(TooManyAccentuatedPlugin_vtable, TooManyAccentuatedPlugin_vtable_scratch, sizeof(TooManyAccentuatedPlugin_vtable));
    return 1;
}

static PyObject *
TooManyAccentuatedPlugin_get__character_count(charset_normalizer___md___TooManyAccentuatedPluginObject *self, void *closure);
static int
TooManyAccentuatedPlugin_set__character_count(charset_normalizer___md___TooManyAccentuatedPluginObject *self, PyObject *value, void *closure);
static PyObject *
TooManyAccentuatedPlugin_get__accentuated_count(charset_normalizer___md___TooManyAccentuatedPluginObject *self, void *closure);
static int
TooManyAccentuatedPlugin_set__accentuated_count(charset_normalizer___md___TooManyAccentuatedPluginObject *self, PyObject *value, void *closure);
static PyObject *
TooManyAccentuatedPlugin_get_ratio(charset_normalizer___md___TooManyAccentuatedPluginObject *self, void *closure);

static PyGetSetDef TooManyAccentuatedPlugin_getseters[] = {
    {"_character_count",
     (getter)TooManyAccentuatedPlugin_get__character_count, (setter)TooManyAccentuatedPlugin_set__character_count,
     NULL, NULL},
    {"_accentuated_count",
     (getter)TooManyAccentuatedPlugin_get__accentuated_count, (setter)TooManyAccentuatedPlugin_set__accentuated_count,
     NULL, NULL},
    {"ratio",
     (getter)TooManyAccentuatedPlugin_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef TooManyAccentuatedPlugin_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_TooManyAccentuatedPlugin_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"eligible",
     (PyCFunction)CPyPy_TooManyAccentuatedPlugin___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_TooManyAccentuatedPlugin___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_TooManyAccentuatedPlugin___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_TooManyAccentuatedPlugin_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "TooManyAccentuatedPlugin",
    .tp_new = TooManyAccentuatedPlugin_new,
    .tp_dealloc = (destructor)TooManyAccentuatedPlugin_dealloc,
    .tp_traverse = (traverseproc)TooManyAccentuatedPlugin_traverse,
    .tp_clear = (inquiry)TooManyAccentuatedPlugin_clear,
    .tp_getset = TooManyAccentuatedPlugin_getseters,
    .tp_methods = TooManyAccentuatedPlugin_methods,
    .tp_init = TooManyAccentuatedPlugin_init,
    .tp_basicsize = sizeof(charset_normalizer___md___TooManyAccentuatedPluginObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_TooManyAccentuatedPlugin_template = &CPyType_TooManyAccentuatedPlugin_template_;

static PyObject *
TooManyAccentuatedPlugin_setup(PyTypeObject *type)
{
    charset_normalizer___md___TooManyAccentuatedPluginObject *self;
    self = (charset_normalizer___md___TooManyAccentuatedPluginObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = TooManyAccentuatedPlugin_vtable;
    self->__character_count = CPY_INT_TAG;
    self->__accentuated_count = CPY_INT_TAG;
    return (PyObject *)self;
}

PyObject *CPyDef_TooManyAccentuatedPlugin(void)
{
    PyObject *self = TooManyAccentuatedPlugin_setup(CPyType_TooManyAccentuatedPlugin);
    if (self == NULL)
        return NULL;
    char res = CPyDef_TooManyAccentuatedPlugin_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
TooManyAccentuatedPlugin_get__character_count(charset_normalizer___md___TooManyAccentuatedPluginObject *self, void *closure)
{
    if (unlikely(self->__character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_character_count' of 'TooManyAccentuatedPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__character_count);
    return retval;
}

static int
TooManyAccentuatedPlugin_set__character_count(charset_normalizer___md___TooManyAccentuatedPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'TooManyAccentuatedPlugin' object attribute '_character_count' cannot be deleted");
        return -1;
    }
    if (self->__character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__character_count = tmp;
    return 0;
}

static PyObject *
TooManyAccentuatedPlugin_get__accentuated_count(charset_normalizer___md___TooManyAccentuatedPluginObject *self, void *closure)
{
    if (unlikely(self->__accentuated_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_accentuated_count' of 'TooManyAccentuatedPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__accentuated_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__accentuated_count);
    return retval;
}

static int
TooManyAccentuatedPlugin_set__accentuated_count(charset_normalizer___md___TooManyAccentuatedPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'TooManyAccentuatedPlugin' object attribute '_accentuated_count' cannot be deleted");
        return -1;
    }
    if (self->__accentuated_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__accentuated_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__accentuated_count = tmp;
    return 0;
}

static PyObject *
TooManyAccentuatedPlugin_get_ratio(charset_normalizer___md___TooManyAccentuatedPluginObject *self, void *closure)
{
    double retval = CPyDef_TooManyAccentuatedPlugin___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}

static int
UnprintablePlugin_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *UnprintablePlugin_setup(PyTypeObject *type);
PyObject *CPyDef_UnprintablePlugin(void);

static PyObject *
UnprintablePlugin_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_UnprintablePlugin) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = UnprintablePlugin_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_UnprintablePlugin_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
UnprintablePlugin_traverse(charset_normalizer___md___UnprintablePluginObject *self, visitproc visit, void *arg)
{
    if (CPyTagged_CheckLong(self->__unprintable_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__unprintable_count));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__character_count));
    }
    return 0;
}

static int
UnprintablePlugin_clear(charset_normalizer___md___UnprintablePluginObject *self)
{
    if (CPyTagged_CheckLong(self->__unprintable_count)) {
        CPyTagged __tmp = self->__unprintable_count;
        self->__unprintable_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        CPyTagged __tmp = self->__character_count;
        self->__character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    return 0;
}

static void
UnprintablePlugin_dealloc(charset_normalizer___md___UnprintablePluginObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, UnprintablePlugin_dealloc)
    UnprintablePlugin_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem UnprintablePlugin_vtable[9];
static bool
CPyDef_UnprintablePlugin_trait_vtable_setup(void)
{
    CPyVTableItem UnprintablePlugin_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_UnprintablePlugin___eligible,
        (CPyVTableItem)CPyDef_UnprintablePlugin___feed,
        (CPyVTableItem)CPyDef_UnprintablePlugin___reset,
        (CPyVTableItem)CPyDef_UnprintablePlugin___ratio,
        (CPyVTableItem)CPyDef_UnprintablePlugin_____init__,
        (CPyVTableItem)CPyDef_UnprintablePlugin___eligible,
        (CPyVTableItem)CPyDef_UnprintablePlugin___feed,
        (CPyVTableItem)CPyDef_UnprintablePlugin___reset,
        (CPyVTableItem)CPyDef_UnprintablePlugin___ratio,
    };
    memcpy(UnprintablePlugin_vtable, UnprintablePlugin_vtable_scratch, sizeof(UnprintablePlugin_vtable));
    return 1;
}

static PyObject *
UnprintablePlugin_get__unprintable_count(charset_normalizer___md___UnprintablePluginObject *self, void *closure);
static int
UnprintablePlugin_set__unprintable_count(charset_normalizer___md___UnprintablePluginObject *self, PyObject *value, void *closure);
static PyObject *
UnprintablePlugin_get__character_count(charset_normalizer___md___UnprintablePluginObject *self, void *closure);
static int
UnprintablePlugin_set__character_count(charset_normalizer___md___UnprintablePluginObject *self, PyObject *value, void *closure);
static PyObject *
UnprintablePlugin_get_ratio(charset_normalizer___md___UnprintablePluginObject *self, void *closure);

static PyGetSetDef UnprintablePlugin_getseters[] = {
    {"_unprintable_count",
     (getter)UnprintablePlugin_get__unprintable_count, (setter)UnprintablePlugin_set__unprintable_count,
     NULL, NULL},
    {"_character_count",
     (getter)UnprintablePlugin_get__character_count, (setter)UnprintablePlugin_set__character_count,
     NULL, NULL},
    {"ratio",
     (getter)UnprintablePlugin_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef UnprintablePlugin_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_UnprintablePlugin_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"eligible",
     (PyCFunction)CPyPy_UnprintablePlugin___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_UnprintablePlugin___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_UnprintablePlugin___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_UnprintablePlugin_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "UnprintablePlugin",
    .tp_new = UnprintablePlugin_new,
    .tp_dealloc = (destructor)UnprintablePlugin_dealloc,
    .tp_traverse = (traverseproc)UnprintablePlugin_traverse,
    .tp_clear = (inquiry)UnprintablePlugin_clear,
    .tp_getset = UnprintablePlugin_getseters,
    .tp_methods = UnprintablePlugin_methods,
    .tp_init = UnprintablePlugin_init,
    .tp_basicsize = sizeof(charset_normalizer___md___UnprintablePluginObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_UnprintablePlugin_template = &CPyType_UnprintablePlugin_template_;

static PyObject *
UnprintablePlugin_setup(PyTypeObject *type)
{
    charset_normalizer___md___UnprintablePluginObject *self;
    self = (charset_normalizer___md___UnprintablePluginObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = UnprintablePlugin_vtable;
    self->__unprintable_count = CPY_INT_TAG;
    self->__character_count = CPY_INT_TAG;
    return (PyObject *)self;
}

PyObject *CPyDef_UnprintablePlugin(void)
{
    PyObject *self = UnprintablePlugin_setup(CPyType_UnprintablePlugin);
    if (self == NULL)
        return NULL;
    char res = CPyDef_UnprintablePlugin_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
UnprintablePlugin_get__unprintable_count(charset_normalizer___md___UnprintablePluginObject *self, void *closure)
{
    if (unlikely(self->__unprintable_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_unprintable_count' of 'UnprintablePlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__unprintable_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__unprintable_count);
    return retval;
}

static int
UnprintablePlugin_set__unprintable_count(charset_normalizer___md___UnprintablePluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'UnprintablePlugin' object attribute '_unprintable_count' cannot be deleted");
        return -1;
    }
    if (self->__unprintable_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__unprintable_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__unprintable_count = tmp;
    return 0;
}

static PyObject *
UnprintablePlugin_get__character_count(charset_normalizer___md___UnprintablePluginObject *self, void *closure)
{
    if (unlikely(self->__character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_character_count' of 'UnprintablePlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__character_count);
    return retval;
}

static int
UnprintablePlugin_set__character_count(charset_normalizer___md___UnprintablePluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'UnprintablePlugin' object attribute '_character_count' cannot be deleted");
        return -1;
    }
    if (self->__character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__character_count = tmp;
    return 0;
}

static PyObject *
UnprintablePlugin_get_ratio(charset_normalizer___md___UnprintablePluginObject *self, void *closure)
{
    double retval = CPyDef_UnprintablePlugin___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}

static int
SuspiciousDuplicateAccentPlugin_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *SuspiciousDuplicateAccentPlugin_setup(PyTypeObject *type);
PyObject *CPyDef_SuspiciousDuplicateAccentPlugin(void);

static PyObject *
SuspiciousDuplicateAccentPlugin_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_SuspiciousDuplicateAccentPlugin) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = SuspiciousDuplicateAccentPlugin_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_SuspiciousDuplicateAccentPlugin_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
SuspiciousDuplicateAccentPlugin_traverse(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, visitproc visit, void *arg)
{
    if (CPyTagged_CheckLong(self->__successive_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__successive_count));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__character_count));
    }
    Py_VISIT(self->__last_latin_character);
    return 0;
}

static int
SuspiciousDuplicateAccentPlugin_clear(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self)
{
    if (CPyTagged_CheckLong(self->__successive_count)) {
        CPyTagged __tmp = self->__successive_count;
        self->__successive_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        CPyTagged __tmp = self->__character_count;
        self->__character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    Py_CLEAR(self->__last_latin_character);
    return 0;
}

static void
SuspiciousDuplicateAccentPlugin_dealloc(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, SuspiciousDuplicateAccentPlugin_dealloc)
    SuspiciousDuplicateAccentPlugin_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem SuspiciousDuplicateAccentPlugin_vtable[9];
static bool
CPyDef_SuspiciousDuplicateAccentPlugin_trait_vtable_setup(void)
{
    CPyVTableItem SuspiciousDuplicateAccentPlugin_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin___eligible,
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin___feed,
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin___reset,
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin___ratio,
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin_____init__,
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin___eligible,
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin___feed,
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin___reset,
        (CPyVTableItem)CPyDef_SuspiciousDuplicateAccentPlugin___ratio,
    };
    memcpy(SuspiciousDuplicateAccentPlugin_vtable, SuspiciousDuplicateAccentPlugin_vtable_scratch, sizeof(SuspiciousDuplicateAccentPlugin_vtable));
    return 1;
}

static PyObject *
SuspiciousDuplicateAccentPlugin_get__successive_count(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, void *closure);
static int
SuspiciousDuplicateAccentPlugin_set__successive_count(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuspiciousDuplicateAccentPlugin_get__character_count(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, void *closure);
static int
SuspiciousDuplicateAccentPlugin_set__character_count(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuspiciousDuplicateAccentPlugin_get__last_latin_character(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, void *closure);
static int
SuspiciousDuplicateAccentPlugin_set__last_latin_character(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuspiciousDuplicateAccentPlugin_get_ratio(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, void *closure);

static PyGetSetDef SuspiciousDuplicateAccentPlugin_getseters[] = {
    {"_successive_count",
     (getter)SuspiciousDuplicateAccentPlugin_get__successive_count, (setter)SuspiciousDuplicateAccentPlugin_set__successive_count,
     NULL, NULL},
    {"_character_count",
     (getter)SuspiciousDuplicateAccentPlugin_get__character_count, (setter)SuspiciousDuplicateAccentPlugin_set__character_count,
     NULL, NULL},
    {"_last_latin_character",
     (getter)SuspiciousDuplicateAccentPlugin_get__last_latin_character, (setter)SuspiciousDuplicateAccentPlugin_set__last_latin_character,
     NULL, NULL},
    {"ratio",
     (getter)SuspiciousDuplicateAccentPlugin_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef SuspiciousDuplicateAccentPlugin_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_SuspiciousDuplicateAccentPlugin_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"eligible",
     (PyCFunction)CPyPy_SuspiciousDuplicateAccentPlugin___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_SuspiciousDuplicateAccentPlugin___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_SuspiciousDuplicateAccentPlugin___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_SuspiciousDuplicateAccentPlugin_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "SuspiciousDuplicateAccentPlugin",
    .tp_new = SuspiciousDuplicateAccentPlugin_new,
    .tp_dealloc = (destructor)SuspiciousDuplicateAccentPlugin_dealloc,
    .tp_traverse = (traverseproc)SuspiciousDuplicateAccentPlugin_traverse,
    .tp_clear = (inquiry)SuspiciousDuplicateAccentPlugin_clear,
    .tp_getset = SuspiciousDuplicateAccentPlugin_getseters,
    .tp_methods = SuspiciousDuplicateAccentPlugin_methods,
    .tp_init = SuspiciousDuplicateAccentPlugin_init,
    .tp_basicsize = sizeof(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_SuspiciousDuplicateAccentPlugin_template = &CPyType_SuspiciousDuplicateAccentPlugin_template_;

static PyObject *
SuspiciousDuplicateAccentPlugin_setup(PyTypeObject *type)
{
    charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self;
    self = (charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = SuspiciousDuplicateAccentPlugin_vtable;
    self->__successive_count = CPY_INT_TAG;
    self->__character_count = CPY_INT_TAG;
    return (PyObject *)self;
}

PyObject *CPyDef_SuspiciousDuplicateAccentPlugin(void)
{
    PyObject *self = SuspiciousDuplicateAccentPlugin_setup(CPyType_SuspiciousDuplicateAccentPlugin);
    if (self == NULL)
        return NULL;
    char res = CPyDef_SuspiciousDuplicateAccentPlugin_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
SuspiciousDuplicateAccentPlugin_get__successive_count(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, void *closure)
{
    if (unlikely(self->__successive_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_successive_count' of 'SuspiciousDuplicateAccentPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__successive_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__successive_count);
    return retval;
}

static int
SuspiciousDuplicateAccentPlugin_set__successive_count(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuspiciousDuplicateAccentPlugin' object attribute '_successive_count' cannot be deleted");
        return -1;
    }
    if (self->__successive_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__successive_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__successive_count = tmp;
    return 0;
}

static PyObject *
SuspiciousDuplicateAccentPlugin_get__character_count(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, void *closure)
{
    if (unlikely(self->__character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_character_count' of 'SuspiciousDuplicateAccentPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__character_count);
    return retval;
}

static int
SuspiciousDuplicateAccentPlugin_set__character_count(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuspiciousDuplicateAccentPlugin' object attribute '_character_count' cannot be deleted");
        return -1;
    }
    if (self->__character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__character_count = tmp;
    return 0;
}

static PyObject *
SuspiciousDuplicateAccentPlugin_get__last_latin_character(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, void *closure)
{
    if (unlikely(self->__last_latin_character == NULL)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_last_latin_character' of 'SuspiciousDuplicateAccentPlugin' undefined");
        return NULL;
    }
    CPy_INCREF(self->__last_latin_character);
    PyObject *retval = self->__last_latin_character;
    return retval;
}

static int
SuspiciousDuplicateAccentPlugin_set__last_latin_character(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuspiciousDuplicateAccentPlugin' object attribute '_last_latin_character' cannot be deleted");
        return -1;
    }
    if (self->__last_latin_character != NULL) {
        CPy_DECREF(self->__last_latin_character);
    }
    PyObject *tmp;
    if (PyUnicode_Check(value))
        tmp = value;
    else {
        tmp = NULL;
    }
    if (tmp != NULL) goto __LL2;
    if (value == Py_None)
        tmp = value;
    else {
        tmp = NULL;
    }
    if (tmp != NULL) goto __LL2;
    CPy_TypeError("str or None", value); 
    tmp = NULL;
__LL2: ;
    if (!tmp)
        return -1;
    CPy_INCREF(tmp);
    self->__last_latin_character = tmp;
    return 0;
}

static PyObject *
SuspiciousDuplicateAccentPlugin_get_ratio(charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *self, void *closure)
{
    double retval = CPyDef_SuspiciousDuplicateAccentPlugin___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}

static int
SuspiciousRange_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *SuspiciousRange_setup(PyTypeObject *type);
PyObject *CPyDef_SuspiciousRange(void);

static PyObject *
SuspiciousRange_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_SuspiciousRange) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = SuspiciousRange_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_SuspiciousRange_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
SuspiciousRange_traverse(charset_normalizer___md___SuspiciousRangeObject *self, visitproc visit, void *arg)
{
    if (CPyTagged_CheckLong(self->__suspicious_successive_range_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__suspicious_successive_range_count));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__character_count));
    }
    Py_VISIT(self->__last_printable_seen);
    return 0;
}

static int
SuspiciousRange_clear(charset_normalizer___md___SuspiciousRangeObject *self)
{
    if (CPyTagged_CheckLong(self->__suspicious_successive_range_count)) {
        CPyTagged __tmp = self->__suspicious_successive_range_count;
        self->__suspicious_successive_range_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        CPyTagged __tmp = self->__character_count;
        self->__character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    Py_CLEAR(self->__last_printable_seen);
    return 0;
}

static void
SuspiciousRange_dealloc(charset_normalizer___md___SuspiciousRangeObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, SuspiciousRange_dealloc)
    SuspiciousRange_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem SuspiciousRange_vtable[9];
static bool
CPyDef_SuspiciousRange_trait_vtable_setup(void)
{
    CPyVTableItem SuspiciousRange_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_SuspiciousRange___eligible,
        (CPyVTableItem)CPyDef_SuspiciousRange___feed,
        (CPyVTableItem)CPyDef_SuspiciousRange___reset,
        (CPyVTableItem)CPyDef_SuspiciousRange___ratio,
        (CPyVTableItem)CPyDef_SuspiciousRange_____init__,
        (CPyVTableItem)CPyDef_SuspiciousRange___eligible,
        (CPyVTableItem)CPyDef_SuspiciousRange___feed,
        (CPyVTableItem)CPyDef_SuspiciousRange___reset,
        (CPyVTableItem)CPyDef_SuspiciousRange___ratio,
    };
    memcpy(SuspiciousRange_vtable, SuspiciousRange_vtable_scratch, sizeof(SuspiciousRange_vtable));
    return 1;
}

static PyObject *
SuspiciousRange_get__suspicious_successive_range_count(charset_normalizer___md___SuspiciousRangeObject *self, void *closure);
static int
SuspiciousRange_set__suspicious_successive_range_count(charset_normalizer___md___SuspiciousRangeObject *self, PyObject *value, void *closure);
static PyObject *
SuspiciousRange_get__character_count(charset_normalizer___md___SuspiciousRangeObject *self, void *closure);
static int
SuspiciousRange_set__character_count(charset_normalizer___md___SuspiciousRangeObject *self, PyObject *value, void *closure);
static PyObject *
SuspiciousRange_get__last_printable_seen(charset_normalizer___md___SuspiciousRangeObject *self, void *closure);
static int
SuspiciousRange_set__last_printable_seen(charset_normalizer___md___SuspiciousRangeObject *self, PyObject *value, void *closure);
static PyObject *
SuspiciousRange_get_ratio(charset_normalizer___md___SuspiciousRangeObject *self, void *closure);

static PyGetSetDef SuspiciousRange_getseters[] = {
    {"_suspicious_successive_range_count",
     (getter)SuspiciousRange_get__suspicious_successive_range_count, (setter)SuspiciousRange_set__suspicious_successive_range_count,
     NULL, NULL},
    {"_character_count",
     (getter)SuspiciousRange_get__character_count, (setter)SuspiciousRange_set__character_count,
     NULL, NULL},
    {"_last_printable_seen",
     (getter)SuspiciousRange_get__last_printable_seen, (setter)SuspiciousRange_set__last_printable_seen,
     NULL, NULL},
    {"ratio",
     (getter)SuspiciousRange_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef SuspiciousRange_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_SuspiciousRange_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"eligible",
     (PyCFunction)CPyPy_SuspiciousRange___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_SuspiciousRange___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_SuspiciousRange___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_SuspiciousRange_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "SuspiciousRange",
    .tp_new = SuspiciousRange_new,
    .tp_dealloc = (destructor)SuspiciousRange_dealloc,
    .tp_traverse = (traverseproc)SuspiciousRange_traverse,
    .tp_clear = (inquiry)SuspiciousRange_clear,
    .tp_getset = SuspiciousRange_getseters,
    .tp_methods = SuspiciousRange_methods,
    .tp_init = SuspiciousRange_init,
    .tp_basicsize = sizeof(charset_normalizer___md___SuspiciousRangeObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_SuspiciousRange_template = &CPyType_SuspiciousRange_template_;

static PyObject *
SuspiciousRange_setup(PyTypeObject *type)
{
    charset_normalizer___md___SuspiciousRangeObject *self;
    self = (charset_normalizer___md___SuspiciousRangeObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = SuspiciousRange_vtable;
    self->__suspicious_successive_range_count = CPY_INT_TAG;
    self->__character_count = CPY_INT_TAG;
    return (PyObject *)self;
}

PyObject *CPyDef_SuspiciousRange(void)
{
    PyObject *self = SuspiciousRange_setup(CPyType_SuspiciousRange);
    if (self == NULL)
        return NULL;
    char res = CPyDef_SuspiciousRange_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
SuspiciousRange_get__suspicious_successive_range_count(charset_normalizer___md___SuspiciousRangeObject *self, void *closure)
{
    if (unlikely(self->__suspicious_successive_range_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_suspicious_successive_range_count' of 'SuspiciousRange' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__suspicious_successive_range_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__suspicious_successive_range_count);
    return retval;
}

static int
SuspiciousRange_set__suspicious_successive_range_count(charset_normalizer___md___SuspiciousRangeObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuspiciousRange' object attribute '_suspicious_successive_range_count' cannot be deleted");
        return -1;
    }
    if (self->__suspicious_successive_range_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__suspicious_successive_range_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__suspicious_successive_range_count = tmp;
    return 0;
}

static PyObject *
SuspiciousRange_get__character_count(charset_normalizer___md___SuspiciousRangeObject *self, void *closure)
{
    if (unlikely(self->__character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_character_count' of 'SuspiciousRange' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__character_count);
    return retval;
}

static int
SuspiciousRange_set__character_count(charset_normalizer___md___SuspiciousRangeObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuspiciousRange' object attribute '_character_count' cannot be deleted");
        return -1;
    }
    if (self->__character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__character_count = tmp;
    return 0;
}

static PyObject *
SuspiciousRange_get__last_printable_seen(charset_normalizer___md___SuspiciousRangeObject *self, void *closure)
{
    if (unlikely(self->__last_printable_seen == NULL)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_last_printable_seen' of 'SuspiciousRange' undefined");
        return NULL;
    }
    CPy_INCREF(self->__last_printable_seen);
    PyObject *retval = self->__last_printable_seen;
    return retval;
}

static int
SuspiciousRange_set__last_printable_seen(charset_normalizer___md___SuspiciousRangeObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuspiciousRange' object attribute '_last_printable_seen' cannot be deleted");
        return -1;
    }
    if (self->__last_printable_seen != NULL) {
        CPy_DECREF(self->__last_printable_seen);
    }
    PyObject *tmp;
    if (PyUnicode_Check(value))
        tmp = value;
    else {
        tmp = NULL;
    }
    if (tmp != NULL) goto __LL3;
    if (value == Py_None)
        tmp = value;
    else {
        tmp = NULL;
    }
    if (tmp != NULL) goto __LL3;
    CPy_TypeError("str or None", value); 
    tmp = NULL;
__LL3: ;
    if (!tmp)
        return -1;
    CPy_INCREF(tmp);
    self->__last_printable_seen = tmp;
    return 0;
}

static PyObject *
SuspiciousRange_get_ratio(charset_normalizer___md___SuspiciousRangeObject *self, void *closure)
{
    double retval = CPyDef_SuspiciousRange___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}

static int
SuperWeirdWordPlugin_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *SuperWeirdWordPlugin_setup(PyTypeObject *type);
PyObject *CPyDef_SuperWeirdWordPlugin(void);

static PyObject *
SuperWeirdWordPlugin_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_SuperWeirdWordPlugin) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = SuperWeirdWordPlugin_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_SuperWeirdWordPlugin_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
SuperWeirdWordPlugin_traverse(charset_normalizer___md___SuperWeirdWordPluginObject *self, visitproc visit, void *arg)
{
    if (CPyTagged_CheckLong(self->__word_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__word_count));
    }
    if (CPyTagged_CheckLong(self->__bad_word_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__bad_word_count));
    }
    if (CPyTagged_CheckLong(self->__foreign_long_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__foreign_long_count));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__character_count));
    }
    if (CPyTagged_CheckLong(self->__bad_character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__bad_character_count));
    }
    Py_VISIT(self->__buffer);
    if (CPyTagged_CheckLong(self->__buffer_accent_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__buffer_accent_count));
    }
    return 0;
}

static int
SuperWeirdWordPlugin_clear(charset_normalizer___md___SuperWeirdWordPluginObject *self)
{
    if (CPyTagged_CheckLong(self->__word_count)) {
        CPyTagged __tmp = self->__word_count;
        self->__word_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__bad_word_count)) {
        CPyTagged __tmp = self->__bad_word_count;
        self->__bad_word_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__foreign_long_count)) {
        CPyTagged __tmp = self->__foreign_long_count;
        self->__foreign_long_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        CPyTagged __tmp = self->__character_count;
        self->__character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__bad_character_count)) {
        CPyTagged __tmp = self->__bad_character_count;
        self->__bad_character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    Py_CLEAR(self->__buffer);
    if (CPyTagged_CheckLong(self->__buffer_accent_count)) {
        CPyTagged __tmp = self->__buffer_accent_count;
        self->__buffer_accent_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    return 0;
}

static void
SuperWeirdWordPlugin_dealloc(charset_normalizer___md___SuperWeirdWordPluginObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, SuperWeirdWordPlugin_dealloc)
    SuperWeirdWordPlugin_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem SuperWeirdWordPlugin_vtable[9];
static bool
CPyDef_SuperWeirdWordPlugin_trait_vtable_setup(void)
{
    CPyVTableItem SuperWeirdWordPlugin_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin___eligible,
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin___feed,
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin___reset,
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin___ratio,
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin_____init__,
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin___eligible,
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin___feed,
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin___reset,
        (CPyVTableItem)CPyDef_SuperWeirdWordPlugin___ratio,
    };
    memcpy(SuperWeirdWordPlugin_vtable, SuperWeirdWordPlugin_vtable_scratch, sizeof(SuperWeirdWordPlugin_vtable));
    return 1;
}

static PyObject *
SuperWeirdWordPlugin_get__word_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__word_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get__bad_word_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__bad_word_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get__foreign_long_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__foreign_long_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get__is_current_word_bad(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__is_current_word_bad(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get__foreign_long_watch(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__foreign_long_watch(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get__character_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__character_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get__bad_character_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__bad_character_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get__buffer(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__buffer(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get__buffer_accent_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);
static int
SuperWeirdWordPlugin_set__buffer_accent_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure);
static PyObject *
SuperWeirdWordPlugin_get_ratio(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure);

static PyGetSetDef SuperWeirdWordPlugin_getseters[] = {
    {"_word_count",
     (getter)SuperWeirdWordPlugin_get__word_count, (setter)SuperWeirdWordPlugin_set__word_count,
     NULL, NULL},
    {"_bad_word_count",
     (getter)SuperWeirdWordPlugin_get__bad_word_count, (setter)SuperWeirdWordPlugin_set__bad_word_count,
     NULL, NULL},
    {"_foreign_long_count",
     (getter)SuperWeirdWordPlugin_get__foreign_long_count, (setter)SuperWeirdWordPlugin_set__foreign_long_count,
     NULL, NULL},
    {"_is_current_word_bad",
     (getter)SuperWeirdWordPlugin_get__is_current_word_bad, (setter)SuperWeirdWordPlugin_set__is_current_word_bad,
     NULL, NULL},
    {"_foreign_long_watch",
     (getter)SuperWeirdWordPlugin_get__foreign_long_watch, (setter)SuperWeirdWordPlugin_set__foreign_long_watch,
     NULL, NULL},
    {"_character_count",
     (getter)SuperWeirdWordPlugin_get__character_count, (setter)SuperWeirdWordPlugin_set__character_count,
     NULL, NULL},
    {"_bad_character_count",
     (getter)SuperWeirdWordPlugin_get__bad_character_count, (setter)SuperWeirdWordPlugin_set__bad_character_count,
     NULL, NULL},
    {"_buffer",
     (getter)SuperWeirdWordPlugin_get__buffer, (setter)SuperWeirdWordPlugin_set__buffer,
     NULL, NULL},
    {"_buffer_accent_count",
     (getter)SuperWeirdWordPlugin_get__buffer_accent_count, (setter)SuperWeirdWordPlugin_set__buffer_accent_count,
     NULL, NULL},
    {"ratio",
     (getter)SuperWeirdWordPlugin_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef SuperWeirdWordPlugin_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_SuperWeirdWordPlugin_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"eligible",
     (PyCFunction)CPyPy_SuperWeirdWordPlugin___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_SuperWeirdWordPlugin___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_SuperWeirdWordPlugin___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_SuperWeirdWordPlugin_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "SuperWeirdWordPlugin",
    .tp_new = SuperWeirdWordPlugin_new,
    .tp_dealloc = (destructor)SuperWeirdWordPlugin_dealloc,
    .tp_traverse = (traverseproc)SuperWeirdWordPlugin_traverse,
    .tp_clear = (inquiry)SuperWeirdWordPlugin_clear,
    .tp_getset = SuperWeirdWordPlugin_getseters,
    .tp_methods = SuperWeirdWordPlugin_methods,
    .tp_init = SuperWeirdWordPlugin_init,
    .tp_basicsize = sizeof(charset_normalizer___md___SuperWeirdWordPluginObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_SuperWeirdWordPlugin_template = &CPyType_SuperWeirdWordPlugin_template_;

static PyObject *
SuperWeirdWordPlugin_setup(PyTypeObject *type)
{
    charset_normalizer___md___SuperWeirdWordPluginObject *self;
    self = (charset_normalizer___md___SuperWeirdWordPluginObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = SuperWeirdWordPlugin_vtable;
    self->__word_count = CPY_INT_TAG;
    self->__bad_word_count = CPY_INT_TAG;
    self->__foreign_long_count = CPY_INT_TAG;
    self->__is_current_word_bad = 2;
    self->__foreign_long_watch = 2;
    self->__character_count = CPY_INT_TAG;
    self->__bad_character_count = CPY_INT_TAG;
    self->__buffer_accent_count = CPY_INT_TAG;
    return (PyObject *)self;
}

PyObject *CPyDef_SuperWeirdWordPlugin(void)
{
    PyObject *self = SuperWeirdWordPlugin_setup(CPyType_SuperWeirdWordPlugin);
    if (self == NULL)
        return NULL;
    char res = CPyDef_SuperWeirdWordPlugin_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
SuperWeirdWordPlugin_get__word_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    if (unlikely(self->__word_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_word_count' of 'SuperWeirdWordPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__word_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__word_count);
    return retval;
}

static int
SuperWeirdWordPlugin_set__word_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_word_count' cannot be deleted");
        return -1;
    }
    if (self->__word_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__word_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__word_count = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get__bad_word_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    if (unlikely(self->__bad_word_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_bad_word_count' of 'SuperWeirdWordPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__bad_word_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__bad_word_count);
    return retval;
}

static int
SuperWeirdWordPlugin_set__bad_word_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_bad_word_count' cannot be deleted");
        return -1;
    }
    if (self->__bad_word_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__bad_word_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__bad_word_count = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get__foreign_long_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    if (unlikely(self->__foreign_long_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_foreign_long_count' of 'SuperWeirdWordPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__foreign_long_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__foreign_long_count);
    return retval;
}

static int
SuperWeirdWordPlugin_set__foreign_long_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_foreign_long_count' cannot be deleted");
        return -1;
    }
    if (self->__foreign_long_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__foreign_long_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__foreign_long_count = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get__is_current_word_bad(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    PyObject *retval = self->__is_current_word_bad ? Py_True : Py_False;
    CPy_INCREF(retval);
    return retval;
}

static int
SuperWeirdWordPlugin_set__is_current_word_bad(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_is_current_word_bad' cannot be deleted");
        return -1;
    }
    char tmp;
    if (unlikely(!PyBool_Check(value))) {
        CPy_TypeError("bool", value); return -1;
    } else
        tmp = value == Py_True;
    self->__is_current_word_bad = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get__foreign_long_watch(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    PyObject *retval = self->__foreign_long_watch ? Py_True : Py_False;
    CPy_INCREF(retval);
    return retval;
}

static int
SuperWeirdWordPlugin_set__foreign_long_watch(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_foreign_long_watch' cannot be deleted");
        return -1;
    }
    char tmp;
    if (unlikely(!PyBool_Check(value))) {
        CPy_TypeError("bool", value); return -1;
    } else
        tmp = value == Py_True;
    self->__foreign_long_watch = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get__character_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    if (unlikely(self->__character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_character_count' of 'SuperWeirdWordPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__character_count);
    return retval;
}

static int
SuperWeirdWordPlugin_set__character_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_character_count' cannot be deleted");
        return -1;
    }
    if (self->__character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__character_count = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get__bad_character_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    if (unlikely(self->__bad_character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_bad_character_count' of 'SuperWeirdWordPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__bad_character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__bad_character_count);
    return retval;
}

static int
SuperWeirdWordPlugin_set__bad_character_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_bad_character_count' cannot be deleted");
        return -1;
    }
    if (self->__bad_character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__bad_character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__bad_character_count = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get__buffer(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    if (unlikely(self->__buffer == NULL)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_buffer' of 'SuperWeirdWordPlugin' undefined");
        return NULL;
    }
    CPy_INCREF(self->__buffer);
    PyObject *retval = self->__buffer;
    return retval;
}

static int
SuperWeirdWordPlugin_set__buffer(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_buffer' cannot be deleted");
        return -1;
    }
    if (self->__buffer != NULL) {
        CPy_DECREF(self->__buffer);
    }
    PyObject *tmp;
    if (likely(PyUnicode_Check(value)))
        tmp = value;
    else {
        CPy_TypeError("str", value); 
        tmp = NULL;
    }
    if (!tmp)
        return -1;
    CPy_INCREF(tmp);
    self->__buffer = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get__buffer_accent_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    if (unlikely(self->__buffer_accent_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_buffer_accent_count' of 'SuperWeirdWordPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__buffer_accent_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__buffer_accent_count);
    return retval;
}

static int
SuperWeirdWordPlugin_set__buffer_accent_count(charset_normalizer___md___SuperWeirdWordPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'SuperWeirdWordPlugin' object attribute '_buffer_accent_count' cannot be deleted");
        return -1;
    }
    if (self->__buffer_accent_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__buffer_accent_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__buffer_accent_count = tmp;
    return 0;
}

static PyObject *
SuperWeirdWordPlugin_get_ratio(charset_normalizer___md___SuperWeirdWordPluginObject *self, void *closure)
{
    double retval = CPyDef_SuperWeirdWordPlugin___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}

static int
CjkInvalidStopPlugin_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *CjkInvalidStopPlugin_setup(PyTypeObject *type);
PyObject *CPyDef_CjkInvalidStopPlugin(void);

static PyObject *
CjkInvalidStopPlugin_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_CjkInvalidStopPlugin) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = CjkInvalidStopPlugin_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_CjkInvalidStopPlugin_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
CjkInvalidStopPlugin_traverse(charset_normalizer___md___CjkInvalidStopPluginObject *self, visitproc visit, void *arg)
{
    if (CPyTagged_CheckLong(self->__wrong_stop_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__wrong_stop_count));
    }
    if (CPyTagged_CheckLong(self->__cjk_character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__cjk_character_count));
    }
    return 0;
}

static int
CjkInvalidStopPlugin_clear(charset_normalizer___md___CjkInvalidStopPluginObject *self)
{
    if (CPyTagged_CheckLong(self->__wrong_stop_count)) {
        CPyTagged __tmp = self->__wrong_stop_count;
        self->__wrong_stop_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__cjk_character_count)) {
        CPyTagged __tmp = self->__cjk_character_count;
        self->__cjk_character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    return 0;
}

static void
CjkInvalidStopPlugin_dealloc(charset_normalizer___md___CjkInvalidStopPluginObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, CjkInvalidStopPlugin_dealloc)
    CjkInvalidStopPlugin_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem CjkInvalidStopPlugin_vtable[9];
static bool
CPyDef_CjkInvalidStopPlugin_trait_vtable_setup(void)
{
    CPyVTableItem CjkInvalidStopPlugin_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin___eligible,
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin___feed,
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin___reset,
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin___ratio,
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin_____init__,
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin___eligible,
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin___feed,
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin___reset,
        (CPyVTableItem)CPyDef_CjkInvalidStopPlugin___ratio,
    };
    memcpy(CjkInvalidStopPlugin_vtable, CjkInvalidStopPlugin_vtable_scratch, sizeof(CjkInvalidStopPlugin_vtable));
    return 1;
}

static PyObject *
CjkInvalidStopPlugin_get__wrong_stop_count(charset_normalizer___md___CjkInvalidStopPluginObject *self, void *closure);
static int
CjkInvalidStopPlugin_set__wrong_stop_count(charset_normalizer___md___CjkInvalidStopPluginObject *self, PyObject *value, void *closure);
static PyObject *
CjkInvalidStopPlugin_get__cjk_character_count(charset_normalizer___md___CjkInvalidStopPluginObject *self, void *closure);
static int
CjkInvalidStopPlugin_set__cjk_character_count(charset_normalizer___md___CjkInvalidStopPluginObject *self, PyObject *value, void *closure);
static PyObject *
CjkInvalidStopPlugin_get_ratio(charset_normalizer___md___CjkInvalidStopPluginObject *self, void *closure);

static PyGetSetDef CjkInvalidStopPlugin_getseters[] = {
    {"_wrong_stop_count",
     (getter)CjkInvalidStopPlugin_get__wrong_stop_count, (setter)CjkInvalidStopPlugin_set__wrong_stop_count,
     NULL, NULL},
    {"_cjk_character_count",
     (getter)CjkInvalidStopPlugin_get__cjk_character_count, (setter)CjkInvalidStopPlugin_set__cjk_character_count,
     NULL, NULL},
    {"ratio",
     (getter)CjkInvalidStopPlugin_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef CjkInvalidStopPlugin_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_CjkInvalidStopPlugin_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"eligible",
     (PyCFunction)CPyPy_CjkInvalidStopPlugin___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_CjkInvalidStopPlugin___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_CjkInvalidStopPlugin___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_CjkInvalidStopPlugin_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "CjkInvalidStopPlugin",
    .tp_new = CjkInvalidStopPlugin_new,
    .tp_dealloc = (destructor)CjkInvalidStopPlugin_dealloc,
    .tp_traverse = (traverseproc)CjkInvalidStopPlugin_traverse,
    .tp_clear = (inquiry)CjkInvalidStopPlugin_clear,
    .tp_getset = CjkInvalidStopPlugin_getseters,
    .tp_methods = CjkInvalidStopPlugin_methods,
    .tp_init = CjkInvalidStopPlugin_init,
    .tp_basicsize = sizeof(charset_normalizer___md___CjkInvalidStopPluginObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_CjkInvalidStopPlugin_template = &CPyType_CjkInvalidStopPlugin_template_;

static PyObject *
CjkInvalidStopPlugin_setup(PyTypeObject *type)
{
    charset_normalizer___md___CjkInvalidStopPluginObject *self;
    self = (charset_normalizer___md___CjkInvalidStopPluginObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = CjkInvalidStopPlugin_vtable;
    self->__wrong_stop_count = CPY_INT_TAG;
    self->__cjk_character_count = CPY_INT_TAG;
    return (PyObject *)self;
}

PyObject *CPyDef_CjkInvalidStopPlugin(void)
{
    PyObject *self = CjkInvalidStopPlugin_setup(CPyType_CjkInvalidStopPlugin);
    if (self == NULL)
        return NULL;
    char res = CPyDef_CjkInvalidStopPlugin_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
CjkInvalidStopPlugin_get__wrong_stop_count(charset_normalizer___md___CjkInvalidStopPluginObject *self, void *closure)
{
    if (unlikely(self->__wrong_stop_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_wrong_stop_count' of 'CjkInvalidStopPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__wrong_stop_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__wrong_stop_count);
    return retval;
}

static int
CjkInvalidStopPlugin_set__wrong_stop_count(charset_normalizer___md___CjkInvalidStopPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'CjkInvalidStopPlugin' object attribute '_wrong_stop_count' cannot be deleted");
        return -1;
    }
    if (self->__wrong_stop_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__wrong_stop_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__wrong_stop_count = tmp;
    return 0;
}

static PyObject *
CjkInvalidStopPlugin_get__cjk_character_count(charset_normalizer___md___CjkInvalidStopPluginObject *self, void *closure)
{
    if (unlikely(self->__cjk_character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_cjk_character_count' of 'CjkInvalidStopPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__cjk_character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__cjk_character_count);
    return retval;
}

static int
CjkInvalidStopPlugin_set__cjk_character_count(charset_normalizer___md___CjkInvalidStopPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'CjkInvalidStopPlugin' object attribute '_cjk_character_count' cannot be deleted");
        return -1;
    }
    if (self->__cjk_character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__cjk_character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__cjk_character_count = tmp;
    return 0;
}

static PyObject *
CjkInvalidStopPlugin_get_ratio(charset_normalizer___md___CjkInvalidStopPluginObject *self, void *closure)
{
    double retval = CPyDef_CjkInvalidStopPlugin___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}

static int
ArchaicUpperLowerPlugin_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *ArchaicUpperLowerPlugin_setup(PyTypeObject *type);
PyObject *CPyDef_ArchaicUpperLowerPlugin(void);

static PyObject *
ArchaicUpperLowerPlugin_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_ArchaicUpperLowerPlugin) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = ArchaicUpperLowerPlugin_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_ArchaicUpperLowerPlugin_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
ArchaicUpperLowerPlugin_traverse(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, visitproc visit, void *arg)
{
    if (CPyTagged_CheckLong(self->__character_count_since_last_sep)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__character_count_since_last_sep));
    }
    if (CPyTagged_CheckLong(self->__successive_upper_lower_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__successive_upper_lower_count));
    }
    if (CPyTagged_CheckLong(self->__successive_upper_lower_count_final)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__successive_upper_lower_count_final));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        Py_VISIT(CPyTagged_LongAsObject(self->__character_count));
    }
    Py_VISIT(self->__last_alpha_seen);
    return 0;
}

static int
ArchaicUpperLowerPlugin_clear(charset_normalizer___md___ArchaicUpperLowerPluginObject *self)
{
    if (CPyTagged_CheckLong(self->__character_count_since_last_sep)) {
        CPyTagged __tmp = self->__character_count_since_last_sep;
        self->__character_count_since_last_sep = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__successive_upper_lower_count)) {
        CPyTagged __tmp = self->__successive_upper_lower_count;
        self->__successive_upper_lower_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__successive_upper_lower_count_final)) {
        CPyTagged __tmp = self->__successive_upper_lower_count_final;
        self->__successive_upper_lower_count_final = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    if (CPyTagged_CheckLong(self->__character_count)) {
        CPyTagged __tmp = self->__character_count;
        self->__character_count = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    Py_CLEAR(self->__last_alpha_seen);
    return 0;
}

static void
ArchaicUpperLowerPlugin_dealloc(charset_normalizer___md___ArchaicUpperLowerPluginObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, ArchaicUpperLowerPlugin_dealloc)
    ArchaicUpperLowerPlugin_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem ArchaicUpperLowerPlugin_vtable[9];
static bool
CPyDef_ArchaicUpperLowerPlugin_trait_vtable_setup(void)
{
    CPyVTableItem ArchaicUpperLowerPlugin_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin___eligible,
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin___feed,
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin___reset,
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin___ratio,
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin_____init__,
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin___eligible,
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin___feed,
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin___reset,
        (CPyVTableItem)CPyDef_ArchaicUpperLowerPlugin___ratio,
    };
    memcpy(ArchaicUpperLowerPlugin_vtable, ArchaicUpperLowerPlugin_vtable_scratch, sizeof(ArchaicUpperLowerPlugin_vtable));
    return 1;
}

static PyObject *
ArchaicUpperLowerPlugin_get__buf(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure);
static int
ArchaicUpperLowerPlugin_set__buf(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure);
static PyObject *
ArchaicUpperLowerPlugin_get__character_count_since_last_sep(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure);
static int
ArchaicUpperLowerPlugin_set__character_count_since_last_sep(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure);
static PyObject *
ArchaicUpperLowerPlugin_get__successive_upper_lower_count(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure);
static int
ArchaicUpperLowerPlugin_set__successive_upper_lower_count(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure);
static PyObject *
ArchaicUpperLowerPlugin_get__successive_upper_lower_count_final(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure);
static int
ArchaicUpperLowerPlugin_set__successive_upper_lower_count_final(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure);
static PyObject *
ArchaicUpperLowerPlugin_get__character_count(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure);
static int
ArchaicUpperLowerPlugin_set__character_count(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure);
static PyObject *
ArchaicUpperLowerPlugin_get__last_alpha_seen(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure);
static int
ArchaicUpperLowerPlugin_set__last_alpha_seen(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure);
static PyObject *
ArchaicUpperLowerPlugin_get__current_ascii_only(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure);
static int
ArchaicUpperLowerPlugin_set__current_ascii_only(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure);
static PyObject *
ArchaicUpperLowerPlugin_get_ratio(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure);

static PyGetSetDef ArchaicUpperLowerPlugin_getseters[] = {
    {"_buf",
     (getter)ArchaicUpperLowerPlugin_get__buf, (setter)ArchaicUpperLowerPlugin_set__buf,
     NULL, NULL},
    {"_character_count_since_last_sep",
     (getter)ArchaicUpperLowerPlugin_get__character_count_since_last_sep, (setter)ArchaicUpperLowerPlugin_set__character_count_since_last_sep,
     NULL, NULL},
    {"_successive_upper_lower_count",
     (getter)ArchaicUpperLowerPlugin_get__successive_upper_lower_count, (setter)ArchaicUpperLowerPlugin_set__successive_upper_lower_count,
     NULL, NULL},
    {"_successive_upper_lower_count_final",
     (getter)ArchaicUpperLowerPlugin_get__successive_upper_lower_count_final, (setter)ArchaicUpperLowerPlugin_set__successive_upper_lower_count_final,
     NULL, NULL},
    {"_character_count",
     (getter)ArchaicUpperLowerPlugin_get__character_count, (setter)ArchaicUpperLowerPlugin_set__character_count,
     NULL, NULL},
    {"_last_alpha_seen",
     (getter)ArchaicUpperLowerPlugin_get__last_alpha_seen, (setter)ArchaicUpperLowerPlugin_set__last_alpha_seen,
     NULL, NULL},
    {"_current_ascii_only",
     (getter)ArchaicUpperLowerPlugin_get__current_ascii_only, (setter)ArchaicUpperLowerPlugin_set__current_ascii_only,
     NULL, NULL},
    {"ratio",
     (getter)ArchaicUpperLowerPlugin_get_ratio,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef ArchaicUpperLowerPlugin_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_ArchaicUpperLowerPlugin_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"eligible",
     (PyCFunction)CPyPy_ArchaicUpperLowerPlugin___eligible,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"feed",
     (PyCFunction)CPyPy_ArchaicUpperLowerPlugin___feed,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"reset",
     (PyCFunction)CPyPy_ArchaicUpperLowerPlugin___reset,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_ArchaicUpperLowerPlugin_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "ArchaicUpperLowerPlugin",
    .tp_new = ArchaicUpperLowerPlugin_new,
    .tp_dealloc = (destructor)ArchaicUpperLowerPlugin_dealloc,
    .tp_traverse = (traverseproc)ArchaicUpperLowerPlugin_traverse,
    .tp_clear = (inquiry)ArchaicUpperLowerPlugin_clear,
    .tp_getset = ArchaicUpperLowerPlugin_getseters,
    .tp_methods = ArchaicUpperLowerPlugin_methods,
    .tp_init = ArchaicUpperLowerPlugin_init,
    .tp_basicsize = sizeof(charset_normalizer___md___ArchaicUpperLowerPluginObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_ArchaicUpperLowerPlugin_template = &CPyType_ArchaicUpperLowerPlugin_template_;

static PyObject *
ArchaicUpperLowerPlugin_setup(PyTypeObject *type)
{
    charset_normalizer___md___ArchaicUpperLowerPluginObject *self;
    self = (charset_normalizer___md___ArchaicUpperLowerPluginObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = ArchaicUpperLowerPlugin_vtable;
    self->__buf = 2;
    self->__character_count_since_last_sep = CPY_INT_TAG;
    self->__successive_upper_lower_count = CPY_INT_TAG;
    self->__successive_upper_lower_count_final = CPY_INT_TAG;
    self->__character_count = CPY_INT_TAG;
    self->__current_ascii_only = 2;
    return (PyObject *)self;
}

PyObject *CPyDef_ArchaicUpperLowerPlugin(void)
{
    PyObject *self = ArchaicUpperLowerPlugin_setup(CPyType_ArchaicUpperLowerPlugin);
    if (self == NULL)
        return NULL;
    char res = CPyDef_ArchaicUpperLowerPlugin_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
ArchaicUpperLowerPlugin_get__buf(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure)
{
    PyObject *retval = self->__buf ? Py_True : Py_False;
    CPy_INCREF(retval);
    return retval;
}

static int
ArchaicUpperLowerPlugin_set__buf(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'ArchaicUpperLowerPlugin' object attribute '_buf' cannot be deleted");
        return -1;
    }
    char tmp;
    if (unlikely(!PyBool_Check(value))) {
        CPy_TypeError("bool", value); return -1;
    } else
        tmp = value == Py_True;
    self->__buf = tmp;
    return 0;
}

static PyObject *
ArchaicUpperLowerPlugin_get__character_count_since_last_sep(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure)
{
    if (unlikely(self->__character_count_since_last_sep == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_character_count_since_last_sep' of 'ArchaicUpperLowerPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__character_count_since_last_sep);
    PyObject *retval = CPyTagged_StealAsObject(self->__character_count_since_last_sep);
    return retval;
}

static int
ArchaicUpperLowerPlugin_set__character_count_since_last_sep(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'ArchaicUpperLowerPlugin' object attribute '_character_count_since_last_sep' cannot be deleted");
        return -1;
    }
    if (self->__character_count_since_last_sep != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__character_count_since_last_sep);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__character_count_since_last_sep = tmp;
    return 0;
}

static PyObject *
ArchaicUpperLowerPlugin_get__successive_upper_lower_count(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure)
{
    if (unlikely(self->__successive_upper_lower_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_successive_upper_lower_count' of 'ArchaicUpperLowerPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__successive_upper_lower_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__successive_upper_lower_count);
    return retval;
}

static int
ArchaicUpperLowerPlugin_set__successive_upper_lower_count(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'ArchaicUpperLowerPlugin' object attribute '_successive_upper_lower_count' cannot be deleted");
        return -1;
    }
    if (self->__successive_upper_lower_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__successive_upper_lower_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__successive_upper_lower_count = tmp;
    return 0;
}

static PyObject *
ArchaicUpperLowerPlugin_get__successive_upper_lower_count_final(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure)
{
    if (unlikely(self->__successive_upper_lower_count_final == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_successive_upper_lower_count_final' of 'ArchaicUpperLowerPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__successive_upper_lower_count_final);
    PyObject *retval = CPyTagged_StealAsObject(self->__successive_upper_lower_count_final);
    return retval;
}

static int
ArchaicUpperLowerPlugin_set__successive_upper_lower_count_final(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'ArchaicUpperLowerPlugin' object attribute '_successive_upper_lower_count_final' cannot be deleted");
        return -1;
    }
    if (self->__successive_upper_lower_count_final != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__successive_upper_lower_count_final);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__successive_upper_lower_count_final = tmp;
    return 0;
}

static PyObject *
ArchaicUpperLowerPlugin_get__character_count(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure)
{
    if (unlikely(self->__character_count == CPY_INT_TAG)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_character_count' of 'ArchaicUpperLowerPlugin' undefined");
        return NULL;
    }
    CPyTagged_INCREF(self->__character_count);
    PyObject *retval = CPyTagged_StealAsObject(self->__character_count);
    return retval;
}

static int
ArchaicUpperLowerPlugin_set__character_count(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'ArchaicUpperLowerPlugin' object attribute '_character_count' cannot be deleted");
        return -1;
    }
    if (self->__character_count != CPY_INT_TAG) {
        CPyTagged_DECREF(self->__character_count);
    }
    CPyTagged tmp;
    if (likely(PyLong_Check(value)))
        tmp = CPyTagged_FromObject(value);
    else {
        CPy_TypeError("int", value); return -1;
    }
    CPyTagged_INCREF(tmp);
    self->__character_count = tmp;
    return 0;
}

static PyObject *
ArchaicUpperLowerPlugin_get__last_alpha_seen(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure)
{
    if (unlikely(self->__last_alpha_seen == NULL)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute '_last_alpha_seen' of 'ArchaicUpperLowerPlugin' undefined");
        return NULL;
    }
    CPy_INCREF(self->__last_alpha_seen);
    PyObject *retval = self->__last_alpha_seen;
    return retval;
}

static int
ArchaicUpperLowerPlugin_set__last_alpha_seen(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'ArchaicUpperLowerPlugin' object attribute '_last_alpha_seen' cannot be deleted");
        return -1;
    }
    if (self->__last_alpha_seen != NULL) {
        CPy_DECREF(self->__last_alpha_seen);
    }
    PyObject *tmp;
    if (PyUnicode_Check(value))
        tmp = value;
    else {
        tmp = NULL;
    }
    if (tmp != NULL) goto __LL4;
    if (value == Py_None)
        tmp = value;
    else {
        tmp = NULL;
    }
    if (tmp != NULL) goto __LL4;
    CPy_TypeError("str or None", value); 
    tmp = NULL;
__LL4: ;
    if (!tmp)
        return -1;
    CPy_INCREF(tmp);
    self->__last_alpha_seen = tmp;
    return 0;
}

static PyObject *
ArchaicUpperLowerPlugin_get__current_ascii_only(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure)
{
    PyObject *retval = self->__current_ascii_only ? Py_True : Py_False;
    CPy_INCREF(retval);
    return retval;
}

static int
ArchaicUpperLowerPlugin_set__current_ascii_only(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'ArchaicUpperLowerPlugin' object attribute '_current_ascii_only' cannot be deleted");
        return -1;
    }
    char tmp;
    if (unlikely(!PyBool_Check(value))) {
        CPy_TypeError("bool", value); return -1;
    } else
        tmp = value == Py_True;
    self->__current_ascii_only = tmp;
    return 0;
}

static PyObject *
ArchaicUpperLowerPlugin_get_ratio(charset_normalizer___md___ArchaicUpperLowerPluginObject *self, void *closure)
{
    double retval = CPyDef_ArchaicUpperLowerPlugin___ratio((PyObject *) self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
}
static PyMethodDef module_methods[] = {
    {"is_suspiciously_successive_range", (PyCFunction)CPyPy_is_suspiciously_successive_range, METH_FASTCALL | METH_KEYWORDS, NULL /* docstring */},
    {"mess_ratio", (PyCFunction)CPyPy_mess_ratio, METH_FASTCALL | METH_KEYWORDS, NULL /* docstring */},
    {NULL, NULL, 0, NULL}
};

static struct PyModuleDef module = {
    PyModuleDef_HEAD_INIT,
    "charset_normalizer.md",
    NULL, /* docstring */
    -1,       /* size of per-interpreter state of the module,
                 or -1 if the module keeps state in global variables. */
    module_methods
};

PyObject *CPyInit_charset_normalizer___md(void)
{
    PyObject* modname = NULL;
    if (CPyModule_charset_normalizer___md_internal) {
        Py_INCREF(CPyModule_charset_normalizer___md_internal);
        return CPyModule_charset_normalizer___md_internal;
    }
    CPyModule_charset_normalizer___md_internal = PyModule_Create(&module);
    if (unlikely(CPyModule_charset_normalizer___md_internal == NULL))
        goto fail;
    modname = PyObject_GetAttrString((PyObject *)CPyModule_charset_normalizer___md_internal, "__name__");
    CPyStatic_globals = PyModule_GetDict(CPyModule_charset_normalizer___md_internal);
    if (unlikely(CPyStatic_globals == NULL))
        goto fail;
    if (CPyGlobalsInit() < 0)
        goto fail;
    char result = CPyDef___top_level__();
    if (result == 2)
        goto fail;
    Py_DECREF(modname);
    return CPyModule_charset_normalizer___md_internal;
    fail:
    Py_CLEAR(CPyModule_charset_normalizer___md_internal);
    Py_CLEAR(modname);
    Py_CLEAR(CPyType_MessDetectorPlugin);
    Py_CLEAR(CPyType_TooManySymbolOrPunctuationPlugin);
    Py_CLEAR(CPyType_TooManyAccentuatedPlugin);
    Py_CLEAR(CPyType_UnprintablePlugin);
    Py_CLEAR(CPyType_SuspiciousDuplicateAccentPlugin);
    Py_CLEAR(CPyType_SuspiciousRange);
    Py_CLEAR(CPyType_SuperWeirdWordPlugin);
    Py_CLEAR(CPyType_CjkInvalidStopPlugin);
    Py_CLEAR(CPyType_ArchaicUpperLowerPlugin);
    return NULL;
}

char CPyDef_MessDetectorPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    char cpy_r_r3;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = CPyStatics[3]; /* 'NotImplementedError' */
    cpy_r_r2 = CPyObject_GetAttr(cpy_r_r0, cpy_r_r1);
    if (unlikely(cpy_r_r2 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 40, CPyStatic_globals);
        goto CPyL3;
    }
    CPy_Raise(cpy_r_r2);
    CPy_DECREF(cpy_r_r2);
    if (unlikely(!0)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 40, CPyStatic_globals);
        goto CPyL3;
    }
    CPy_Unreachable();
CPyL3: ;
    cpy_r_r3 = 2;
    return cpy_r_r3;
}

PyObject *CPyPy_MessDetectorPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(PyObject_TypeCheck(obj_self, CPyType_MessDetectorPlugin)))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.MessDetectorPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_MessDetectorPlugin___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 36, CPyStatic_globals);
    return NULL;
}

char CPyDef_MessDetectorPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    char cpy_r_r3;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = CPyStatics[3]; /* 'NotImplementedError' */
    cpy_r_r2 = CPyObject_GetAttr(cpy_r_r0, cpy_r_r1);
    if (unlikely(cpy_r_r2 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 47, CPyStatic_globals);
        goto CPyL3;
    }
    CPy_Raise(cpy_r_r2);
    CPy_DECREF(cpy_r_r2);
    if (unlikely(!0)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 47, CPyStatic_globals);
        goto CPyL3;
    }
    CPy_Unreachable();
CPyL3: ;
    cpy_r_r3 = 2;
    return cpy_r_r3;
}

PyObject *CPyPy_MessDetectorPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(PyObject_TypeCheck(obj_self, CPyType_MessDetectorPlugin)))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.MessDetectorPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_MessDetectorPlugin___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 42, CPyStatic_globals);
    return NULL;
}

char CPyDef_MessDetectorPlugin___reset(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    char cpy_r_r3;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = CPyStatics[3]; /* 'NotImplementedError' */
    cpy_r_r2 = CPyObject_GetAttr(cpy_r_r0, cpy_r_r1);
    if (unlikely(cpy_r_r2 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "reset", 53, CPyStatic_globals);
        goto CPyL3;
    }
    CPy_Raise(cpy_r_r2);
    CPy_DECREF(cpy_r_r2);
    if (unlikely(!0)) {
        CPy_AddTraceback("charset_normalizer/md.py", "reset", 53, CPyStatic_globals);
        goto CPyL3;
    }
    CPy_Unreachable();
CPyL3: ;
    cpy_r_r3 = 2;
    return cpy_r_r3;
}

PyObject *CPyPy_MessDetectorPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(PyObject_TypeCheck(obj_self, CPyType_MessDetectorPlugin)))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.MessDetectorPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_MessDetectorPlugin___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 49, CPyStatic_globals);
    return NULL;
}

double CPyDef_MessDetectorPlugin___ratio(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    double cpy_r_r3;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = CPyStatics[3]; /* 'NotImplementedError' */
    cpy_r_r2 = CPyObject_GetAttr(cpy_r_r0, cpy_r_r1);
    if (unlikely(cpy_r_r2 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 61, CPyStatic_globals);
        goto CPyL3;
    }
    CPy_Raise(cpy_r_r2);
    CPy_DECREF(cpy_r_r2);
    if (unlikely(!0)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 61, CPyStatic_globals);
        goto CPyL3;
    }
    CPy_Unreachable();
CPyL3: ;
    cpy_r_r3 = -113.0;
    return cpy_r_r3;
}

PyObject *CPyPy_MessDetectorPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(PyObject_TypeCheck(obj_self, CPyType_MessDetectorPlugin)))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.MessDetectorPlugin", obj_self); 
        goto fail;
    }
    double retval = CPyDef_MessDetectorPlugin___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 56, CPyStatic_globals);
    return NULL;
}

char CPyDef_TooManySymbolOrPunctuationPlugin_____init__(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__punctuation_count = 0;
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__symbol_count = 0;
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__character_count = 0;
    cpy_r_r0 = Py_None;
    CPy_INCREF(cpy_r_r0);
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__last_printable_char = cpy_r_r0;
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__frenzy_symbol_in_word = 0;
    return 1;
}

PyObject *CPyPy_TooManySymbolOrPunctuationPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManySymbolOrPunctuationPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManySymbolOrPunctuationPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_TooManySymbolOrPunctuationPlugin_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "__init__", 65, CPyStatic_globals);
    return NULL;
}

char CPyDef_TooManySymbolOrPunctuationPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject **cpy_r_r2;
    PyObject *cpy_r_r3;
    char cpy_r_r4;
    char cpy_r_r5;
    cpy_r_r0 = CPyStatics[4]; /* 'isprintable' */
    PyObject *cpy_r_r1[1] = {cpy_r_character};
    cpy_r_r2 = (PyObject **)&cpy_r_r1;
    cpy_r_r3 = PyObject_VectorcallMethod(cpy_r_r0, cpy_r_r2, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r3 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 74, CPyStatic_globals);
        goto CPyL3;
    }
    if (unlikely(!PyBool_Check(cpy_r_r3))) {
        CPy_TypeError("bool", cpy_r_r3); cpy_r_r4 = 2;
    } else
        cpy_r_r4 = cpy_r_r3 == Py_True;
    CPy_DECREF(cpy_r_r3);
    if (unlikely(cpy_r_r4 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 74, CPyStatic_globals);
        goto CPyL3;
    }
    return cpy_r_r4;
CPyL3: ;
    cpy_r_r5 = 2;
    return cpy_r_r5;
}

PyObject *CPyPy_TooManySymbolOrPunctuationPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManySymbolOrPunctuationPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManySymbolOrPunctuationPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_TooManySymbolOrPunctuationPlugin___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 73, CPyStatic_globals);
    return NULL;
}

char CPyDef_TooManySymbolOrPunctuationPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    CPyTagged cpy_r_r0;
    CPyTagged cpy_r_r1;
    char cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    char cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    int32_t cpy_r_r10;
    char cpy_r_r11;
    char cpy_r_r12;
    char cpy_r_r13;
    PyObject *cpy_r_r14;
    PyObject *cpy_r_r15;
    PyObject *cpy_r_r16;
    PyObject **cpy_r_r18;
    PyObject *cpy_r_r19;
    char cpy_r_r20;
    CPyTagged cpy_r_r21;
    CPyTagged cpy_r_r22;
    char cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject **cpy_r_r26;
    PyObject *cpy_r_r27;
    char cpy_r_r28;
    PyObject *cpy_r_r29;
    PyObject *cpy_r_r30;
    char cpy_r_r31;
    PyObject *cpy_r_r32;
    PyObject *cpy_r_r33;
    PyObject *cpy_r_r34;
    PyObject **cpy_r_r36;
    PyObject *cpy_r_r37;
    char cpy_r_r38;
    PyObject *cpy_r_r39;
    PyObject *cpy_r_r40;
    PyObject *cpy_r_r41;
    PyObject **cpy_r_r43;
    PyObject *cpy_r_r44;
    char cpy_r_r45;
    PyObject *cpy_r_r46;
    PyObject *cpy_r_r47;
    char cpy_r_r48;
    CPyTagged cpy_r_r49;
    CPyTagged cpy_r_r50;
    char cpy_r_r51;
    char cpy_r_r52;
    char cpy_r_r53;
    cpy_r_r0 = ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = CPyTagged_Add(cpy_r_r0, 2);
    CPyTagged_DECREF(((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__character_count = cpy_r_r1;
    cpy_r_r3 = ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__last_printable_char;
    CPy_INCREF(cpy_r_r3);
    cpy_r_r4 = PyObject_RichCompare(cpy_r_character, cpy_r_r3, 3);
    CPy_DECREF(cpy_r_r3);
    if (unlikely(cpy_r_r4 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 80, CPyStatic_globals);
        goto CPyL25;
    }
    if (unlikely(!PyBool_Check(cpy_r_r4))) {
        CPy_TypeError("bool", cpy_r_r4); cpy_r_r5 = 2;
    } else
        cpy_r_r5 = cpy_r_r4 == Py_True;
    CPy_DECREF(cpy_r_r4);
    if (unlikely(cpy_r_r5 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 80, CPyStatic_globals);
        goto CPyL25;
    }
    if (!cpy_r_r5) goto CPyL24;
    cpy_r_r6 = CPyStatic_globals;
    cpy_r_r7 = CPyStatics[5]; /* 'COMMON_SAFE_ASCII_CHARACTERS' */
    cpy_r_r8 = CPyDict_GetItem(cpy_r_r6, cpy_r_r7);
    if (unlikely(cpy_r_r8 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 81, CPyStatic_globals);
        goto CPyL25;
    }
    if (likely(PySet_Check(cpy_r_r8)))
        cpy_r_r9 = cpy_r_r8;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 81, CPyStatic_globals, "set", cpy_r_r8);
        goto CPyL25;
    }
    cpy_r_r10 = PySet_Contains(cpy_r_r9, cpy_r_character);
    CPy_DECREF(cpy_r_r9);
    cpy_r_r11 = cpy_r_r10 >= 0;
    if (unlikely(!cpy_r_r11)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 81, CPyStatic_globals);
        goto CPyL25;
    }
    cpy_r_r12 = cpy_r_r10;
    cpy_r_r13 = cpy_r_r12 ^ 1;
    if (!cpy_r_r13) goto CPyL24;
    cpy_r_r14 = CPyStatic_globals;
    cpy_r_r15 = CPyStatics[6]; /* 'is_punctuation' */
    cpy_r_r16 = CPyDict_GetItem(cpy_r_r14, cpy_r_r15);
    if (unlikely(cpy_r_r16 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 83, CPyStatic_globals);
        goto CPyL25;
    }
    PyObject *cpy_r_r17[1] = {cpy_r_character};
    cpy_r_r18 = (PyObject **)&cpy_r_r17;
    cpy_r_r19 = _PyObject_Vectorcall(cpy_r_r16, cpy_r_r18, 1, 0);
    CPy_DECREF(cpy_r_r16);
    if (unlikely(cpy_r_r19 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 83, CPyStatic_globals);
        goto CPyL25;
    }
    if (unlikely(!PyBool_Check(cpy_r_r19))) {
        CPy_TypeError("bool", cpy_r_r19); cpy_r_r20 = 2;
    } else
        cpy_r_r20 = cpy_r_r19 == Py_True;
    CPy_DECREF(cpy_r_r19);
    if (unlikely(cpy_r_r20 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 83, CPyStatic_globals);
        goto CPyL25;
    }
    if (!cpy_r_r20) goto CPyL12;
    cpy_r_r21 = ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__punctuation_count;
    cpy_r_r22 = CPyTagged_Add(cpy_r_r21, 2);
    CPyTagged_DECREF(((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__punctuation_count);
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__punctuation_count = cpy_r_r22;
    goto CPyL24;
CPyL12: ;
    cpy_r_r24 = CPyStatics[7]; /* 'isdigit' */
    PyObject *cpy_r_r25[1] = {cpy_r_character};
    cpy_r_r26 = (PyObject **)&cpy_r_r25;
    cpy_r_r27 = PyObject_VectorcallMethod(cpy_r_r24, cpy_r_r26, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r27 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 86, CPyStatic_globals);
        goto CPyL25;
    }
    if (unlikely(!PyBool_Check(cpy_r_r27))) {
        CPy_TypeError("bool", cpy_r_r27); cpy_r_r28 = 2;
    } else
        cpy_r_r28 = cpy_r_r27 == Py_True;
    CPy_DECREF(cpy_r_r27);
    if (unlikely(cpy_r_r28 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 86, CPyStatic_globals);
        goto CPyL25;
    }
    cpy_r_r29 = cpy_r_r28 ? Py_True : Py_False;
    cpy_r_r30 = 0 ? Py_True : Py_False;
    cpy_r_r31 = cpy_r_r29 == cpy_r_r30;
    if (!cpy_r_r31) goto CPyL24;
    cpy_r_r32 = CPyStatic_globals;
    cpy_r_r33 = CPyStatics[8]; /* 'is_symbol' */
    cpy_r_r34 = CPyDict_GetItem(cpy_r_r32, cpy_r_r33);
    if (unlikely(cpy_r_r34 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 87, CPyStatic_globals);
        goto CPyL25;
    }
    PyObject *cpy_r_r35[1] = {cpy_r_character};
    cpy_r_r36 = (PyObject **)&cpy_r_r35;
    cpy_r_r37 = _PyObject_Vectorcall(cpy_r_r34, cpy_r_r36, 1, 0);
    CPy_DECREF(cpy_r_r34);
    if (unlikely(cpy_r_r37 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 87, CPyStatic_globals);
        goto CPyL25;
    }
    if (unlikely(!PyBool_Check(cpy_r_r37))) {
        CPy_TypeError("bool", cpy_r_r37); cpy_r_r38 = 2;
    } else
        cpy_r_r38 = cpy_r_r37 == Py_True;
    CPy_DECREF(cpy_r_r37);
    if (unlikely(cpy_r_r38 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 87, CPyStatic_globals);
        goto CPyL25;
    }
    if (!cpy_r_r38) goto CPyL24;
    cpy_r_r39 = CPyStatic_globals;
    cpy_r_r40 = CPyStatics[9]; /* 'is_emoticon' */
    cpy_r_r41 = CPyDict_GetItem(cpy_r_r39, cpy_r_r40);
    if (unlikely(cpy_r_r41 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 88, CPyStatic_globals);
        goto CPyL25;
    }
    PyObject *cpy_r_r42[1] = {cpy_r_character};
    cpy_r_r43 = (PyObject **)&cpy_r_r42;
    cpy_r_r44 = _PyObject_Vectorcall(cpy_r_r41, cpy_r_r43, 1, 0);
    CPy_DECREF(cpy_r_r41);
    if (unlikely(cpy_r_r44 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 88, CPyStatic_globals);
        goto CPyL25;
    }
    if (unlikely(!PyBool_Check(cpy_r_r44))) {
        CPy_TypeError("bool", cpy_r_r44); cpy_r_r45 = 2;
    } else
        cpy_r_r45 = cpy_r_r44 == Py_True;
    CPy_DECREF(cpy_r_r44);
    if (unlikely(cpy_r_r45 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 88, CPyStatic_globals);
        goto CPyL25;
    }
    cpy_r_r46 = cpy_r_r45 ? Py_True : Py_False;
    cpy_r_r47 = 0 ? Py_True : Py_False;
    cpy_r_r48 = cpy_r_r46 == cpy_r_r47;
    if (!cpy_r_r48) goto CPyL24;
    cpy_r_r49 = ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__symbol_count;
    cpy_r_r50 = CPyTagged_Add(cpy_r_r49, 4);
    CPyTagged_DECREF(((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__symbol_count);
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__symbol_count = cpy_r_r50;
CPyL24: ;
    CPy_INCREF(cpy_r_character);
    CPy_DECREF(((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__last_printable_char);
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__last_printable_char = cpy_r_character;
    return 1;
CPyL25: ;
    cpy_r_r53 = 2;
    return cpy_r_r53;
}

PyObject *CPyPy_TooManySymbolOrPunctuationPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManySymbolOrPunctuationPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManySymbolOrPunctuationPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_TooManySymbolOrPunctuationPlugin___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 76, CPyStatic_globals);
    return NULL;
}

char CPyDef_TooManySymbolOrPunctuationPlugin___reset(PyObject *cpy_r_self) {
    char cpy_r_r0;
    char cpy_r_r1;
    char cpy_r_r2;
    CPyTagged_DECREF(((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__punctuation_count);
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__punctuation_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__character_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__symbol_count);
    ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__symbol_count = 0;
    return 1;
}

PyObject *CPyPy_TooManySymbolOrPunctuationPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManySymbolOrPunctuationPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManySymbolOrPunctuationPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_TooManySymbolOrPunctuationPlugin___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 94, CPyStatic_globals);
    return NULL;
}

double CPyDef_TooManySymbolOrPunctuationPlugin___ratio(PyObject *cpy_r_self) {
    CPyTagged cpy_r_r0;
    char cpy_r_r1;
    CPyTagged cpy_r_r2;
    CPyTagged cpy_r_r3;
    CPyTagged cpy_r_r4;
    CPyTagged cpy_r_r5;
    double cpy_r_r6;
    char cpy_r_r7;
    char cpy_r_r8;
    PyObject *cpy_r_r9;
    double cpy_r_r10;
    double cpy_r_r11;
    cpy_r_r0 = ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = cpy_r_r0 == 0;
    if (!cpy_r_r1) goto CPyL2;
    return 0.0;
CPyL2: ;
    cpy_r_r2 = ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__punctuation_count;
    cpy_r_r3 = ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__symbol_count;
    cpy_r_r4 = CPyTagged_Add(cpy_r_r2, cpy_r_r3);
    cpy_r_r5 = ((charset_normalizer___md___TooManySymbolOrPunctuationPluginObject *)cpy_r_self)->__character_count;
    CPyTagged_INCREF(cpy_r_r5);
    cpy_r_r6 = CPyTagged_TrueDivide(cpy_r_r4, cpy_r_r5);
    CPyTagged_DECREF(cpy_r_r4);
    CPyTagged_DECREF(cpy_r_r5);
    cpy_r_r7 = cpy_r_r6 == -113.0;
    if (unlikely(cpy_r_r7)) goto CPyL4;
CPyL3: ;
    cpy_r_r8 = cpy_r_r6 >= 0.3;
    if (cpy_r_r8) {
        goto CPyL5;
    } else
        goto CPyL6;
CPyL4: ;
    cpy_r_r9 = PyErr_Occurred();
    if (unlikely(cpy_r_r9 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 104, CPyStatic_globals);
        goto CPyL8;
    } else
        goto CPyL3;
CPyL5: ;
    cpy_r_r10 = cpy_r_r6;
    goto CPyL7;
CPyL6: ;
    cpy_r_r10 = 0.0;
CPyL7: ;
    return cpy_r_r10;
CPyL8: ;
    cpy_r_r11 = -113.0;
    return cpy_r_r11;
}

PyObject *CPyPy_TooManySymbolOrPunctuationPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManySymbolOrPunctuationPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManySymbolOrPunctuationPlugin", obj_self); 
        goto fail;
    }
    double retval = CPyDef_TooManySymbolOrPunctuationPlugin___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 100, CPyStatic_globals);
    return NULL;
}

char CPyDef_TooManyAccentuatedPlugin_____init__(PyObject *cpy_r_self) {
    ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count = 0;
    ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__accentuated_count = 0;
    return 1;
}

PyObject *CPyPy_TooManyAccentuatedPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManyAccentuatedPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManyAccentuatedPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_TooManyAccentuatedPlugin_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "__init__", 112, CPyStatic_globals);
    return NULL;
}

char CPyDef_TooManyAccentuatedPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject **cpy_r_r2;
    PyObject *cpy_r_r3;
    char cpy_r_r4;
    char cpy_r_r5;
    cpy_r_r0 = CPyStatics[10]; /* 'isalpha' */
    PyObject *cpy_r_r1[1] = {cpy_r_character};
    cpy_r_r2 = (PyObject **)&cpy_r_r1;
    cpy_r_r3 = PyObject_VectorcallMethod(cpy_r_r0, cpy_r_r2, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r3 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 117, CPyStatic_globals);
        goto CPyL3;
    }
    if (unlikely(!PyBool_Check(cpy_r_r3))) {
        CPy_TypeError("bool", cpy_r_r3); cpy_r_r4 = 2;
    } else
        cpy_r_r4 = cpy_r_r3 == Py_True;
    CPy_DECREF(cpy_r_r3);
    if (unlikely(cpy_r_r4 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 117, CPyStatic_globals);
        goto CPyL3;
    }
    return cpy_r_r4;
CPyL3: ;
    cpy_r_r5 = 2;
    return cpy_r_r5;
}

PyObject *CPyPy_TooManyAccentuatedPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManyAccentuatedPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManyAccentuatedPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_TooManyAccentuatedPlugin___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 116, CPyStatic_globals);
    return NULL;
}

char CPyDef_TooManyAccentuatedPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    CPyTagged cpy_r_r0;
    CPyTagged cpy_r_r1;
    char cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject *cpy_r_r5;
    PyObject **cpy_r_r7;
    PyObject *cpy_r_r8;
    char cpy_r_r9;
    CPyTagged cpy_r_r10;
    CPyTagged cpy_r_r11;
    char cpy_r_r12;
    char cpy_r_r13;
    cpy_r_r0 = ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = CPyTagged_Add(cpy_r_r0, 2);
    CPyTagged_DECREF(((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count = cpy_r_r1;
    cpy_r_r3 = CPyStatic_globals;
    cpy_r_r4 = CPyStatics[11]; /* 'is_accentuated' */
    cpy_r_r5 = CPyDict_GetItem(cpy_r_r3, cpy_r_r4);
    if (unlikely(cpy_r_r5 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 122, CPyStatic_globals);
        goto CPyL6;
    }
    PyObject *cpy_r_r6[1] = {cpy_r_character};
    cpy_r_r7 = (PyObject **)&cpy_r_r6;
    cpy_r_r8 = _PyObject_Vectorcall(cpy_r_r5, cpy_r_r7, 1, 0);
    CPy_DECREF(cpy_r_r5);
    if (unlikely(cpy_r_r8 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 122, CPyStatic_globals);
        goto CPyL6;
    }
    if (unlikely(!PyBool_Check(cpy_r_r8))) {
        CPy_TypeError("bool", cpy_r_r8); cpy_r_r9 = 2;
    } else
        cpy_r_r9 = cpy_r_r8 == Py_True;
    CPy_DECREF(cpy_r_r8);
    if (unlikely(cpy_r_r9 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 122, CPyStatic_globals);
        goto CPyL6;
    }
    if (!cpy_r_r9) goto CPyL5;
    cpy_r_r10 = ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__accentuated_count;
    cpy_r_r11 = CPyTagged_Add(cpy_r_r10, 2);
    CPyTagged_DECREF(((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__accentuated_count);
    ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__accentuated_count = cpy_r_r11;
CPyL5: ;
    return 1;
CPyL6: ;
    cpy_r_r13 = 2;
    return cpy_r_r13;
}

PyObject *CPyPy_TooManyAccentuatedPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManyAccentuatedPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManyAccentuatedPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_TooManyAccentuatedPlugin___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 119, CPyStatic_globals);
    return NULL;
}

char CPyDef_TooManyAccentuatedPlugin___reset(PyObject *cpy_r_self) {
    char cpy_r_r0;
    char cpy_r_r1;
    CPyTagged_DECREF(((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__accentuated_count);
    ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__accentuated_count = 0;
    return 1;
}

PyObject *CPyPy_TooManyAccentuatedPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManyAccentuatedPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManyAccentuatedPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_TooManyAccentuatedPlugin___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 125, CPyStatic_globals);
    return NULL;
}

double CPyDef_TooManyAccentuatedPlugin___ratio(PyObject *cpy_r_self) {
    CPyTagged cpy_r_r0;
    char cpy_r_r1;
    CPyTagged cpy_r_r2;
    int64_t cpy_r_r3;
    char cpy_r_r4;
    int64_t cpy_r_r5;
    char cpy_r_r6;
    char cpy_r_r7;
    char cpy_r_r8;
    CPyTagged cpy_r_r9;
    CPyTagged cpy_r_r10;
    double cpy_r_r11;
    char cpy_r_r12;
    char cpy_r_r13;
    PyObject *cpy_r_r14;
    double cpy_r_r15;
    double cpy_r_r16;
    cpy_r_r0 = ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = cpy_r_r0 == 0;
    if (cpy_r_r1) goto CPyL5;
    cpy_r_r2 = ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r3 = cpy_r_r2 & 1;
    cpy_r_r4 = cpy_r_r3 != 0;
    if (cpy_r_r4) goto CPyL3;
    cpy_r_r5 = 16 & 1;
    cpy_r_r6 = cpy_r_r5 != 0;
    if (!cpy_r_r6) goto CPyL4;
CPyL3: ;
    cpy_r_r7 = CPyTagged_IsLt_(cpy_r_r2, 16);
    if (cpy_r_r7) {
        goto CPyL5;
    } else
        goto CPyL6;
CPyL4: ;
    cpy_r_r8 = (Py_ssize_t)cpy_r_r2 < (Py_ssize_t)16;
    if (!cpy_r_r8) goto CPyL6;
CPyL5: ;
    return 0.0;
CPyL6: ;
    cpy_r_r9 = ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__accentuated_count;
    CPyTagged_INCREF(cpy_r_r9);
    cpy_r_r10 = ((charset_normalizer___md___TooManyAccentuatedPluginObject *)cpy_r_self)->__character_count;
    CPyTagged_INCREF(cpy_r_r10);
    cpy_r_r11 = CPyTagged_TrueDivide(cpy_r_r9, cpy_r_r10);
    CPyTagged_DECREF(cpy_r_r9);
    CPyTagged_DECREF(cpy_r_r10);
    cpy_r_r12 = cpy_r_r11 == -113.0;
    if (unlikely(cpy_r_r12)) goto CPyL8;
CPyL7: ;
    cpy_r_r13 = cpy_r_r11 >= 0.35;
    if (cpy_r_r13) {
        goto CPyL9;
    } else
        goto CPyL10;
CPyL8: ;
    cpy_r_r14 = PyErr_Occurred();
    if (unlikely(cpy_r_r14 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 133, CPyStatic_globals);
        goto CPyL12;
    } else
        goto CPyL7;
CPyL9: ;
    cpy_r_r15 = cpy_r_r11;
    goto CPyL11;
CPyL10: ;
    cpy_r_r15 = 0.0;
CPyL11: ;
    return cpy_r_r15;
CPyL12: ;
    cpy_r_r16 = -113.0;
    return cpy_r_r16;
}

PyObject *CPyPy_TooManyAccentuatedPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_TooManyAccentuatedPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.TooManyAccentuatedPlugin", obj_self); 
        goto fail;
    }
    double retval = CPyDef_TooManyAccentuatedPlugin___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 130, CPyStatic_globals);
    return NULL;
}

char CPyDef_UnprintablePlugin_____init__(PyObject *cpy_r_self) {
    ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__unprintable_count = 0;
    ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__character_count = 0;
    return 1;
}

PyObject *CPyPy_UnprintablePlugin_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_UnprintablePlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.UnprintablePlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_UnprintablePlugin_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "__init__", 138, CPyStatic_globals);
    return NULL;
}

char CPyDef_UnprintablePlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    return 1;
}

PyObject *CPyPy_UnprintablePlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_UnprintablePlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.UnprintablePlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_UnprintablePlugin___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 142, CPyStatic_globals);
    return NULL;
}

char CPyDef_UnprintablePlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject **cpy_r_r4;
    PyObject *cpy_r_r5;
    char cpy_r_r6;
    CPyTagged cpy_r_r7;
    CPyTagged cpy_r_r8;
    char cpy_r_r9;
    CPyTagged cpy_r_r10;
    CPyTagged cpy_r_r11;
    char cpy_r_r12;
    char cpy_r_r13;
    cpy_r_r0 = CPyStatic_globals;
    cpy_r_r1 = CPyStatics[12]; /* 'is_unprintable' */
    cpy_r_r2 = CPyDict_GetItem(cpy_r_r0, cpy_r_r1);
    if (unlikely(cpy_r_r2 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 146, CPyStatic_globals);
        goto CPyL6;
    }
    PyObject *cpy_r_r3[1] = {cpy_r_character};
    cpy_r_r4 = (PyObject **)&cpy_r_r3;
    cpy_r_r5 = _PyObject_Vectorcall(cpy_r_r2, cpy_r_r4, 1, 0);
    CPy_DECREF(cpy_r_r2);
    if (unlikely(cpy_r_r5 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 146, CPyStatic_globals);
        goto CPyL6;
    }
    if (unlikely(!PyBool_Check(cpy_r_r5))) {
        CPy_TypeError("bool", cpy_r_r5); cpy_r_r6 = 2;
    } else
        cpy_r_r6 = cpy_r_r5 == Py_True;
    CPy_DECREF(cpy_r_r5);
    if (unlikely(cpy_r_r6 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 146, CPyStatic_globals);
        goto CPyL6;
    }
    if (!cpy_r_r6) goto CPyL5;
    cpy_r_r7 = ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__unprintable_count;
    cpy_r_r8 = CPyTagged_Add(cpy_r_r7, 2);
    CPyTagged_DECREF(((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__unprintable_count);
    ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__unprintable_count = cpy_r_r8;
CPyL5: ;
    cpy_r_r10 = ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__character_count;
    cpy_r_r11 = CPyTagged_Add(cpy_r_r10, 2);
    CPyTagged_DECREF(((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__character_count = cpy_r_r11;
    return 1;
CPyL6: ;
    cpy_r_r13 = 2;
    return cpy_r_r13;
}

PyObject *CPyPy_UnprintablePlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_UnprintablePlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.UnprintablePlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_UnprintablePlugin___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 145, CPyStatic_globals);
    return NULL;
}

char CPyDef_UnprintablePlugin___reset(PyObject *cpy_r_self) {
    char cpy_r_r0;
    CPyTagged_DECREF(((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__unprintable_count);
    ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__unprintable_count = 0;
    return 1;
}

PyObject *CPyPy_UnprintablePlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_UnprintablePlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.UnprintablePlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_UnprintablePlugin___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 150, CPyStatic_globals);
    return NULL;
}

double CPyDef_UnprintablePlugin___ratio(PyObject *cpy_r_self) {
    CPyTagged cpy_r_r0;
    char cpy_r_r1;
    CPyTagged cpy_r_r2;
    CPyTagged cpy_r_r3;
    CPyTagged cpy_r_r4;
    double cpy_r_r5;
    char cpy_r_r6;
    PyObject *cpy_r_r7;
    double cpy_r_r8;
    cpy_r_r0 = ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = cpy_r_r0 == 0;
    if (!cpy_r_r1) goto CPyL2;
    return 0.0;
CPyL2: ;
    cpy_r_r2 = ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__unprintable_count;
    CPyTagged_INCREF(cpy_r_r2);
    cpy_r_r3 = CPyTagged_Multiply(cpy_r_r2, 16);
    CPyTagged_DECREF(cpy_r_r2);
    cpy_r_r4 = ((charset_normalizer___md___UnprintablePluginObject *)cpy_r_self)->__character_count;
    CPyTagged_INCREF(cpy_r_r4);
    cpy_r_r5 = CPyTagged_TrueDivide(cpy_r_r3, cpy_r_r4);
    CPyTagged_DECREF(cpy_r_r3);
    CPyTagged_DECREF(cpy_r_r4);
    cpy_r_r6 = cpy_r_r5 == -113.0;
    if (unlikely(cpy_r_r6)) goto CPyL4;
CPyL3: ;
    return cpy_r_r5;
CPyL4: ;
    cpy_r_r7 = PyErr_Occurred();
    if (unlikely(cpy_r_r7 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 158, CPyStatic_globals);
    } else
        goto CPyL3;
    cpy_r_r8 = -113.0;
    return cpy_r_r8;
}

PyObject *CPyPy_UnprintablePlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_UnprintablePlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.UnprintablePlugin", obj_self); 
        goto fail;
    }
    double retval = CPyDef_UnprintablePlugin___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 154, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuspiciousDuplicateAccentPlugin_____init__(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count = 0;
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__character_count = 0;
    cpy_r_r0 = Py_None;
    CPy_INCREF(cpy_r_r0);
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character = cpy_r_r0;
    return 1;
}

PyObject *CPyPy_SuspiciousDuplicateAccentPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousDuplicateAccentPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousDuplicateAccentPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_SuspiciousDuplicateAccentPlugin_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "__init__", 162, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuspiciousDuplicateAccentPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject **cpy_r_r2;
    PyObject *cpy_r_r3;
    char cpy_r_r4;
    char cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject **cpy_r_r10;
    PyObject *cpy_r_r11;
    char cpy_r_r12;
    char cpy_r_r13;
    cpy_r_r0 = CPyStatics[10]; /* 'isalpha' */
    PyObject *cpy_r_r1[1] = {cpy_r_character};
    cpy_r_r2 = (PyObject **)&cpy_r_r1;
    cpy_r_r3 = PyObject_VectorcallMethod(cpy_r_r0, cpy_r_r2, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r3 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 169, CPyStatic_globals);
        goto CPyL9;
    }
    if (unlikely(!PyBool_Check(cpy_r_r3))) {
        CPy_TypeError("bool", cpy_r_r3); cpy_r_r4 = 2;
    } else
        cpy_r_r4 = cpy_r_r3 == Py_True;
    CPy_DECREF(cpy_r_r3);
    if (unlikely(cpy_r_r4 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 169, CPyStatic_globals);
        goto CPyL9;
    }
    if (cpy_r_r4) goto CPyL4;
    cpy_r_r5 = cpy_r_r4;
    goto CPyL8;
CPyL4: ;
    cpy_r_r6 = CPyStatic_globals;
    cpy_r_r7 = CPyStatics[13]; /* 'is_latin' */
    cpy_r_r8 = CPyDict_GetItem(cpy_r_r6, cpy_r_r7);
    if (unlikely(cpy_r_r8 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 169, CPyStatic_globals);
        goto CPyL9;
    }
    PyObject *cpy_r_r9[1] = {cpy_r_character};
    cpy_r_r10 = (PyObject **)&cpy_r_r9;
    cpy_r_r11 = _PyObject_Vectorcall(cpy_r_r8, cpy_r_r10, 1, 0);
    CPy_DECREF(cpy_r_r8);
    if (unlikely(cpy_r_r11 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 169, CPyStatic_globals);
        goto CPyL9;
    }
    if (unlikely(!PyBool_Check(cpy_r_r11))) {
        CPy_TypeError("bool", cpy_r_r11); cpy_r_r12 = 2;
    } else
        cpy_r_r12 = cpy_r_r11 == Py_True;
    CPy_DECREF(cpy_r_r11);
    if (unlikely(cpy_r_r12 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 169, CPyStatic_globals);
        goto CPyL9;
    }
    cpy_r_r5 = cpy_r_r12;
CPyL8: ;
    return cpy_r_r5;
CPyL9: ;
    cpy_r_r13 = 2;
    return cpy_r_r13;
}

PyObject *CPyPy_SuspiciousDuplicateAccentPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousDuplicateAccentPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousDuplicateAccentPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_SuspiciousDuplicateAccentPlugin___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 168, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuspiciousDuplicateAccentPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    CPyTagged cpy_r_r0;
    CPyTagged cpy_r_r1;
    char cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    char cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject **cpy_r_r10;
    PyObject *cpy_r_r11;
    char cpy_r_r12;
    PyObject *cpy_r_r13;
    PyObject *cpy_r_r14;
    PyObject *cpy_r_r15;
    PyObject *cpy_r_r16;
    PyObject *cpy_r_r17;
    PyObject **cpy_r_r19;
    PyObject *cpy_r_r20;
    char cpy_r_r21;
    PyObject *cpy_r_r22;
    PyObject **cpy_r_r24;
    PyObject *cpy_r_r25;
    char cpy_r_r26;
    PyObject *cpy_r_r27;
    PyObject *cpy_r_r28;
    PyObject *cpy_r_r29;
    PyObject **cpy_r_r31;
    PyObject *cpy_r_r32;
    char cpy_r_r33;
    CPyTagged cpy_r_r34;
    CPyTagged cpy_r_r35;
    char cpy_r_r36;
    PyObject *cpy_r_r37;
    PyObject *cpy_r_r38;
    PyObject *cpy_r_r39;
    PyObject **cpy_r_r41;
    PyObject *cpy_r_r42;
    PyObject *cpy_r_r43;
    PyObject *cpy_r_r44;
    PyObject *cpy_r_r45;
    PyObject *cpy_r_r46;
    PyObject *cpy_r_r47;
    PyObject *cpy_r_r48;
    PyObject **cpy_r_r50;
    PyObject *cpy_r_r51;
    PyObject *cpy_r_r52;
    int32_t cpy_r_r53;
    char cpy_r_r54;
    PyObject *cpy_r_r55;
    char cpy_r_r56;
    char cpy_r_r57;
    char cpy_r_r58;
    CPyTagged cpy_r_r59;
    CPyTagged cpy_r_r60;
    char cpy_r_r61;
    char cpy_r_r62;
    char cpy_r_r63;
    cpy_r_r0 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = CPyTagged_Add(cpy_r_r0, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__character_count = cpy_r_r1;
    cpy_r_r3 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character;
    cpy_r_r4 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r5 = cpy_r_r3 != cpy_r_r4;
    if (!cpy_r_r5) goto CPyL30;
    cpy_r_r6 = CPyStatic_globals;
    cpy_r_r7 = CPyStatics[11]; /* 'is_accentuated' */
    cpy_r_r8 = CPyDict_GetItem(cpy_r_r6, cpy_r_r7);
    if (unlikely(cpy_r_r8 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 175, CPyStatic_globals);
        goto CPyL31;
    }
    PyObject *cpy_r_r9[1] = {cpy_r_character};
    cpy_r_r10 = (PyObject **)&cpy_r_r9;
    cpy_r_r11 = _PyObject_Vectorcall(cpy_r_r8, cpy_r_r10, 1, 0);
    CPy_DECREF(cpy_r_r8);
    if (unlikely(cpy_r_r11 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 175, CPyStatic_globals);
        goto CPyL31;
    }
    if (unlikely(!PyBool_Check(cpy_r_r11))) {
        CPy_TypeError("bool", cpy_r_r11); cpy_r_r12 = 2;
    } else
        cpy_r_r12 = cpy_r_r11 == Py_True;
    CPy_DECREF(cpy_r_r11);
    if (unlikely(cpy_r_r12 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 175, CPyStatic_globals);
        goto CPyL31;
    }
    if (!cpy_r_r12) goto CPyL30;
    cpy_r_r13 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character;
    CPy_INCREF(cpy_r_r13);
    if (likely(cpy_r_r13 != Py_None))
        cpy_r_r14 = cpy_r_r13;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 176, CPyStatic_globals, "str", cpy_r_r13);
        goto CPyL31;
    }
    cpy_r_r15 = CPyStatic_globals;
    cpy_r_r16 = CPyStatics[11]; /* 'is_accentuated' */
    cpy_r_r17 = CPyDict_GetItem(cpy_r_r15, cpy_r_r16);
    if (unlikely(cpy_r_r17 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 176, CPyStatic_globals);
        goto CPyL32;
    }
    PyObject *cpy_r_r18[1] = {cpy_r_r14};
    cpy_r_r19 = (PyObject **)&cpy_r_r18;
    cpy_r_r20 = _PyObject_Vectorcall(cpy_r_r17, cpy_r_r19, 1, 0);
    CPy_DECREF(cpy_r_r17);
    if (unlikely(cpy_r_r20 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 176, CPyStatic_globals);
        goto CPyL32;
    }
    CPy_DECREF(cpy_r_r14);
    if (unlikely(!PyBool_Check(cpy_r_r20))) {
        CPy_TypeError("bool", cpy_r_r20); cpy_r_r21 = 2;
    } else
        cpy_r_r21 = cpy_r_r20 == Py_True;
    CPy_DECREF(cpy_r_r20);
    if (unlikely(cpy_r_r21 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 176, CPyStatic_globals);
        goto CPyL31;
    }
    if (!cpy_r_r21) goto CPyL30;
    cpy_r_r22 = CPyStatics[14]; /* 'isupper' */
    PyObject *cpy_r_r23[1] = {cpy_r_character};
    cpy_r_r24 = (PyObject **)&cpy_r_r23;
    cpy_r_r25 = PyObject_VectorcallMethod(cpy_r_r22, cpy_r_r24, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r25 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 178, CPyStatic_globals);
        goto CPyL31;
    }
    if (unlikely(!PyBool_Check(cpy_r_r25))) {
        CPy_TypeError("bool", cpy_r_r25); cpy_r_r26 = 2;
    } else
        cpy_r_r26 = cpy_r_r25 == Py_True;
    CPy_DECREF(cpy_r_r25);
    if (unlikely(cpy_r_r26 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 178, CPyStatic_globals);
        goto CPyL31;
    }
    if (!cpy_r_r26) goto CPyL18;
    cpy_r_r27 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character;
    CPy_INCREF(cpy_r_r27);
    if (likely(cpy_r_r27 != Py_None))
        cpy_r_r28 = cpy_r_r27;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 178, CPyStatic_globals, "str", cpy_r_r27);
        goto CPyL31;
    }
    cpy_r_r29 = CPyStatics[14]; /* 'isupper' */
    PyObject *cpy_r_r30[1] = {cpy_r_r28};
    cpy_r_r31 = (PyObject **)&cpy_r_r30;
    cpy_r_r32 = PyObject_VectorcallMethod(cpy_r_r29, cpy_r_r31, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r32 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 178, CPyStatic_globals);
        goto CPyL33;
    }
    CPy_DECREF(cpy_r_r28);
    if (unlikely(!PyBool_Check(cpy_r_r32))) {
        CPy_TypeError("bool", cpy_r_r32); cpy_r_r33 = 2;
    } else
        cpy_r_r33 = cpy_r_r32 == Py_True;
    CPy_DECREF(cpy_r_r32);
    if (unlikely(cpy_r_r33 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 178, CPyStatic_globals);
        goto CPyL31;
    }
    if (!cpy_r_r33) goto CPyL18;
    cpy_r_r34 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count;
    cpy_r_r35 = CPyTagged_Add(cpy_r_r34, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count);
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count = cpy_r_r35;
CPyL18: ;
    cpy_r_r37 = CPyStatic_globals;
    cpy_r_r38 = CPyStatics[15]; /* 'remove_accent' */
    cpy_r_r39 = CPyDict_GetItem(cpy_r_r37, cpy_r_r38);
    if (unlikely(cpy_r_r39 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 181, CPyStatic_globals);
        goto CPyL31;
    }
    PyObject *cpy_r_r40[1] = {cpy_r_character};
    cpy_r_r41 = (PyObject **)&cpy_r_r40;
    cpy_r_r42 = _PyObject_Vectorcall(cpy_r_r39, cpy_r_r41, 1, 0);
    CPy_DECREF(cpy_r_r39);
    if (unlikely(cpy_r_r42 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 181, CPyStatic_globals);
        goto CPyL31;
    }
    if (likely(PyUnicode_Check(cpy_r_r42)))
        cpy_r_r43 = cpy_r_r42;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 181, CPyStatic_globals, "str", cpy_r_r42);
        goto CPyL31;
    }
    cpy_r_r44 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character;
    CPy_INCREF(cpy_r_r44);
    if (likely(cpy_r_r44 != Py_None))
        cpy_r_r45 = cpy_r_r44;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 181, CPyStatic_globals, "str", cpy_r_r44);
        goto CPyL34;
    }
    cpy_r_r46 = CPyStatic_globals;
    cpy_r_r47 = CPyStatics[15]; /* 'remove_accent' */
    cpy_r_r48 = CPyDict_GetItem(cpy_r_r46, cpy_r_r47);
    if (unlikely(cpy_r_r48 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 181, CPyStatic_globals);
        goto CPyL35;
    }
    PyObject *cpy_r_r49[1] = {cpy_r_r45};
    cpy_r_r50 = (PyObject **)&cpy_r_r49;
    cpy_r_r51 = _PyObject_Vectorcall(cpy_r_r48, cpy_r_r50, 1, 0);
    CPy_DECREF(cpy_r_r48);
    if (unlikely(cpy_r_r51 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 181, CPyStatic_globals);
        goto CPyL35;
    }
    CPy_DECREF(cpy_r_r45);
    if (likely(PyUnicode_Check(cpy_r_r51)))
        cpy_r_r52 = cpy_r_r51;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 181, CPyStatic_globals, "str", cpy_r_r51);
        goto CPyL34;
    }
    cpy_r_r53 = PyUnicode_Compare(cpy_r_r43, cpy_r_r52);
    CPy_DECREF(cpy_r_r43);
    CPy_DECREF(cpy_r_r52);
    cpy_r_r54 = cpy_r_r53 == -1;
    if (!cpy_r_r54) goto CPyL28;
    cpy_r_r55 = PyErr_Occurred();
    cpy_r_r56 = cpy_r_r55 != NULL;
    if (!cpy_r_r56) goto CPyL28;
    cpy_r_r57 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r57)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 181, CPyStatic_globals);
        goto CPyL31;
    }
CPyL28: ;
    cpy_r_r58 = cpy_r_r53 == 0;
    if (!cpy_r_r58) goto CPyL30;
    cpy_r_r59 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count;
    cpy_r_r60 = CPyTagged_Add(cpy_r_r59, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count);
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count = cpy_r_r60;
CPyL30: ;
    CPy_INCREF(cpy_r_character);
    CPy_DECREF(((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character);
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character = cpy_r_character;
    return 1;
CPyL31: ;
    cpy_r_r63 = 2;
    return cpy_r_r63;
CPyL32: ;
    CPy_DecRef(cpy_r_r14);
    goto CPyL31;
CPyL33: ;
    CPy_DecRef(cpy_r_r28);
    goto CPyL31;
CPyL34: ;
    CPy_DecRef(cpy_r_r43);
    goto CPyL31;
CPyL35: ;
    CPy_DecRef(cpy_r_r43);
    CPy_DecRef(cpy_r_r45);
    goto CPyL31;
}

PyObject *CPyPy_SuspiciousDuplicateAccentPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousDuplicateAccentPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousDuplicateAccentPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_SuspiciousDuplicateAccentPlugin___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 171, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuspiciousDuplicateAccentPlugin___reset(PyObject *cpy_r_self) {
    char cpy_r_r0;
    char cpy_r_r1;
    PyObject *cpy_r_r2;
    char cpy_r_r3;
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count);
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__character_count = 0;
    cpy_r_r2 = Py_None;
    CPy_INCREF(cpy_r_r2);
    CPy_DECREF(((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character);
    ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__last_latin_character = cpy_r_r2;
    return 1;
}

PyObject *CPyPy_SuspiciousDuplicateAccentPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousDuplicateAccentPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousDuplicateAccentPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_SuspiciousDuplicateAccentPlugin___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 185, CPyStatic_globals);
    return NULL;
}

double CPyDef_SuspiciousDuplicateAccentPlugin___ratio(PyObject *cpy_r_self) {
    CPyTagged cpy_r_r0;
    char cpy_r_r1;
    CPyTagged cpy_r_r2;
    CPyTagged cpy_r_r3;
    CPyTagged cpy_r_r4;
    double cpy_r_r5;
    char cpy_r_r6;
    PyObject *cpy_r_r7;
    double cpy_r_r8;
    cpy_r_r0 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = cpy_r_r0 == 0;
    if (!cpy_r_r1) goto CPyL2;
    return 0.0;
CPyL2: ;
    cpy_r_r2 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__successive_count;
    CPyTagged_INCREF(cpy_r_r2);
    cpy_r_r3 = CPyTagged_Multiply(cpy_r_r2, 4);
    CPyTagged_DECREF(cpy_r_r2);
    cpy_r_r4 = ((charset_normalizer___md___SuspiciousDuplicateAccentPluginObject *)cpy_r_self)->__character_count;
    CPyTagged_INCREF(cpy_r_r4);
    cpy_r_r5 = CPyTagged_TrueDivide(cpy_r_r3, cpy_r_r4);
    CPyTagged_DECREF(cpy_r_r3);
    CPyTagged_DECREF(cpy_r_r4);
    cpy_r_r6 = cpy_r_r5 == -113.0;
    if (unlikely(cpy_r_r6)) goto CPyL4;
CPyL3: ;
    return cpy_r_r5;
CPyL4: ;
    cpy_r_r7 = PyErr_Occurred();
    if (unlikely(cpy_r_r7 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 195, CPyStatic_globals);
    } else
        goto CPyL3;
    cpy_r_r8 = -113.0;
    return cpy_r_r8;
}

PyObject *CPyPy_SuspiciousDuplicateAccentPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousDuplicateAccentPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousDuplicateAccentPlugin", obj_self); 
        goto fail;
    }
    double retval = CPyDef_SuspiciousDuplicateAccentPlugin___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 191, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuspiciousRange_____init__(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__suspicious_successive_range_count = 0;
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__character_count = 0;
    cpy_r_r0 = Py_None;
    CPy_INCREF(cpy_r_r0);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen = cpy_r_r0;
    return 1;
}

PyObject *CPyPy_SuspiciousRange_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousRange))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousRange", obj_self); 
        goto fail;
    }
    char retval = CPyDef_SuspiciousRange_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "__init__", 199, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuspiciousRange___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject **cpy_r_r2;
    PyObject *cpy_r_r3;
    char cpy_r_r4;
    char cpy_r_r5;
    cpy_r_r0 = CPyStatics[4]; /* 'isprintable' */
    PyObject *cpy_r_r1[1] = {cpy_r_character};
    cpy_r_r2 = (PyObject **)&cpy_r_r1;
    cpy_r_r3 = PyObject_VectorcallMethod(cpy_r_r0, cpy_r_r2, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r3 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 205, CPyStatic_globals);
        goto CPyL3;
    }
    if (unlikely(!PyBool_Check(cpy_r_r3))) {
        CPy_TypeError("bool", cpy_r_r3); cpy_r_r4 = 2;
    } else
        cpy_r_r4 = cpy_r_r3 == Py_True;
    CPy_DECREF(cpy_r_r3);
    if (unlikely(cpy_r_r4 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "eligible", 205, CPyStatic_globals);
        goto CPyL3;
    }
    return cpy_r_r4;
CPyL3: ;
    cpy_r_r5 = 2;
    return cpy_r_r5;
}

PyObject *CPyPy_SuspiciousRange___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousRange))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousRange", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_SuspiciousRange___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 204, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuspiciousRange___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    CPyTagged cpy_r_r0;
    CPyTagged cpy_r_r1;
    char cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject **cpy_r_r5;
    PyObject *cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    PyObject *cpy_r_r10;
    PyObject **cpy_r_r12;
    PyObject *cpy_r_r13;
    char cpy_r_r14;
    PyObject *cpy_r_r15;
    PyObject *cpy_r_r16;
    PyObject *cpy_r_r17;
    PyObject *cpy_r_r18;
    int32_t cpy_r_r19;
    char cpy_r_r20;
    char cpy_r_r21;
    PyObject *cpy_r_r22;
    char cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject *cpy_r_r25;
    char cpy_r_r26;
    char cpy_r_r27;
    PyObject *cpy_r_r28;
    PyObject *cpy_r_r29;
    PyObject *cpy_r_r30;
    PyObject *cpy_r_r31;
    PyObject *cpy_r_r32;
    PyObject **cpy_r_r34;
    PyObject *cpy_r_r35;
    PyObject *cpy_r_r36;
    PyObject *cpy_r_r37;
    PyObject *cpy_r_r38;
    PyObject *cpy_r_r39;
    PyObject **cpy_r_r41;
    PyObject *cpy_r_r42;
    PyObject *cpy_r_r43;
    PyObject *cpy_r_r44;
    PyObject *cpy_r_r45;
    PyObject *cpy_r_r46;
    PyObject **cpy_r_r48;
    PyObject *cpy_r_r49;
    char cpy_r_r50;
    CPyTagged cpy_r_r51;
    CPyTagged cpy_r_r52;
    char cpy_r_r53;
    char cpy_r_r54;
    char cpy_r_r55;
    cpy_r_r0 = ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = CPyTagged_Add(cpy_r_r0, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__character_count = cpy_r_r1;
    cpy_r_r3 = CPyStatics[16]; /* 'isspace' */
    PyObject *cpy_r_r4[1] = {cpy_r_character};
    cpy_r_r5 = (PyObject **)&cpy_r_r4;
    cpy_r_r6 = PyObject_VectorcallMethod(cpy_r_r3, cpy_r_r5, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r6 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 211, CPyStatic_globals);
        goto CPyL27;
    }
    if (unlikely(!PyBool_Check(cpy_r_r6))) {
        CPy_TypeError("bool", cpy_r_r6); cpy_r_r7 = 2;
    } else
        cpy_r_r7 = cpy_r_r6 == Py_True;
    CPy_DECREF(cpy_r_r6);
    if (unlikely(cpy_r_r7 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 211, CPyStatic_globals);
        goto CPyL27;
    }
    if (cpy_r_r7) goto CPyL11;
    cpy_r_r8 = CPyStatic_globals;
    cpy_r_r9 = CPyStatics[6]; /* 'is_punctuation' */
    cpy_r_r10 = CPyDict_GetItem(cpy_r_r8, cpy_r_r9);
    if (unlikely(cpy_r_r10 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 212, CPyStatic_globals);
        goto CPyL27;
    }
    PyObject *cpy_r_r11[1] = {cpy_r_character};
    cpy_r_r12 = (PyObject **)&cpy_r_r11;
    cpy_r_r13 = _PyObject_Vectorcall(cpy_r_r10, cpy_r_r12, 1, 0);
    CPy_DECREF(cpy_r_r10);
    if (unlikely(cpy_r_r13 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 212, CPyStatic_globals);
        goto CPyL27;
    }
    if (unlikely(!PyBool_Check(cpy_r_r13))) {
        CPy_TypeError("bool", cpy_r_r13); cpy_r_r14 = 2;
    } else
        cpy_r_r14 = cpy_r_r13 == Py_True;
    CPy_DECREF(cpy_r_r13);
    if (unlikely(cpy_r_r14 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 212, CPyStatic_globals);
        goto CPyL27;
    }
    if (cpy_r_r14) goto CPyL11;
    cpy_r_r15 = CPyStatic_globals;
    cpy_r_r16 = CPyStatics[5]; /* 'COMMON_SAFE_ASCII_CHARACTERS' */
    cpy_r_r17 = CPyDict_GetItem(cpy_r_r15, cpy_r_r16);
    if (unlikely(cpy_r_r17 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 213, CPyStatic_globals);
        goto CPyL27;
    }
    if (likely(PySet_Check(cpy_r_r17)))
        cpy_r_r18 = cpy_r_r17;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 213, CPyStatic_globals, "set", cpy_r_r17);
        goto CPyL27;
    }
    cpy_r_r19 = PySet_Contains(cpy_r_r18, cpy_r_character);
    CPy_DECREF(cpy_r_r18);
    cpy_r_r20 = cpy_r_r19 >= 0;
    if (unlikely(!cpy_r_r20)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 213, CPyStatic_globals);
        goto CPyL27;
    }
    cpy_r_r21 = cpy_r_r19;
    if (!cpy_r_r21) goto CPyL12;
CPyL11: ;
    cpy_r_r22 = Py_None;
    CPy_INCREF(cpy_r_r22);
    CPy_DECREF(((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen = cpy_r_r22;
    return 1;
CPyL12: ;
    cpy_r_r24 = ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen;
    cpy_r_r25 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r26 = cpy_r_r24 == cpy_r_r25;
    if (!cpy_r_r26) goto CPyL14;
    CPy_INCREF(cpy_r_character);
    CPy_DECREF(((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen = cpy_r_character;
    return 1;
CPyL14: ;
    cpy_r_r28 = ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen;
    CPy_INCREF(cpy_r_r28);
    if (likely(cpy_r_r28 != Py_None))
        cpy_r_r29 = cpy_r_r28;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 222, CPyStatic_globals, "str", cpy_r_r28);
        goto CPyL27;
    }
    cpy_r_r30 = CPyStatic_globals;
    cpy_r_r31 = CPyStatics[17]; /* 'unicode_range' */
    cpy_r_r32 = CPyDict_GetItem(cpy_r_r30, cpy_r_r31);
    if (unlikely(cpy_r_r32 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 222, CPyStatic_globals);
        goto CPyL28;
    }
    PyObject *cpy_r_r33[1] = {cpy_r_r29};
    cpy_r_r34 = (PyObject **)&cpy_r_r33;
    cpy_r_r35 = _PyObject_Vectorcall(cpy_r_r32, cpy_r_r34, 1, 0);
    CPy_DECREF(cpy_r_r32);
    if (unlikely(cpy_r_r35 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 222, CPyStatic_globals);
        goto CPyL28;
    }
    CPy_DECREF(cpy_r_r29);
    if (PyUnicode_Check(cpy_r_r35))
        cpy_r_r36 = cpy_r_r35;
    else {
        cpy_r_r36 = NULL;
    }
    if (cpy_r_r36 != NULL) goto __LL5;
    if (cpy_r_r35 == Py_None)
        cpy_r_r36 = cpy_r_r35;
    else {
        cpy_r_r36 = NULL;
    }
    if (cpy_r_r36 != NULL) goto __LL5;
    CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 222, CPyStatic_globals, "str or None", cpy_r_r35);
    goto CPyL27;
__LL5: ;
    cpy_r_r37 = CPyStatic_globals;
    cpy_r_r38 = CPyStatics[17]; /* 'unicode_range' */
    cpy_r_r39 = CPyDict_GetItem(cpy_r_r37, cpy_r_r38);
    if (unlikely(cpy_r_r39 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 223, CPyStatic_globals);
        goto CPyL29;
    }
    PyObject *cpy_r_r40[1] = {cpy_r_character};
    cpy_r_r41 = (PyObject **)&cpy_r_r40;
    cpy_r_r42 = _PyObject_Vectorcall(cpy_r_r39, cpy_r_r41, 1, 0);
    CPy_DECREF(cpy_r_r39);
    if (unlikely(cpy_r_r42 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 223, CPyStatic_globals);
        goto CPyL29;
    }
    if (PyUnicode_Check(cpy_r_r42))
        cpy_r_r43 = cpy_r_r42;
    else {
        cpy_r_r43 = NULL;
    }
    if (cpy_r_r43 != NULL) goto __LL6;
    if (cpy_r_r42 == Py_None)
        cpy_r_r43 = cpy_r_r42;
    else {
        cpy_r_r43 = NULL;
    }
    if (cpy_r_r43 != NULL) goto __LL6;
    CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 223, CPyStatic_globals, "str or None", cpy_r_r42);
    goto CPyL29;
__LL6: ;
    cpy_r_r44 = CPyStatic_globals;
    cpy_r_r45 = CPyStatics[18]; /* 'is_suspiciously_successive_range' */
    cpy_r_r46 = CPyDict_GetItem(cpy_r_r44, cpy_r_r45);
    if (unlikely(cpy_r_r46 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 225, CPyStatic_globals);
        goto CPyL30;
    }
    PyObject *cpy_r_r47[2] = {cpy_r_r36, cpy_r_r43};
    cpy_r_r48 = (PyObject **)&cpy_r_r47;
    cpy_r_r49 = _PyObject_Vectorcall(cpy_r_r46, cpy_r_r48, 2, 0);
    CPy_DECREF(cpy_r_r46);
    if (unlikely(cpy_r_r49 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 225, CPyStatic_globals);
        goto CPyL30;
    }
    CPy_DECREF(cpy_r_r36);
    CPy_DECREF(cpy_r_r43);
    if (unlikely(!PyBool_Check(cpy_r_r49))) {
        CPy_TypeError("bool", cpy_r_r49); cpy_r_r50 = 2;
    } else
        cpy_r_r50 = cpy_r_r49 == Py_True;
    CPy_DECREF(cpy_r_r49);
    if (unlikely(cpy_r_r50 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 225, CPyStatic_globals);
        goto CPyL27;
    }
    if (!cpy_r_r50) goto CPyL26;
    cpy_r_r51 = ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__suspicious_successive_range_count;
    cpy_r_r52 = CPyTagged_Add(cpy_r_r51, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__suspicious_successive_range_count);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__suspicious_successive_range_count = cpy_r_r52;
CPyL26: ;
    CPy_INCREF(cpy_r_character);
    CPy_DECREF(((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen = cpy_r_character;
    return 1;
CPyL27: ;
    cpy_r_r55 = 2;
    return cpy_r_r55;
CPyL28: ;
    CPy_DecRef(cpy_r_r29);
    goto CPyL27;
CPyL29: ;
    CPy_DecRef(cpy_r_r36);
    goto CPyL27;
CPyL30: ;
    CPy_DecRef(cpy_r_r36);
    CPy_DecRef(cpy_r_r43);
    goto CPyL27;
}

PyObject *CPyPy_SuspiciousRange___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousRange))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousRange", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_SuspiciousRange___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 207, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuspiciousRange___reset(PyObject *cpy_r_self) {
    char cpy_r_r0;
    char cpy_r_r1;
    PyObject *cpy_r_r2;
    char cpy_r_r3;
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__character_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__suspicious_successive_range_count);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__suspicious_successive_range_count = 0;
    cpy_r_r2 = Py_None;
    CPy_INCREF(cpy_r_r2);
    CPy_DECREF(((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen);
    ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__last_printable_seen = cpy_r_r2;
    return 1;
}

PyObject *CPyPy_SuspiciousRange___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousRange))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousRange", obj_self); 
        goto fail;
    }
    char retval = CPyDef_SuspiciousRange___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 230, CPyStatic_globals);
    return NULL;
}

double CPyDef_SuspiciousRange___ratio(PyObject *cpy_r_self) {
    CPyTagged cpy_r_r0;
    char cpy_r_r1;
    CPyTagged cpy_r_r2;
    CPyTagged cpy_r_r3;
    CPyTagged cpy_r_r4;
    double cpy_r_r5;
    char cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
    double cpy_r_r9;
    cpy_r_r0 = ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = cpy_r_r0 == 0;
    if (!cpy_r_r1) goto CPyL2;
    return 0.0;
CPyL2: ;
    cpy_r_r2 = ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__suspicious_successive_range_count;
    CPyTagged_INCREF(cpy_r_r2);
    cpy_r_r3 = CPyTagged_Multiply(cpy_r_r2, 4);
    CPyTagged_DECREF(cpy_r_r2);
    cpy_r_r4 = ((charset_normalizer___md___SuspiciousRangeObject *)cpy_r_self)->__character_count;
    CPyTagged_INCREF(cpy_r_r4);
    cpy_r_r5 = CPyTagged_TrueDivide(cpy_r_r3, cpy_r_r4);
    CPyTagged_DECREF(cpy_r_r3);
    CPyTagged_DECREF(cpy_r_r4);
    cpy_r_r6 = cpy_r_r5 == -113.0;
    if (unlikely(cpy_r_r6)) goto CPyL4;
CPyL3: ;
    cpy_r_r7 = cpy_r_r5 < 0.1;
    if (cpy_r_r7) {
        goto CPyL5;
    } else
        goto CPyL6;
CPyL4: ;
    cpy_r_r8 = PyErr_Occurred();
    if (unlikely(cpy_r_r8 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 240, CPyStatic_globals);
        goto CPyL7;
    } else
        goto CPyL3;
CPyL5: ;
    return 0.0;
CPyL6: ;
    return cpy_r_r5;
CPyL7: ;
    cpy_r_r9 = -113.0;
    return cpy_r_r9;
}

PyObject *CPyPy_SuspiciousRange___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuspiciousRange))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuspiciousRange", obj_self); 
        goto fail;
    }
    double retval = CPyDef_SuspiciousRange___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 236, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuperWeirdWordPlugin_____init__(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__word_count = 0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_word_count = 0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count = 0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__is_current_word_bad = 0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_watch = 0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__character_count = 0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_character_count = 0;
    cpy_r_r0 = CPyStatics[19]; /* '' */
    CPy_INCREF(cpy_r_r0);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer = cpy_r_r0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer_accent_count = 0;
    return 1;
}

PyObject *CPyPy_SuperWeirdWordPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuperWeirdWordPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuperWeirdWordPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_SuperWeirdWordPlugin_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "__init__", 251, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuperWeirdWordPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    return 1;
}

PyObject *CPyPy_SuperWeirdWordPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuperWeirdWordPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuperWeirdWordPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_SuperWeirdWordPlugin___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 265, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuperWeirdWordPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject **cpy_r_r2;
    PyObject *cpy_r_r3;
    char cpy_r_r4;
    PyObject *cpy_r_r5;
    PyObject *cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    PyObject *cpy_r_r10;
    PyObject **cpy_r_r12;
    PyObject *cpy_r_r13;
    char cpy_r_r14;
    CPyTagged cpy_r_r15;
    CPyTagged cpy_r_r16;
    char cpy_r_r17;
    char cpy_r_r18;
    PyObject *cpy_r_r19;
    PyObject *cpy_r_r20;
    char cpy_r_r21;
    PyObject *cpy_r_r22;
    PyObject *cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject **cpy_r_r26;
    PyObject *cpy_r_r27;
    char cpy_r_r28;
    PyObject *cpy_r_r29;
    PyObject *cpy_r_r30;
    char cpy_r_r31;
    PyObject *cpy_r_r32;
    PyObject *cpy_r_r33;
    PyObject *cpy_r_r34;
    PyObject **cpy_r_r36;
    PyObject *cpy_r_r37;
    char cpy_r_r38;
    PyObject *cpy_r_r39;
    PyObject *cpy_r_r40;
    PyObject *cpy_r_r41;
    PyObject **cpy_r_r43;
    PyObject *cpy_r_r44;
    char cpy_r_r45;
    PyObject *cpy_r_r46;
    PyObject *cpy_r_r47;
    char cpy_r_r48;
    PyObject *cpy_r_r49;
    PyObject *cpy_r_r50;
    PyObject *cpy_r_r51;
    PyObject **cpy_r_r53;
    PyObject *cpy_r_r54;
    char cpy_r_r55;
    PyObject *cpy_r_r56;
    PyObject *cpy_r_r57;
    char cpy_r_r58;
    PyObject *cpy_r_r59;
    PyObject *cpy_r_r60;
    PyObject *cpy_r_r61;
    PyObject **cpy_r_r63;
    PyObject *cpy_r_r64;
    char cpy_r_r65;
    PyObject *cpy_r_r66;
    PyObject *cpy_r_r67;
    char cpy_r_r68;
    PyObject *cpy_r_r69;
    PyObject *cpy_r_r70;
    PyObject *cpy_r_r71;
    PyObject **cpy_r_r73;
    PyObject *cpy_r_r74;
    char cpy_r_r75;
    PyObject *cpy_r_r76;
    PyObject *cpy_r_r77;
    char cpy_r_r78;
    PyObject *cpy_r_r79;
    PyObject *cpy_r_r80;
    PyObject *cpy_r_r81;
    PyObject **cpy_r_r83;
    PyObject *cpy_r_r84;
    char cpy_r_r85;
    PyObject *cpy_r_r86;
    PyObject *cpy_r_r87;
    char cpy_r_r88;
    char cpy_r_r89;
    PyObject *cpy_r_r90;
    char cpy_r_r91;
    PyObject *cpy_r_r92;
    PyObject **cpy_r_r94;
    PyObject *cpy_r_r95;
    char cpy_r_r96;
    PyObject *cpy_r_r97;
    PyObject *cpy_r_r98;
    PyObject *cpy_r_r99;
    PyObject **cpy_r_r101;
    PyObject *cpy_r_r102;
    char cpy_r_r103;
    PyObject *cpy_r_r104;
    PyObject *cpy_r_r105;
    PyObject *cpy_r_r106;
    PyObject **cpy_r_r108;
    PyObject *cpy_r_r109;
    char cpy_r_r110;
    PyObject *cpy_r_r111;
    char cpy_r_r112;
    CPyTagged cpy_r_r113;
    CPyTagged cpy_r_r114;
    char cpy_r_r115;
    PyObject *cpy_r_r116;
    int64_t cpy_r_r117;
    char cpy_r_r118;
    CPyTagged cpy_r_r119;
    CPyTagged cpy_r_buffer_length;
    CPyTagged cpy_r_r120;
    CPyTagged cpy_r_r121;
    char cpy_r_r122;
    int64_t cpy_r_r123;
    char cpy_r_r124;
    int64_t cpy_r_r125;
    char cpy_r_r126;
    char cpy_r_r127;
    char cpy_r_r128;
    char cpy_r_r129;
    CPyTagged cpy_r_r130;
    double cpy_r_r131;
    char cpy_r_r132;
    char cpy_r_r133;
    PyObject *cpy_r_r134;
    char cpy_r_r135;
    PyObject *cpy_r_r136;
    PyObject *cpy_r_r137;
    PyObject *cpy_r_r138;
    PyObject *cpy_r_r139;
    PyObject *cpy_r_r140;
    PyObject **cpy_r_r142;
    PyObject *cpy_r_r143;
    char cpy_r_r144;
    PyObject *cpy_r_r145;
    PyObject *cpy_r_r146;
    PyObject *cpy_r_r147;
    PyObject **cpy_r_r149;
    PyObject *cpy_r_r150;
    char cpy_r_r151;
    CPyTagged cpy_r_r152;
    CPyTagged cpy_r_r153;
    char cpy_r_r154;
    char cpy_r_r155;
    int64_t cpy_r_r156;
    char cpy_r_r157;
    int64_t cpy_r_r158;
    char cpy_r_r159;
    char cpy_r_r160;
    char cpy_r_r161;
    char cpy_r_r162;
    char cpy_r_r163;
    PyObject *cpy_r_r164;
    PyObject *cpy_r_r165;
    CPyTagged cpy_r_r166;
    CPyTagged cpy_r_r167;
    CPyTagged cpy_r_i;
    int64_t cpy_r_r168;
    char cpy_r_r169;
    CPyTagged cpy_r_r170;
    char cpy_r_r171;
    int64_t cpy_r_r172;
    char cpy_r_r173;
    int64_t cpy_r_r174;
    char cpy_r_r175;
    char cpy_r_r176;
    char cpy_r_r177;
    PyObject *cpy_r_r178;
    PyObject *cpy_r_r179;
    PyObject **cpy_r_r181;
    PyObject *cpy_r_r182;
    char cpy_r_r183;
    PyObject *cpy_r_r184;
    int32_t cpy_r_r185;
    char cpy_r_r186;
    CPyTagged cpy_r_r187;
    CPyTagged cpy_r_r188;
    char cpy_r_probable_camel_cased;
    CPyPtr cpy_r_r189;
    int64_t cpy_r_r190;
    CPyTagged cpy_r_r191;
    char cpy_r_r192;
    CPyPtr cpy_r_r193;
    int64_t cpy_r_r194;
    CPyTagged cpy_r_r195;
    double cpy_r_r196;
    char cpy_r_r197;
    char cpy_r_r198;
    PyObject *cpy_r_r199;
    CPyTagged cpy_r_r200;
    CPyTagged cpy_r_r201;
    char cpy_r_r202;
    char cpy_r_r203;
    char cpy_r_r204;
    CPyTagged cpy_r_r205;
    CPyTagged cpy_r_r206;
    char cpy_r_r207;
    CPyTagged cpy_r_r208;
    PyObject *cpy_r_r209;
    int64_t cpy_r_r210;
    char cpy_r_r211;
    CPyTagged cpy_r_r212;
    CPyTagged cpy_r_r213;
    char cpy_r_r214;
    char cpy_r_r215;
    char cpy_r_r216;
    PyObject *cpy_r_r217;
    char cpy_r_r218;
    char cpy_r_r219;
    PyObject *cpy_r_r220;
    int32_t cpy_r_r221;
    char cpy_r_r222;
    char cpy_r_r223;
    char cpy_r_r224;
    PyObject *cpy_r_r225;
    PyObject **cpy_r_r227;
    PyObject *cpy_r_r228;
    char cpy_r_r229;
    PyObject *cpy_r_r230;
    PyObject *cpy_r_r231;
    char cpy_r_r232;
    PyObject *cpy_r_r233;
    PyObject *cpy_r_r234;
    PyObject *cpy_r_r235;
    PyObject **cpy_r_r237;
    PyObject *cpy_r_r238;
    char cpy_r_r239;
    char cpy_r_r240;
    PyObject *cpy_r_r241;
    PyObject *cpy_r_r242;
    char cpy_r_r243;
    char cpy_r_r244;
    cpy_r_r0 = CPyStatics[10]; /* 'isalpha' */
    PyObject *cpy_r_r1[1] = {cpy_r_character};
    cpy_r_r2 = (PyObject **)&cpy_r_r1;
    cpy_r_r3 = PyObject_VectorcallMethod(cpy_r_r0, cpy_r_r2, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r3 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 269, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r3))) {
        CPy_TypeError("bool", cpy_r_r3); cpy_r_r4 = 2;
    } else
        cpy_r_r4 = cpy_r_r3 == Py_True;
    CPy_DECREF(cpy_r_r3);
    if (unlikely(cpy_r_r4 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 269, CPyStatic_globals);
        goto CPyL115;
    }
    if (!cpy_r_r4) goto CPyL40;
    cpy_r_r5 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r5);
    cpy_r_r6 = CPyStr_Append(cpy_r_r5, cpy_r_character);
    if (unlikely(cpy_r_r6 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 270, CPyStatic_globals);
        goto CPyL115;
    }
    CPy_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer = cpy_r_r6;
    cpy_r_r8 = CPyStatic_globals;
    cpy_r_r9 = CPyStatics[11]; /* 'is_accentuated' */
    cpy_r_r10 = CPyDict_GetItem(cpy_r_r8, cpy_r_r9);
    if (unlikely(cpy_r_r10 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 271, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r11[1] = {cpy_r_character};
    cpy_r_r12 = (PyObject **)&cpy_r_r11;
    cpy_r_r13 = _PyObject_Vectorcall(cpy_r_r10, cpy_r_r12, 1, 0);
    CPy_DECREF(cpy_r_r10);
    if (unlikely(cpy_r_r13 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 271, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r13))) {
        CPy_TypeError("bool", cpy_r_r13); cpy_r_r14 = 2;
    } else
        cpy_r_r14 = cpy_r_r13 == Py_True;
    CPy_DECREF(cpy_r_r13);
    if (unlikely(cpy_r_r14 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 271, CPyStatic_globals);
        goto CPyL115;
    }
    if (!cpy_r_r14) goto CPyL9;
    cpy_r_r15 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer_accent_count;
    cpy_r_r16 = CPyTagged_Add(cpy_r_r15, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer_accent_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer_accent_count = cpy_r_r16;
CPyL9: ;
    cpy_r_r18 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_watch;
    cpy_r_r19 = cpy_r_r18 ? Py_True : Py_False;
    cpy_r_r20 = 0 ? Py_True : Py_False;
    cpy_r_r21 = cpy_r_r19 == cpy_r_r20;
    if (!cpy_r_r21) goto CPyL39;
    cpy_r_r22 = CPyStatic_globals;
    cpy_r_r23 = CPyStatics[13]; /* 'is_latin' */
    cpy_r_r24 = CPyDict_GetItem(cpy_r_r22, cpy_r_r23);
    if (unlikely(cpy_r_r24 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 275, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r25[1] = {cpy_r_character};
    cpy_r_r26 = (PyObject **)&cpy_r_r25;
    cpy_r_r27 = _PyObject_Vectorcall(cpy_r_r24, cpy_r_r26, 1, 0);
    CPy_DECREF(cpy_r_r24);
    if (unlikely(cpy_r_r27 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 275, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r27))) {
        CPy_TypeError("bool", cpy_r_r27); cpy_r_r28 = 2;
    } else
        cpy_r_r28 = cpy_r_r27 == Py_True;
    CPy_DECREF(cpy_r_r27);
    if (unlikely(cpy_r_r28 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 275, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r29 = cpy_r_r28 ? Py_True : Py_False;
    cpy_r_r30 = 0 ? Py_True : Py_False;
    cpy_r_r31 = cpy_r_r29 == cpy_r_r30;
    if (cpy_r_r31) goto CPyL18;
    cpy_r_r32 = CPyStatic_globals;
    cpy_r_r33 = CPyStatics[11]; /* 'is_accentuated' */
    cpy_r_r34 = CPyDict_GetItem(cpy_r_r32, cpy_r_r33);
    if (unlikely(cpy_r_r34 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 275, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r35[1] = {cpy_r_character};
    cpy_r_r36 = (PyObject **)&cpy_r_r35;
    cpy_r_r37 = _PyObject_Vectorcall(cpy_r_r34, cpy_r_r36, 1, 0);
    CPy_DECREF(cpy_r_r34);
    if (unlikely(cpy_r_r37 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 275, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r37))) {
        CPy_TypeError("bool", cpy_r_r37); cpy_r_r38 = 2;
    } else
        cpy_r_r38 = cpy_r_r37 == Py_True;
    CPy_DECREF(cpy_r_r37);
    if (unlikely(cpy_r_r38 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 275, CPyStatic_globals);
        goto CPyL115;
    }
    if (!cpy_r_r38) goto CPyL39;
CPyL18: ;
    cpy_r_r39 = CPyStatic_globals;
    cpy_r_r40 = CPyStatics[20]; /* 'is_cjk' */
    cpy_r_r41 = CPyDict_GetItem(cpy_r_r39, cpy_r_r40);
    if (unlikely(cpy_r_r41 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 276, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r42[1] = {cpy_r_character};
    cpy_r_r43 = (PyObject **)&cpy_r_r42;
    cpy_r_r44 = _PyObject_Vectorcall(cpy_r_r41, cpy_r_r43, 1, 0);
    CPy_DECREF(cpy_r_r41);
    if (unlikely(cpy_r_r44 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 276, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r44))) {
        CPy_TypeError("bool", cpy_r_r44); cpy_r_r45 = 2;
    } else
        cpy_r_r45 = cpy_r_r44 == Py_True;
    CPy_DECREF(cpy_r_r44);
    if (unlikely(cpy_r_r45 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 276, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r46 = cpy_r_r45 ? Py_True : Py_False;
    cpy_r_r47 = 0 ? Py_True : Py_False;
    cpy_r_r48 = cpy_r_r46 == cpy_r_r47;
    if (!cpy_r_r48) goto CPyL39;
    cpy_r_r49 = CPyStatic_globals;
    cpy_r_r50 = CPyStatics[21]; /* 'is_hangul' */
    cpy_r_r51 = CPyDict_GetItem(cpy_r_r49, cpy_r_r50);
    if (unlikely(cpy_r_r51 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 277, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r52[1] = {cpy_r_character};
    cpy_r_r53 = (PyObject **)&cpy_r_r52;
    cpy_r_r54 = _PyObject_Vectorcall(cpy_r_r51, cpy_r_r53, 1, 0);
    CPy_DECREF(cpy_r_r51);
    if (unlikely(cpy_r_r54 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 277, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r54))) {
        CPy_TypeError("bool", cpy_r_r54); cpy_r_r55 = 2;
    } else
        cpy_r_r55 = cpy_r_r54 == Py_True;
    CPy_DECREF(cpy_r_r54);
    if (unlikely(cpy_r_r55 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 277, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r56 = cpy_r_r55 ? Py_True : Py_False;
    cpy_r_r57 = 0 ? Py_True : Py_False;
    cpy_r_r58 = cpy_r_r56 == cpy_r_r57;
    if (!cpy_r_r58) goto CPyL39;
    cpy_r_r59 = CPyStatic_globals;
    cpy_r_r60 = CPyStatics[22]; /* 'is_katakana' */
    cpy_r_r61 = CPyDict_GetItem(cpy_r_r59, cpy_r_r60);
    if (unlikely(cpy_r_r61 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 278, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r62[1] = {cpy_r_character};
    cpy_r_r63 = (PyObject **)&cpy_r_r62;
    cpy_r_r64 = _PyObject_Vectorcall(cpy_r_r61, cpy_r_r63, 1, 0);
    CPy_DECREF(cpy_r_r61);
    if (unlikely(cpy_r_r64 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 278, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r64))) {
        CPy_TypeError("bool", cpy_r_r64); cpy_r_r65 = 2;
    } else
        cpy_r_r65 = cpy_r_r64 == Py_True;
    CPy_DECREF(cpy_r_r64);
    if (unlikely(cpy_r_r65 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 278, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r66 = cpy_r_r65 ? Py_True : Py_False;
    cpy_r_r67 = 0 ? Py_True : Py_False;
    cpy_r_r68 = cpy_r_r66 == cpy_r_r67;
    if (!cpy_r_r68) goto CPyL39;
    cpy_r_r69 = CPyStatic_globals;
    cpy_r_r70 = CPyStatics[23]; /* 'is_hiragana' */
    cpy_r_r71 = CPyDict_GetItem(cpy_r_r69, cpy_r_r70);
    if (unlikely(cpy_r_r71 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 279, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r72[1] = {cpy_r_character};
    cpy_r_r73 = (PyObject **)&cpy_r_r72;
    cpy_r_r74 = _PyObject_Vectorcall(cpy_r_r71, cpy_r_r73, 1, 0);
    CPy_DECREF(cpy_r_r71);
    if (unlikely(cpy_r_r74 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 279, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r74))) {
        CPy_TypeError("bool", cpy_r_r74); cpy_r_r75 = 2;
    } else
        cpy_r_r75 = cpy_r_r74 == Py_True;
    CPy_DECREF(cpy_r_r74);
    if (unlikely(cpy_r_r75 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 279, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r76 = cpy_r_r75 ? Py_True : Py_False;
    cpy_r_r77 = 0 ? Py_True : Py_False;
    cpy_r_r78 = cpy_r_r76 == cpy_r_r77;
    if (!cpy_r_r78) goto CPyL39;
    cpy_r_r79 = CPyStatic_globals;
    cpy_r_r80 = CPyStatics[24]; /* 'is_thai' */
    cpy_r_r81 = CPyDict_GetItem(cpy_r_r79, cpy_r_r80);
    if (unlikely(cpy_r_r81 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 280, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r82[1] = {cpy_r_character};
    cpy_r_r83 = (PyObject **)&cpy_r_r82;
    cpy_r_r84 = _PyObject_Vectorcall(cpy_r_r81, cpy_r_r83, 1, 0);
    CPy_DECREF(cpy_r_r81);
    if (unlikely(cpy_r_r84 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 280, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r84))) {
        CPy_TypeError("bool", cpy_r_r84); cpy_r_r85 = 2;
    } else
        cpy_r_r85 = cpy_r_r84 == Py_True;
    CPy_DECREF(cpy_r_r84);
    if (unlikely(cpy_r_r85 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 280, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r86 = cpy_r_r85 ? Py_True : Py_False;
    cpy_r_r87 = 0 ? Py_True : Py_False;
    cpy_r_r88 = cpy_r_r86 == cpy_r_r87;
    if (!cpy_r_r88) goto CPyL39;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_watch = 1;
CPyL39: ;
    return 1;
CPyL40: ;
    cpy_r_r90 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r90);
    cpy_r_r91 = CPyStr_IsTrue(cpy_r_r90);
    CPy_DECREF(cpy_r_r90);
    if (cpy_r_r91) goto CPyL42;
    return 1;
CPyL42: ;
    cpy_r_r92 = CPyStatics[16]; /* 'isspace' */
    PyObject *cpy_r_r93[1] = {cpy_r_character};
    cpy_r_r94 = (PyObject **)&cpy_r_r93;
    cpy_r_r95 = PyObject_VectorcallMethod(cpy_r_r92, cpy_r_r94, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r95 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 287, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r95))) {
        CPy_TypeError("bool", cpy_r_r95); cpy_r_r96 = 2;
    } else
        cpy_r_r96 = cpy_r_r95 == Py_True;
    CPy_DECREF(cpy_r_r95);
    if (unlikely(cpy_r_r96 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 287, CPyStatic_globals);
        goto CPyL115;
    }
    if (cpy_r_r96) goto CPyL53;
    cpy_r_r97 = CPyStatic_globals;
    cpy_r_r98 = CPyStatics[6]; /* 'is_punctuation' */
    cpy_r_r99 = CPyDict_GetItem(cpy_r_r97, cpy_r_r98);
    if (unlikely(cpy_r_r99 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 287, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r100[1] = {cpy_r_character};
    cpy_r_r101 = (PyObject **)&cpy_r_r100;
    cpy_r_r102 = _PyObject_Vectorcall(cpy_r_r99, cpy_r_r101, 1, 0);
    CPy_DECREF(cpy_r_r99);
    if (unlikely(cpy_r_r102 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 287, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r102))) {
        CPy_TypeError("bool", cpy_r_r102); cpy_r_r103 = 2;
    } else
        cpy_r_r103 = cpy_r_r102 == Py_True;
    CPy_DECREF(cpy_r_r102);
    if (unlikely(cpy_r_r103 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 287, CPyStatic_globals);
        goto CPyL115;
    }
    if (cpy_r_r103) goto CPyL53;
    cpy_r_r104 = CPyStatic_globals;
    cpy_r_r105 = CPyStatics[25]; /* 'is_separator' */
    cpy_r_r106 = CPyDict_GetItem(cpy_r_r104, cpy_r_r105);
    if (unlikely(cpy_r_r106 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 287, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r107[1] = {cpy_r_character};
    cpy_r_r108 = (PyObject **)&cpy_r_r107;
    cpy_r_r109 = _PyObject_Vectorcall(cpy_r_r106, cpy_r_r108, 1, 0);
    CPy_DECREF(cpy_r_r106);
    if (unlikely(cpy_r_r109 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 287, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r109))) {
        CPy_TypeError("bool", cpy_r_r109); cpy_r_r110 = 2;
    } else
        cpy_r_r110 = cpy_r_r109 == Py_True;
    CPy_DECREF(cpy_r_r109);
    if (unlikely(cpy_r_r110 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 287, CPyStatic_globals);
        goto CPyL115;
    }
    if (!cpy_r_r110) goto CPyL103;
CPyL53: ;
    cpy_r_r111 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r111);
    cpy_r_r112 = CPyStr_IsTrue(cpy_r_r111);
    CPy_DECREF(cpy_r_r111);
    if (!cpy_r_r112) goto CPyL103;
    cpy_r_r113 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__word_count;
    cpy_r_r114 = CPyTagged_Add(cpy_r_r113, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__word_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__word_count = cpy_r_r114;
    cpy_r_r116 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r116);
    cpy_r_r117 = CPyStr_Size_size_t(cpy_r_r116);
    CPy_DECREF(cpy_r_r116);
    cpy_r_r118 = cpy_r_r117 >= 0;
    if (unlikely(!cpy_r_r118)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 290, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r119 = cpy_r_r117 << 1;
    cpy_r_buffer_length = cpy_r_r119;
    cpy_r_r120 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r121 = CPyTagged_Add(cpy_r_r120, cpy_r_buffer_length);
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__character_count = cpy_r_r121;
    cpy_r_r123 = cpy_r_buffer_length & 1;
    cpy_r_r124 = cpy_r_r123 != 0;
    if (cpy_r_r124) goto CPyL57;
    cpy_r_r125 = 8 & 1;
    cpy_r_r126 = cpy_r_r125 != 0;
    if (!cpy_r_r126) goto CPyL58;
CPyL57: ;
    cpy_r_r127 = CPyTagged_IsLt_(cpy_r_buffer_length, 8);
    cpy_r_r128 = cpy_r_r127 ^ 1;
    if (cpy_r_r128) {
        goto CPyL59;
    } else
        goto CPyL73;
CPyL58: ;
    cpy_r_r129 = (Py_ssize_t)cpy_r_buffer_length >= (Py_ssize_t)8;
    if (!cpy_r_r129) goto CPyL73;
CPyL59: ;
    cpy_r_r130 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer_accent_count;
    CPyTagged_INCREF(cpy_r_r130);
    cpy_r_r131 = CPyTagged_TrueDivide(cpy_r_r130, cpy_r_buffer_length);
    CPyTagged_DECREF(cpy_r_r130);
    cpy_r_r132 = cpy_r_r131 == -113.0;
    if (unlikely(cpy_r_r132)) goto CPyL61;
CPyL60: ;
    cpy_r_r133 = cpy_r_r131 > 0.34;
    if (cpy_r_r133) {
        goto CPyL62;
    } else
        goto CPyL63;
CPyL61: ;
    cpy_r_r134 = PyErr_Occurred();
    if (unlikely(cpy_r_r134 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 295, CPyStatic_globals);
        goto CPyL116;
    } else
        goto CPyL60;
CPyL62: ;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__is_current_word_bad = 1;
CPyL63: ;
    cpy_r_r136 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r136);
    cpy_r_r137 = CPyStr_GetItem(cpy_r_r136, -2);
    CPy_DECREF(cpy_r_r136);
    if (unlikely(cpy_r_r137 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 299, CPyStatic_globals);
        goto CPyL116;
    }
    cpy_r_r138 = CPyStatic_globals;
    cpy_r_r139 = CPyStatics[11]; /* 'is_accentuated' */
    cpy_r_r140 = CPyDict_GetItem(cpy_r_r138, cpy_r_r139);
    if (unlikely(cpy_r_r140 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 299, CPyStatic_globals);
        goto CPyL117;
    }
    PyObject *cpy_r_r141[1] = {cpy_r_r137};
    cpy_r_r142 = (PyObject **)&cpy_r_r141;
    cpy_r_r143 = _PyObject_Vectorcall(cpy_r_r140, cpy_r_r142, 1, 0);
    CPy_DECREF(cpy_r_r140);
    if (unlikely(cpy_r_r143 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 299, CPyStatic_globals);
        goto CPyL117;
    }
    CPy_DECREF(cpy_r_r137);
    if (unlikely(!PyBool_Check(cpy_r_r143))) {
        CPy_TypeError("bool", cpy_r_r143); cpy_r_r144 = 2;
    } else
        cpy_r_r144 = cpy_r_r143 == Py_True;
    CPy_DECREF(cpy_r_r143);
    if (unlikely(cpy_r_r144 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 299, CPyStatic_globals);
        goto CPyL116;
    }
    if (!cpy_r_r144) goto CPyL73;
    cpy_r_r145 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r145);
    cpy_r_r146 = CPyStr_GetItem(cpy_r_r145, -2);
    CPy_DECREF(cpy_r_r145);
    if (unlikely(cpy_r_r146 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 299, CPyStatic_globals);
        goto CPyL116;
    }
    cpy_r_r147 = CPyStatics[14]; /* 'isupper' */
    PyObject *cpy_r_r148[1] = {cpy_r_r146};
    cpy_r_r149 = (PyObject **)&cpy_r_r148;
    cpy_r_r150 = PyObject_VectorcallMethod(cpy_r_r147, cpy_r_r149, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r150 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 299, CPyStatic_globals);
        goto CPyL118;
    }
    CPy_DECREF(cpy_r_r146);
    if (unlikely(!PyBool_Check(cpy_r_r150))) {
        CPy_TypeError("bool", cpy_r_r150); cpy_r_r151 = 2;
    } else
        cpy_r_r151 = cpy_r_r150 == Py_True;
    CPy_DECREF(cpy_r_r150);
    if (unlikely(cpy_r_r151 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 299, CPyStatic_globals);
        goto CPyL116;
    }
    if (!cpy_r_r151) goto CPyL73;
    cpy_r_r152 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count;
    cpy_r_r153 = CPyTagged_Add(cpy_r_r152, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count = cpy_r_r153;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__is_current_word_bad = 1;
CPyL73: ;
    cpy_r_r156 = cpy_r_buffer_length & 1;
    cpy_r_r157 = cpy_r_r156 != 0;
    if (cpy_r_r157) goto CPyL75;
    cpy_r_r158 = 48 & 1;
    cpy_r_r159 = cpy_r_r158 != 0;
    if (!cpy_r_r159) goto CPyL76;
CPyL75: ;
    cpy_r_r160 = CPyTagged_IsLt_(cpy_r_buffer_length, 48);
    cpy_r_r161 = cpy_r_r160 ^ 1;
    if (cpy_r_r161) {
        goto CPyL77;
    } else
        goto CPyL119;
CPyL76: ;
    cpy_r_r162 = (Py_ssize_t)cpy_r_buffer_length >= (Py_ssize_t)48;
    if (!cpy_r_r162) goto CPyL119;
CPyL77: ;
    cpy_r_r163 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_watch;
    if (!cpy_r_r163) goto CPyL119;
CPyL78: ;
    cpy_r_r164 = PyList_New(0);
    if (unlikely(cpy_r_r164 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 303, CPyStatic_globals);
        goto CPyL116;
    }
    cpy_r_r165 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r165);
    cpy_r_r166 = 0;
    cpy_r_r167 = 0;
    CPyTagged_INCREF(cpy_r_r167);
    cpy_r_i = cpy_r_r167;
CPyL80: ;
    cpy_r_r168 = CPyStr_Size_size_t(cpy_r_r165);
    cpy_r_r169 = cpy_r_r168 >= 0;
    if (unlikely(!cpy_r_r169)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 303, CPyStatic_globals);
        goto CPyL120;
    }
    cpy_r_r170 = cpy_r_r168 << 1;
    cpy_r_r171 = (Py_ssize_t)cpy_r_r166 < (Py_ssize_t)cpy_r_r170;
    if (!cpy_r_r171) goto CPyL121;
    cpy_r_r172 = cpy_r_r167 & 1;
    cpy_r_r173 = cpy_r_r172 != 0;
    if (cpy_r_r173) goto CPyL84;
    cpy_r_r174 = cpy_r_buffer_length & 1;
    cpy_r_r175 = cpy_r_r174 != 0;
    if (!cpy_r_r175) goto CPyL85;
CPyL84: ;
    cpy_r_r176 = CPyTagged_IsLt_(cpy_r_r167, cpy_r_buffer_length);
    if (cpy_r_r176) {
        goto CPyL86;
    } else
        goto CPyL121;
CPyL85: ;
    cpy_r_r177 = (Py_ssize_t)cpy_r_r167 < (Py_ssize_t)cpy_r_buffer_length;
    if (!cpy_r_r177) goto CPyL121;
CPyL86: ;
    cpy_r_r178 = CPyStr_GetItem(cpy_r_r165, cpy_r_r166);
    if (unlikely(cpy_r_r178 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 303, CPyStatic_globals);
        goto CPyL120;
    }
    cpy_r_r179 = CPyStatics[14]; /* 'isupper' */
    PyObject *cpy_r_r180[1] = {cpy_r_r178};
    cpy_r_r181 = (PyObject **)&cpy_r_r180;
    cpy_r_r182 = PyObject_VectorcallMethod(cpy_r_r179, cpy_r_r181, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r182 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 306, CPyStatic_globals);
        goto CPyL122;
    }
    CPy_DECREF(cpy_r_r178);
    if (unlikely(!PyBool_Check(cpy_r_r182))) {
        CPy_TypeError("bool", cpy_r_r182); cpy_r_r183 = 2;
    } else
        cpy_r_r183 = cpy_r_r182 == Py_True;
    CPy_DECREF(cpy_r_r182);
    if (unlikely(cpy_r_r183 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 306, CPyStatic_globals);
        goto CPyL120;
    }
    if (!cpy_r_r183) goto CPyL123;
    cpy_r_r184 = CPyTagged_StealAsObject(cpy_r_i);
    cpy_r_r185 = PyList_Append(cpy_r_r164, cpy_r_r184);
    CPy_DECREF(cpy_r_r184);
    cpy_r_r186 = cpy_r_r185 >= 0;
    if (unlikely(!cpy_r_r186)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 303, CPyStatic_globals);
        goto CPyL124;
    }
CPyL91: ;
    cpy_r_r187 = cpy_r_r166 + 2;
    cpy_r_r166 = cpy_r_r187;
    cpy_r_r188 = CPyTagged_Add(cpy_r_r167, 2);
    CPyTagged_DECREF(cpy_r_r167);
    CPyTagged_INCREF(cpy_r_r188);
    cpy_r_r167 = cpy_r_r188;
    cpy_r_i = cpy_r_r188;
    goto CPyL80;
CPyL92: ;
    cpy_r_probable_camel_cased = 0;
    cpy_r_r189 = (CPyPtr)&((PyVarObject *)cpy_r_r164)->ob_size;
    cpy_r_r190 = *(int64_t *)cpy_r_r189;
    cpy_r_r191 = cpy_r_r190 << 1;
    cpy_r_r192 = cpy_r_r191 != 0;
    if (!cpy_r_r192) goto CPyL125;
    cpy_r_r193 = (CPyPtr)&((PyVarObject *)cpy_r_r164)->ob_size;
    cpy_r_r194 = *(int64_t *)cpy_r_r193;
    CPy_DECREF(cpy_r_r164);
    cpy_r_r195 = cpy_r_r194 << 1;
    cpy_r_r196 = CPyTagged_TrueDivide(cpy_r_r195, cpy_r_buffer_length);
    CPyTagged_DECREF(cpy_r_buffer_length);
    cpy_r_r197 = cpy_r_r196 == -113.0;
    if (unlikely(cpy_r_r197)) goto CPyL95;
CPyL94: ;
    cpy_r_r198 = cpy_r_r196 <= 0.3;
    if (cpy_r_r198) {
        goto CPyL96;
    } else
        goto CPyL97;
CPyL95: ;
    cpy_r_r199 = PyErr_Occurred();
    if (unlikely(cpy_r_r199 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 310, CPyStatic_globals);
        goto CPyL115;
    } else
        goto CPyL94;
CPyL96: ;
    cpy_r_probable_camel_cased = 1;
CPyL97: ;
    if (cpy_r_probable_camel_cased) goto CPyL99;
    cpy_r_r200 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count;
    cpy_r_r201 = CPyTagged_Add(cpy_r_r200, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count = cpy_r_r201;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__is_current_word_bad = 1;
CPyL99: ;
    cpy_r_r204 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__is_current_word_bad;
    if (!cpy_r_r204) goto CPyL102;
CPyL100: ;
    cpy_r_r205 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_word_count;
    cpy_r_r206 = CPyTagged_Add(cpy_r_r205, 2);
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_word_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_word_count = cpy_r_r206;
    cpy_r_r208 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_character_count;
    CPyTagged_INCREF(cpy_r_r208);
    cpy_r_r209 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r209);
    cpy_r_r210 = CPyStr_Size_size_t(cpy_r_r209);
    CPy_DECREF(cpy_r_r209);
    cpy_r_r211 = cpy_r_r210 >= 0;
    if (unlikely(!cpy_r_r211)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 319, CPyStatic_globals);
        goto CPyL126;
    }
    cpy_r_r212 = cpy_r_r210 << 1;
    cpy_r_r213 = CPyTagged_Add(cpy_r_r208, cpy_r_r212);
    CPyTagged_DECREF(cpy_r_r208);
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_character_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_character_count = cpy_r_r213;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__is_current_word_bad = 0;
CPyL102: ;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_watch = 0;
    cpy_r_r217 = CPyStatics[19]; /* '' */
    CPy_INCREF(cpy_r_r217);
    CPy_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer = cpy_r_r217;
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer_accent_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer_accent_count = 0;
    goto CPyL114;
CPyL103: ;
    cpy_r_r220 = CPyStatics[123]; /* frozenset({'<', '>', '~', '_', '-', '|', '='}) */
    cpy_r_r221 = PySet_Contains(cpy_r_r220, cpy_r_character);
    cpy_r_r222 = cpy_r_r221 >= 0;
    if (unlikely(!cpy_r_r222)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 326, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r223 = cpy_r_r221;
    cpy_r_r224 = cpy_r_r223 ^ 1;
    if (!cpy_r_r224) goto CPyL114;
    cpy_r_r225 = CPyStatics[7]; /* 'isdigit' */
    PyObject *cpy_r_r226[1] = {cpy_r_character};
    cpy_r_r227 = (PyObject **)&cpy_r_r226;
    cpy_r_r228 = PyObject_VectorcallMethod(cpy_r_r225, cpy_r_r227, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r228 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 327, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r228))) {
        CPy_TypeError("bool", cpy_r_r228); cpy_r_r229 = 2;
    } else
        cpy_r_r229 = cpy_r_r228 == Py_True;
    CPy_DECREF(cpy_r_r228);
    if (unlikely(cpy_r_r229 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 327, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r230 = cpy_r_r229 ? Py_True : Py_False;
    cpy_r_r231 = 0 ? Py_True : Py_False;
    cpy_r_r232 = cpy_r_r230 == cpy_r_r231;
    if (!cpy_r_r232) goto CPyL114;
    cpy_r_r233 = CPyStatic_globals;
    cpy_r_r234 = CPyStatics[8]; /* 'is_symbol' */
    cpy_r_r235 = CPyDict_GetItem(cpy_r_r233, cpy_r_r234);
    if (unlikely(cpy_r_r235 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 328, CPyStatic_globals);
        goto CPyL115;
    }
    PyObject *cpy_r_r236[1] = {cpy_r_character};
    cpy_r_r237 = (PyObject **)&cpy_r_r236;
    cpy_r_r238 = _PyObject_Vectorcall(cpy_r_r235, cpy_r_r237, 1, 0);
    CPy_DECREF(cpy_r_r235);
    if (unlikely(cpy_r_r238 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 328, CPyStatic_globals);
        goto CPyL115;
    }
    if (unlikely(!PyBool_Check(cpy_r_r238))) {
        CPy_TypeError("bool", cpy_r_r238); cpy_r_r239 = 2;
    } else
        cpy_r_r239 = cpy_r_r238 == Py_True;
    CPy_DECREF(cpy_r_r238);
    if (unlikely(cpy_r_r239 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 328, CPyStatic_globals);
        goto CPyL115;
    }
    if (!cpy_r_r239) goto CPyL114;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__is_current_word_bad = 1;
    cpy_r_r241 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer;
    CPy_INCREF(cpy_r_r241);
    cpy_r_r242 = CPyStr_Append(cpy_r_r241, cpy_r_character);
    if (unlikely(cpy_r_r242 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 331, CPyStatic_globals);
        goto CPyL115;
    }
    CPy_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer = cpy_r_r242;
CPyL114: ;
    return 1;
CPyL115: ;
    cpy_r_r244 = 2;
    return cpy_r_r244;
CPyL116: ;
    CPyTagged_DecRef(cpy_r_buffer_length);
    goto CPyL115;
CPyL117: ;
    CPyTagged_DecRef(cpy_r_buffer_length);
    CPy_DecRef(cpy_r_r137);
    goto CPyL115;
CPyL118: ;
    CPyTagged_DecRef(cpy_r_buffer_length);
    CPy_DecRef(cpy_r_r146);
    goto CPyL115;
CPyL119: ;
    CPyTagged_DECREF(cpy_r_buffer_length);
    goto CPyL99;
CPyL120: ;
    CPyTagged_DecRef(cpy_r_buffer_length);
    CPy_DecRef(cpy_r_r164);
    CPy_DecRef(cpy_r_r165);
    CPyTagged_DecRef(cpy_r_r167);
    CPyTagged_DecRef(cpy_r_i);
    goto CPyL115;
CPyL121: ;
    CPy_DECREF(cpy_r_r165);
    CPyTagged_DECREF(cpy_r_r167);
    CPyTagged_DECREF(cpy_r_i);
    goto CPyL92;
CPyL122: ;
    CPyTagged_DecRef(cpy_r_buffer_length);
    CPy_DecRef(cpy_r_r164);
    CPy_DecRef(cpy_r_r165);
    CPyTagged_DecRef(cpy_r_r167);
    CPyTagged_DecRef(cpy_r_i);
    CPy_DecRef(cpy_r_r178);
    goto CPyL115;
CPyL123: ;
    CPyTagged_DECREF(cpy_r_i);
    goto CPyL91;
CPyL124: ;
    CPyTagged_DecRef(cpy_r_buffer_length);
    CPy_DecRef(cpy_r_r164);
    CPy_DecRef(cpy_r_r165);
    CPyTagged_DecRef(cpy_r_r167);
    goto CPyL115;
CPyL125: ;
    CPyTagged_DECREF(cpy_r_buffer_length);
    CPy_DECREF(cpy_r_r164);
    goto CPyL97;
CPyL126: ;
    CPyTagged_DecRef(cpy_r_r208);
    goto CPyL115;
}

PyObject *CPyPy_SuperWeirdWordPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuperWeirdWordPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuperWeirdWordPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_SuperWeirdWordPlugin___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 268, CPyStatic_globals);
    return NULL;
}

char CPyDef_SuperWeirdWordPlugin___reset(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    char cpy_r_r1;
    char cpy_r_r2;
    char cpy_r_r3;
    char cpy_r_r4;
    char cpy_r_r5;
    char cpy_r_r6;
    char cpy_r_r7;
    char cpy_r_r8;
    cpy_r_r0 = CPyStatics[19]; /* '' */
    CPy_INCREF(cpy_r_r0);
    CPy_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__buffer = cpy_r_r0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__is_current_word_bad = 0;
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_watch = 0;
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_word_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_word_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__word_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__word_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__character_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_character_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_character_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count);
    ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count = 0;
    return 1;
}

PyObject *CPyPy_SuperWeirdWordPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuperWeirdWordPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuperWeirdWordPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_SuperWeirdWordPlugin___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 333, CPyStatic_globals);
    return NULL;
}

double CPyDef_SuperWeirdWordPlugin___ratio(PyObject *cpy_r_self) {
    CPyTagged cpy_r_r0;
    int64_t cpy_r_r1;
    char cpy_r_r2;
    int64_t cpy_r_r3;
    char cpy_r_r4;
    char cpy_r_r5;
    char cpy_r_r6;
    char cpy_r_r7;
    CPyTagged cpy_r_r8;
    char cpy_r_r9;
    CPyTagged cpy_r_r10;
    CPyTagged cpy_r_r11;
    double cpy_r_r12;
    char cpy_r_r13;
    PyObject *cpy_r_r14;
    double cpy_r_r15;
    cpy_r_r0 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__word_count;
    cpy_r_r1 = cpy_r_r0 & 1;
    cpy_r_r2 = cpy_r_r1 != 0;
    if (cpy_r_r2) goto CPyL2;
    cpy_r_r3 = 20 & 1;
    cpy_r_r4 = cpy_r_r3 != 0;
    if (!cpy_r_r4) goto CPyL3;
CPyL2: ;
    cpy_r_r5 = CPyTagged_IsLt_(20, cpy_r_r0);
    cpy_r_r6 = cpy_r_r5 ^ 1;
    if (cpy_r_r6) {
        goto CPyL4;
    } else
        goto CPyL6;
CPyL3: ;
    cpy_r_r7 = (Py_ssize_t)cpy_r_r0 <= (Py_ssize_t)20;
    if (!cpy_r_r7) goto CPyL6;
CPyL4: ;
    cpy_r_r8 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__foreign_long_count;
    cpy_r_r9 = cpy_r_r8 == 0;
    if (!cpy_r_r9) goto CPyL6;
    return 0.0;
CPyL6: ;
    cpy_r_r10 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__bad_character_count;
    CPyTagged_INCREF(cpy_r_r10);
    cpy_r_r11 = ((charset_normalizer___md___SuperWeirdWordPluginObject *)cpy_r_self)->__character_count;
    CPyTagged_INCREF(cpy_r_r11);
    cpy_r_r12 = CPyTagged_TrueDivide(cpy_r_r10, cpy_r_r11);
    CPyTagged_DECREF(cpy_r_r10);
    CPyTagged_DECREF(cpy_r_r11);
    cpy_r_r13 = cpy_r_r12 == -113.0;
    if (unlikely(cpy_r_r13)) goto CPyL8;
CPyL7: ;
    return cpy_r_r12;
CPyL8: ;
    cpy_r_r14 = PyErr_Occurred();
    if (unlikely(cpy_r_r14 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 348, CPyStatic_globals);
    } else
        goto CPyL7;
    cpy_r_r15 = -113.0;
    return cpy_r_r15;
}

PyObject *CPyPy_SuperWeirdWordPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_SuperWeirdWordPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.SuperWeirdWordPlugin", obj_self); 
        goto fail;
    }
    double retval = CPyDef_SuperWeirdWordPlugin___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 344, CPyStatic_globals);
    return NULL;
}

char CPyDef_CjkInvalidStopPlugin_____init__(PyObject *cpy_r_self) {
    ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__wrong_stop_count = 0;
    ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__cjk_character_count = 0;
    return 1;
}

PyObject *CPyPy_CjkInvalidStopPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_CjkInvalidStopPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.CjkInvalidStopPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_CjkInvalidStopPlugin_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "__init__", 357, CPyStatic_globals);
    return NULL;
}

char CPyDef_CjkInvalidStopPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    return 1;
}

PyObject *CPyPy_CjkInvalidStopPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_CjkInvalidStopPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.CjkInvalidStopPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_CjkInvalidStopPlugin___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 361, CPyStatic_globals);
    return NULL;
}

char CPyDef_CjkInvalidStopPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    int32_t cpy_r_r1;
    char cpy_r_r2;
    char cpy_r_r3;
    CPyTagged cpy_r_r4;
    CPyTagged cpy_r_r5;
    char cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    PyObject **cpy_r_r11;
    PyObject *cpy_r_r12;
    char cpy_r_r13;
    CPyTagged cpy_r_r14;
    CPyTagged cpy_r_r15;
    char cpy_r_r16;
    char cpy_r_r17;
    cpy_r_r0 = CPyStatics[124]; /* frozenset({'丅', '丄'}) */
    cpy_r_r1 = PySet_Contains(cpy_r_r0, cpy_r_character);
    cpy_r_r2 = cpy_r_r1 >= 0;
    if (unlikely(!cpy_r_r2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 365, CPyStatic_globals);
        goto CPyL9;
    }
    cpy_r_r3 = cpy_r_r1;
    if (!cpy_r_r3) goto CPyL3;
    cpy_r_r4 = ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__wrong_stop_count;
    cpy_r_r5 = CPyTagged_Add(cpy_r_r4, 2);
    CPyTagged_DECREF(((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__wrong_stop_count);
    ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__wrong_stop_count = cpy_r_r5;
    return 1;
CPyL3: ;
    cpy_r_r7 = CPyStatic_globals;
    cpy_r_r8 = CPyStatics[20]; /* 'is_cjk' */
    cpy_r_r9 = CPyDict_GetItem(cpy_r_r7, cpy_r_r8);
    if (unlikely(cpy_r_r9 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 368, CPyStatic_globals);
        goto CPyL9;
    }
    PyObject *cpy_r_r10[1] = {cpy_r_character};
    cpy_r_r11 = (PyObject **)&cpy_r_r10;
    cpy_r_r12 = _PyObject_Vectorcall(cpy_r_r9, cpy_r_r11, 1, 0);
    CPy_DECREF(cpy_r_r9);
    if (unlikely(cpy_r_r12 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 368, CPyStatic_globals);
        goto CPyL9;
    }
    if (unlikely(!PyBool_Check(cpy_r_r12))) {
        CPy_TypeError("bool", cpy_r_r12); cpy_r_r13 = 2;
    } else
        cpy_r_r13 = cpy_r_r12 == Py_True;
    CPy_DECREF(cpy_r_r12);
    if (unlikely(cpy_r_r13 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 368, CPyStatic_globals);
        goto CPyL9;
    }
    if (!cpy_r_r13) goto CPyL8;
    cpy_r_r14 = ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__cjk_character_count;
    cpy_r_r15 = CPyTagged_Add(cpy_r_r14, 2);
    CPyTagged_DECREF(((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__cjk_character_count);
    ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__cjk_character_count = cpy_r_r15;
CPyL8: ;
    return 1;
CPyL9: ;
    cpy_r_r17 = 2;
    return cpy_r_r17;
}

PyObject *CPyPy_CjkInvalidStopPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_CjkInvalidStopPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.CjkInvalidStopPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_CjkInvalidStopPlugin___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 364, CPyStatic_globals);
    return NULL;
}

char CPyDef_CjkInvalidStopPlugin___reset(PyObject *cpy_r_self) {
    char cpy_r_r0;
    char cpy_r_r1;
    CPyTagged_DECREF(((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__wrong_stop_count);
    ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__wrong_stop_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__cjk_character_count);
    ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__cjk_character_count = 0;
    return 1;
}

PyObject *CPyPy_CjkInvalidStopPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_CjkInvalidStopPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.CjkInvalidStopPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_CjkInvalidStopPlugin___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 371, CPyStatic_globals);
    return NULL;
}

double CPyDef_CjkInvalidStopPlugin___ratio(PyObject *cpy_r_self) {
    CPyTagged cpy_r_r0;
    int64_t cpy_r_r1;
    char cpy_r_r2;
    int64_t cpy_r_r3;
    char cpy_r_r4;
    char cpy_r_r5;
    char cpy_r_r6;
    CPyTagged cpy_r_r7;
    CPyTagged cpy_r_r8;
    double cpy_r_r9;
    char cpy_r_r10;
    PyObject *cpy_r_r11;
    double cpy_r_r12;
    cpy_r_r0 = ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__cjk_character_count;
    cpy_r_r1 = cpy_r_r0 & 1;
    cpy_r_r2 = cpy_r_r1 != 0;
    if (cpy_r_r2) goto CPyL2;
    cpy_r_r3 = 32 & 1;
    cpy_r_r4 = cpy_r_r3 != 0;
    if (!cpy_r_r4) goto CPyL3;
CPyL2: ;
    cpy_r_r5 = CPyTagged_IsLt_(cpy_r_r0, 32);
    if (cpy_r_r5) {
        goto CPyL4;
    } else
        goto CPyL5;
CPyL3: ;
    cpy_r_r6 = (Py_ssize_t)cpy_r_r0 < (Py_ssize_t)32;
    if (!cpy_r_r6) goto CPyL5;
CPyL4: ;
    return 0.0;
CPyL5: ;
    cpy_r_r7 = ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__wrong_stop_count;
    CPyTagged_INCREF(cpy_r_r7);
    cpy_r_r8 = ((charset_normalizer___md___CjkInvalidStopPluginObject *)cpy_r_self)->__cjk_character_count;
    CPyTagged_INCREF(cpy_r_r8);
    cpy_r_r9 = CPyTagged_TrueDivide(cpy_r_r7, cpy_r_r8);
    CPyTagged_DECREF(cpy_r_r7);
    CPyTagged_DECREF(cpy_r_r8);
    cpy_r_r10 = cpy_r_r9 == -113.0;
    if (unlikely(cpy_r_r10)) goto CPyL7;
CPyL6: ;
    return cpy_r_r9;
CPyL7: ;
    cpy_r_r11 = PyErr_Occurred();
    if (unlikely(cpy_r_r11 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 379, CPyStatic_globals);
    } else
        goto CPyL6;
    cpy_r_r12 = -113.0;
    return cpy_r_r12;
}

PyObject *CPyPy_CjkInvalidStopPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_CjkInvalidStopPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.CjkInvalidStopPlugin", obj_self); 
        goto fail;
    }
    double retval = CPyDef_CjkInvalidStopPlugin___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 376, CPyStatic_globals);
    return NULL;
}

char CPyDef_ArchaicUpperLowerPlugin_____init__(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__buf = 0;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep = 0;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count = 0;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count_final = 0;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count = 0;
    cpy_r_r0 = Py_None;
    CPy_INCREF(cpy_r_r0);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen = cpy_r_r0;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__current_ascii_only = 1;
    return 1;
}

PyObject *CPyPy_ArchaicUpperLowerPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_ArchaicUpperLowerPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.ArchaicUpperLowerPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_ArchaicUpperLowerPlugin_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "__init__", 383, CPyStatic_globals);
    return NULL;
}

char CPyDef_ArchaicUpperLowerPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    return 1;
}

PyObject *CPyPy_ArchaicUpperLowerPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:eligible", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_ArchaicUpperLowerPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.ArchaicUpperLowerPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_ArchaicUpperLowerPlugin___eligible(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "eligible", 396, CPyStatic_globals);
    return NULL;
}

char CPyDef_ArchaicUpperLowerPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character) {
    PyObject *cpy_r_r0;
    PyObject **cpy_r_r2;
    PyObject *cpy_r_r3;
    char cpy_r_r4;
    char cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject **cpy_r_r10;
    PyObject *cpy_r_r11;
    char cpy_r_r12;
    char cpy_r_is_concerned;
    PyObject *cpy_r_r13;
    PyObject *cpy_r_r14;
    char cpy_r_r15;
    char cpy_r_chunk_sep;
    CPyTagged cpy_r_r16;
    int64_t cpy_r_r17;
    char cpy_r_r18;
    int64_t cpy_r_r19;
    char cpy_r_r20;
    char cpy_r_r21;
    char cpy_r_r22;
    CPyTagged cpy_r_r23;
    int64_t cpy_r_r24;
    char cpy_r_r25;
    int64_t cpy_r_r26;
    char cpy_r_r27;
    char cpy_r_r28;
    char cpy_r_r29;
    char cpy_r_r30;
    PyObject *cpy_r_r31;
    PyObject **cpy_r_r33;
    PyObject *cpy_r_r34;
    char cpy_r_r35;
    PyObject *cpy_r_r36;
    PyObject *cpy_r_r37;
    char cpy_r_r38;
    char cpy_r_r39;
    PyObject *cpy_r_r40;
    PyObject *cpy_r_r41;
    char cpy_r_r42;
    CPyTagged cpy_r_r43;
    CPyTagged cpy_r_r44;
    CPyTagged cpy_r_r45;
    char cpy_r_r46;
    char cpy_r_r47;
    char cpy_r_r48;
    PyObject *cpy_r_r49;
    char cpy_r_r50;
    char cpy_r_r51;
    CPyTagged cpy_r_r52;
    CPyTagged cpy_r_r53;
    char cpy_r_r54;
    char cpy_r_r55;
    char cpy_r_r56;
    PyObject *cpy_r_r57;
    PyObject *cpy_r_r58;
    char cpy_r_r59;
    PyObject *cpy_r_r60;
    PyObject *cpy_r_r61;
    PyObject *cpy_r_r62;
    PyObject **cpy_r_r64;
    PyObject *cpy_r_r65;
    char cpy_r_r66;
    PyObject *cpy_r_r67;
    PyObject *cpy_r_r68;
    char cpy_r_r69;
    char cpy_r_r70;
    PyObject *cpy_r_r71;
    PyObject *cpy_r_r72;
    char cpy_r_r73;
    PyObject *cpy_r_r74;
    PyObject **cpy_r_r76;
    PyObject *cpy_r_r77;
    char cpy_r_r78;
    PyObject *cpy_r_r79;
    PyObject *cpy_r_r80;
    PyObject *cpy_r_r81;
    PyObject **cpy_r_r83;
    PyObject *cpy_r_r84;
    char cpy_r_r85;
    PyObject *cpy_r_r86;
    PyObject **cpy_r_r88;
    PyObject *cpy_r_r89;
    char cpy_r_r90;
    PyObject *cpy_r_r91;
    PyObject *cpy_r_r92;
    PyObject *cpy_r_r93;
    PyObject **cpy_r_r95;
    PyObject *cpy_r_r96;
    char cpy_r_r97;
    char cpy_r_r98;
    PyObject *cpy_r_r99;
    PyObject *cpy_r_r100;
    char cpy_r_r101;
    CPyTagged cpy_r_r102;
    CPyTagged cpy_r_r103;
    char cpy_r_r104;
    char cpy_r_r105;
    char cpy_r_r106;
    char cpy_r_r107;
    CPyTagged cpy_r_r108;
    CPyTagged cpy_r_r109;
    char cpy_r_r110;
    CPyTagged cpy_r_r111;
    CPyTagged cpy_r_r112;
    char cpy_r_r113;
    char cpy_r_r114;
    char cpy_r_r115;
    cpy_r_r0 = CPyStatics[10]; /* 'isalpha' */
    PyObject *cpy_r_r1[1] = {cpy_r_character};
    cpy_r_r2 = (PyObject **)&cpy_r_r1;
    cpy_r_r3 = PyObject_VectorcallMethod(cpy_r_r0, cpy_r_r2, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r3 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 400, CPyStatic_globals);
        goto CPyL49;
    }
    if (unlikely(!PyBool_Check(cpy_r_r3))) {
        CPy_TypeError("bool", cpy_r_r3); cpy_r_r4 = 2;
    } else
        cpy_r_r4 = cpy_r_r3 == Py_True;
    CPy_DECREF(cpy_r_r3);
    if (unlikely(cpy_r_r4 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 400, CPyStatic_globals);
        goto CPyL49;
    }
    if (cpy_r_r4) goto CPyL4;
    cpy_r_r5 = cpy_r_r4;
    goto CPyL8;
CPyL4: ;
    cpy_r_r6 = CPyStatic_globals;
    cpy_r_r7 = CPyStatics[35]; /* 'is_case_variable' */
    cpy_r_r8 = CPyDict_GetItem(cpy_r_r6, cpy_r_r7);
    if (unlikely(cpy_r_r8 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 400, CPyStatic_globals);
        goto CPyL49;
    }
    PyObject *cpy_r_r9[1] = {cpy_r_character};
    cpy_r_r10 = (PyObject **)&cpy_r_r9;
    cpy_r_r11 = _PyObject_Vectorcall(cpy_r_r8, cpy_r_r10, 1, 0);
    CPy_DECREF(cpy_r_r8);
    if (unlikely(cpy_r_r11 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 400, CPyStatic_globals);
        goto CPyL49;
    }
    if (unlikely(!PyBool_Check(cpy_r_r11))) {
        CPy_TypeError("bool", cpy_r_r11); cpy_r_r12 = 2;
    } else
        cpy_r_r12 = cpy_r_r11 == Py_True;
    CPy_DECREF(cpy_r_r11);
    if (unlikely(cpy_r_r12 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 400, CPyStatic_globals);
        goto CPyL49;
    }
    cpy_r_r5 = cpy_r_r12;
CPyL8: ;
    cpy_r_is_concerned = cpy_r_r5;
    cpy_r_r13 = cpy_r_is_concerned ? Py_True : Py_False;
    cpy_r_r14 = 0 ? Py_True : Py_False;
    cpy_r_r15 = cpy_r_r13 == cpy_r_r14;
    cpy_r_chunk_sep = cpy_r_r15;
    if (!cpy_r_chunk_sep) goto CPyL23;
    cpy_r_r16 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep;
    cpy_r_r17 = cpy_r_r16 & 1;
    cpy_r_r18 = cpy_r_r17 != 0;
    if (cpy_r_r18) goto CPyL11;
    cpy_r_r19 = 0 & 1;
    cpy_r_r20 = cpy_r_r19 != 0;
    if (!cpy_r_r20) goto CPyL12;
CPyL11: ;
    cpy_r_r21 = CPyTagged_IsLt_(0, cpy_r_r16);
    if (cpy_r_r21) {
        goto CPyL13;
    } else
        goto CPyL23;
CPyL12: ;
    cpy_r_r22 = (Py_ssize_t)cpy_r_r16 > (Py_ssize_t)0;
    if (!cpy_r_r22) goto CPyL23;
CPyL13: ;
    cpy_r_r23 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep;
    cpy_r_r24 = cpy_r_r23 & 1;
    cpy_r_r25 = cpy_r_r24 != 0;
    if (cpy_r_r25) goto CPyL15;
    cpy_r_r26 = 128 & 1;
    cpy_r_r27 = cpy_r_r26 != 0;
    if (!cpy_r_r27) goto CPyL16;
CPyL15: ;
    cpy_r_r28 = CPyTagged_IsLt_(128, cpy_r_r23);
    cpy_r_r29 = cpy_r_r28 ^ 1;
    if (cpy_r_r29) {
        goto CPyL17;
    } else
        goto CPyL22;
CPyL16: ;
    cpy_r_r30 = (Py_ssize_t)cpy_r_r23 <= (Py_ssize_t)128;
    if (!cpy_r_r30) goto CPyL22;
CPyL17: ;
    cpy_r_r31 = CPyStatics[7]; /* 'isdigit' */
    PyObject *cpy_r_r32[1] = {cpy_r_character};
    cpy_r_r33 = (PyObject **)&cpy_r_r32;
    cpy_r_r34 = PyObject_VectorcallMethod(cpy_r_r31, cpy_r_r33, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r34 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 406, CPyStatic_globals);
        goto CPyL49;
    }
    if (unlikely(!PyBool_Check(cpy_r_r34))) {
        CPy_TypeError("bool", cpy_r_r34); cpy_r_r35 = 2;
    } else
        cpy_r_r35 = cpy_r_r34 == Py_True;
    CPy_DECREF(cpy_r_r34);
    if (unlikely(cpy_r_r35 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 406, CPyStatic_globals);
        goto CPyL49;
    }
    cpy_r_r36 = cpy_r_r35 ? Py_True : Py_False;
    cpy_r_r37 = 0 ? Py_True : Py_False;
    cpy_r_r38 = cpy_r_r36 == cpy_r_r37;
    if (!cpy_r_r38) goto CPyL22;
    cpy_r_r39 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__current_ascii_only;
    cpy_r_r40 = cpy_r_r39 ? Py_True : Py_False;
    cpy_r_r41 = 0 ? Py_True : Py_False;
    cpy_r_r42 = cpy_r_r40 == cpy_r_r41;
    if (!cpy_r_r42) goto CPyL22;
    cpy_r_r43 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count_final;
    cpy_r_r44 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count;
    cpy_r_r45 = CPyTagged_Add(cpy_r_r43, cpy_r_r44);
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count_final);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count_final = cpy_r_r45;
CPyL22: ;
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep = 0;
    cpy_r_r49 = Py_None;
    CPy_INCREF(cpy_r_r49);
    CPy_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen = cpy_r_r49;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__buf = 0;
    cpy_r_r52 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r53 = CPyTagged_Add(cpy_r_r52, 2);
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count = cpy_r_r53;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__current_ascii_only = 1;
    return 1;
CPyL23: ;
    cpy_r_r56 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__current_ascii_only;
    cpy_r_r57 = cpy_r_r56 ? Py_True : Py_False;
    cpy_r_r58 = 1 ? Py_True : Py_False;
    cpy_r_r59 = cpy_r_r57 == cpy_r_r58;
    if (!cpy_r_r59) goto CPyL29;
    cpy_r_r60 = CPyStatic_globals;
    cpy_r_r61 = CPyStatics[36]; /* 'is_ascii' */
    cpy_r_r62 = CPyDict_GetItem(cpy_r_r60, cpy_r_r61);
    if (unlikely(cpy_r_r62 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 422, CPyStatic_globals);
        goto CPyL49;
    }
    PyObject *cpy_r_r63[1] = {cpy_r_character};
    cpy_r_r64 = (PyObject **)&cpy_r_r63;
    cpy_r_r65 = _PyObject_Vectorcall(cpy_r_r62, cpy_r_r64, 1, 0);
    CPy_DECREF(cpy_r_r62);
    if (unlikely(cpy_r_r65 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 422, CPyStatic_globals);
        goto CPyL49;
    }
    if (unlikely(!PyBool_Check(cpy_r_r65))) {
        CPy_TypeError("bool", cpy_r_r65); cpy_r_r66 = 2;
    } else
        cpy_r_r66 = cpy_r_r65 == Py_True;
    CPy_DECREF(cpy_r_r65);
    if (unlikely(cpy_r_r66 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 422, CPyStatic_globals);
        goto CPyL49;
    }
    cpy_r_r67 = cpy_r_r66 ? Py_True : Py_False;
    cpy_r_r68 = 0 ? Py_True : Py_False;
    cpy_r_r69 = cpy_r_r67 == cpy_r_r68;
    if (!cpy_r_r69) goto CPyL29;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__current_ascii_only = 0;
CPyL29: ;
    cpy_r_r71 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen;
    cpy_r_r72 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r73 = cpy_r_r71 != cpy_r_r72;
    if (!cpy_r_r73) goto CPyL48;
    cpy_r_r74 = CPyStatics[14]; /* 'isupper' */
    PyObject *cpy_r_r75[1] = {cpy_r_character};
    cpy_r_r76 = (PyObject **)&cpy_r_r75;
    cpy_r_r77 = PyObject_VectorcallMethod(cpy_r_r74, cpy_r_r76, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r77 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 426, CPyStatic_globals);
        goto CPyL49;
    }
    if (unlikely(!PyBool_Check(cpy_r_r77))) {
        CPy_TypeError("bool", cpy_r_r77); cpy_r_r78 = 2;
    } else
        cpy_r_r78 = cpy_r_r77 == Py_True;
    CPy_DECREF(cpy_r_r77);
    if (unlikely(cpy_r_r78 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 426, CPyStatic_globals);
        goto CPyL49;
    }
    if (!cpy_r_r78) goto CPyL37;
    cpy_r_r79 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen;
    CPy_INCREF(cpy_r_r79);
    if (likely(cpy_r_r79 != Py_None))
        cpy_r_r80 = cpy_r_r79;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 426, CPyStatic_globals, "str", cpy_r_r79);
        goto CPyL49;
    }
    cpy_r_r81 = CPyStatics[37]; /* 'islower' */
    PyObject *cpy_r_r82[1] = {cpy_r_r80};
    cpy_r_r83 = (PyObject **)&cpy_r_r82;
    cpy_r_r84 = PyObject_VectorcallMethod(cpy_r_r81, cpy_r_r83, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r84 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 426, CPyStatic_globals);
        goto CPyL50;
    }
    CPy_DECREF(cpy_r_r80);
    if (unlikely(!PyBool_Check(cpy_r_r84))) {
        CPy_TypeError("bool", cpy_r_r84); cpy_r_r85 = 2;
    } else
        cpy_r_r85 = cpy_r_r84 == Py_True;
    CPy_DECREF(cpy_r_r84);
    if (unlikely(cpy_r_r85 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 426, CPyStatic_globals);
        goto CPyL49;
    }
    if (cpy_r_r85) goto CPyL44;
CPyL37: ;
    cpy_r_r86 = CPyStatics[37]; /* 'islower' */
    PyObject *cpy_r_r87[1] = {cpy_r_character};
    cpy_r_r88 = (PyObject **)&cpy_r_r87;
    cpy_r_r89 = PyObject_VectorcallMethod(cpy_r_r86, cpy_r_r88, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r89 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 427, CPyStatic_globals);
        goto CPyL49;
    }
    if (unlikely(!PyBool_Check(cpy_r_r89))) {
        CPy_TypeError("bool", cpy_r_r89); cpy_r_r90 = 2;
    } else
        cpy_r_r90 = cpy_r_r89 == Py_True;
    CPy_DECREF(cpy_r_r89);
    if (unlikely(cpy_r_r90 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 427, CPyStatic_globals);
        goto CPyL49;
    }
    if (!cpy_r_r90) goto CPyL47;
    cpy_r_r91 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen;
    CPy_INCREF(cpy_r_r91);
    if (likely(cpy_r_r91 != Py_None))
        cpy_r_r92 = cpy_r_r91;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "feed", 427, CPyStatic_globals, "str", cpy_r_r91);
        goto CPyL49;
    }
    cpy_r_r93 = CPyStatics[14]; /* 'isupper' */
    PyObject *cpy_r_r94[1] = {cpy_r_r92};
    cpy_r_r95 = (PyObject **)&cpy_r_r94;
    cpy_r_r96 = PyObject_VectorcallMethod(cpy_r_r93, cpy_r_r95, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r96 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 427, CPyStatic_globals);
        goto CPyL51;
    }
    CPy_DECREF(cpy_r_r92);
    if (unlikely(!PyBool_Check(cpy_r_r96))) {
        CPy_TypeError("bool", cpy_r_r96); cpy_r_r97 = 2;
    } else
        cpy_r_r97 = cpy_r_r96 == Py_True;
    CPy_DECREF(cpy_r_r96);
    if (unlikely(cpy_r_r97 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "feed", 427, CPyStatic_globals);
        goto CPyL49;
    }
    if (!cpy_r_r97) goto CPyL47;
CPyL44: ;
    cpy_r_r98 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__buf;
    cpy_r_r99 = cpy_r_r98 ? Py_True : Py_False;
    cpy_r_r100 = 1 ? Py_True : Py_False;
    cpy_r_r101 = cpy_r_r99 == cpy_r_r100;
    if (!cpy_r_r101) goto CPyL46;
    cpy_r_r102 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count;
    cpy_r_r103 = CPyTagged_Add(cpy_r_r102, 4);
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count = cpy_r_r103;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__buf = 0;
    goto CPyL48;
CPyL46: ;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__buf = 1;
    goto CPyL48;
CPyL47: ;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__buf = 0;
CPyL48: ;
    cpy_r_r108 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r109 = CPyTagged_Add(cpy_r_r108, 2);
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count = cpy_r_r109;
    cpy_r_r111 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep;
    cpy_r_r112 = CPyTagged_Add(cpy_r_r111, 2);
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep = cpy_r_r112;
    CPy_INCREF(cpy_r_character);
    CPy_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen = cpy_r_character;
    return 1;
CPyL49: ;
    cpy_r_r115 = 2;
    return cpy_r_r115;
CPyL50: ;
    CPy_DecRef(cpy_r_r80);
    goto CPyL49;
CPyL51: ;
    CPy_DecRef(cpy_r_r92);
    goto CPyL49;
}

PyObject *CPyPy_ArchaicUpperLowerPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"character", 0};
    static CPyArg_Parser parser = {"O:feed", kwlist, 0};
    PyObject *obj_character;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_character)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_ArchaicUpperLowerPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.ArchaicUpperLowerPlugin", obj_self); 
        goto fail;
    }
    PyObject *arg_character;
    if (likely(PyUnicode_Check(obj_character)))
        arg_character = obj_character;
    else {
        CPy_TypeError("str", obj_character); 
        goto fail;
    }
    char retval = CPyDef_ArchaicUpperLowerPlugin___feed(arg_self, arg_character);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "feed", 399, CPyStatic_globals);
    return NULL;
}

char CPyDef_ArchaicUpperLowerPlugin___reset(PyObject *cpy_r_self) {
    char cpy_r_r0;
    char cpy_r_r1;
    char cpy_r_r2;
    char cpy_r_r3;
    PyObject *cpy_r_r4;
    char cpy_r_r5;
    char cpy_r_r6;
    char cpy_r_r7;
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count_since_last_sep = 0;
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count = 0;
    CPyTagged_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count_final);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count_final = 0;
    cpy_r_r4 = Py_None;
    CPy_INCREF(cpy_r_r4);
    CPy_DECREF(((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen);
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__last_alpha_seen = cpy_r_r4;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__buf = 0;
    ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__current_ascii_only = 1;
    return 1;
}

PyObject *CPyPy_ArchaicUpperLowerPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":reset", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_ArchaicUpperLowerPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.ArchaicUpperLowerPlugin", obj_self); 
        goto fail;
    }
    char retval = CPyDef_ArchaicUpperLowerPlugin___reset(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "reset", 441, CPyStatic_globals);
    return NULL;
}

double CPyDef_ArchaicUpperLowerPlugin___ratio(PyObject *cpy_r_self) {
    CPyTagged cpy_r_r0;
    char cpy_r_r1;
    CPyTagged cpy_r_r2;
    CPyTagged cpy_r_r3;
    double cpy_r_r4;
    char cpy_r_r5;
    PyObject *cpy_r_r6;
    double cpy_r_r7;
    cpy_r_r0 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count;
    cpy_r_r1 = cpy_r_r0 == 0;
    if (!cpy_r_r1) goto CPyL2;
    return 0.0;
CPyL2: ;
    cpy_r_r2 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__successive_upper_lower_count_final;
    CPyTagged_INCREF(cpy_r_r2);
    cpy_r_r3 = ((charset_normalizer___md___ArchaicUpperLowerPluginObject *)cpy_r_self)->__character_count;
    CPyTagged_INCREF(cpy_r_r3);
    cpy_r_r4 = CPyTagged_TrueDivide(cpy_r_r2, cpy_r_r3);
    CPyTagged_DECREF(cpy_r_r2);
    CPyTagged_DECREF(cpy_r_r3);
    cpy_r_r5 = cpy_r_r4 == -113.0;
    if (unlikely(cpy_r_r5)) goto CPyL4;
CPyL3: ;
    return cpy_r_r4;
CPyL4: ;
    cpy_r_r6 = PyErr_Occurred();
    if (unlikely(cpy_r_r6 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "ratio", 455, CPyStatic_globals);
    } else
        goto CPyL3;
    cpy_r_r7 = -113.0;
    return cpy_r_r7;
}

PyObject *CPyPy_ArchaicUpperLowerPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":ratio", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_ArchaicUpperLowerPlugin))
        arg_self = obj_self;
    else {
        CPy_TypeError("charset_normalizer.md.ArchaicUpperLowerPlugin", obj_self); 
        goto fail;
    }
    double retval = CPyDef_ArchaicUpperLowerPlugin___ratio(arg_self);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "ratio", 451, CPyStatic_globals);
    return NULL;
}

char CPyDef_is_suspiciously_successive_range(PyObject *cpy_r_unicode_range_a, PyObject *cpy_r_unicode_range_b) {
    PyObject *cpy_r_r0;
    char cpy_r_r1;
    PyObject *cpy_r_r2;
    char cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject *cpy_r_r5;
    int32_t cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
    char cpy_r_r9;
    char cpy_r_r10;
    char cpy_r_r11;
    PyObject *cpy_r_r12;
    PyObject *cpy_r_r13;
    int32_t cpy_r_r14;
    char cpy_r_r15;
    char cpy_r_r16;
    PyObject *cpy_r_r17;
    PyObject *cpy_r_r18;
    int32_t cpy_r_r19;
    char cpy_r_r20;
    char cpy_r_r21;
    PyObject *cpy_r_r22;
    PyObject *cpy_r_r23;
    int32_t cpy_r_r24;
    char cpy_r_r25;
    char cpy_r_r26;
    PyObject *cpy_r_r27;
    PyObject *cpy_r_r28;
    int32_t cpy_r_r29;
    char cpy_r_r30;
    char cpy_r_r31;
    PyObject *cpy_r_r32;
    PyObject *cpy_r_r33;
    int32_t cpy_r_r34;
    char cpy_r_r35;
    char cpy_r_r36;
    PyObject *cpy_r_r37;
    PyObject *cpy_r_r38;
    int32_t cpy_r_r39;
    char cpy_r_r40;
    char cpy_r_r41;
    PyObject *cpy_r_r42;
    PyObject *cpy_r_r43;
    int32_t cpy_r_r44;
    char cpy_r_r45;
    char cpy_r_r46;
    PyObject *cpy_r_r47;
    PyObject *cpy_r_r48;
    int32_t cpy_r_r49;
    char cpy_r_r50;
    char cpy_r_r51;
    PyObject *cpy_r_r52;
    PyObject *cpy_r_r53;
    PyObject *cpy_r_r54;
    PyObject *cpy_r_r55;
    PyObject *cpy_r_r56;
    PyObject *cpy_r_r57;
    CPyTagged cpy_r_r58;
    CPyPtr cpy_r_r59;
    int64_t cpy_r_r60;
    CPyTagged cpy_r_r61;
    char cpy_r_r62;
    PyObject *cpy_r_r63;
    PyObject *cpy_r_r64;
    PyObject *cpy_r_r65;
    PyObject *cpy_r_r66;
    PyObject *cpy_r_r67;
    PyObject *cpy_r_r68;
    int32_t cpy_r_r69;
    char cpy_r_r70;
    char cpy_r_r71;
    int32_t cpy_r_r72;
    char cpy_r_r73;
    char cpy_r_r74;
    CPyTagged cpy_r_r75;
    PyObject *cpy_r_r76;
    PyObject *cpy_r_r77;
    int32_t cpy_r_r78;
    char cpy_r_r79;
    PyObject *cpy_r_r80;
    char cpy_r_r81;
    char cpy_r_r82;
    char cpy_r_r83;
    char cpy_r_r84;
    PyObject *cpy_r_r85;
    PyObject *cpy_r_r86;
    int32_t cpy_r_r87;
    char cpy_r_r88;
    PyObject *cpy_r_r89;
    char cpy_r_r90;
    char cpy_r_r91;
    char cpy_r_r92;
    char cpy_r_r93;
    PyObject *cpy_r_r94;
    PyObject *cpy_r_r95;
    int32_t cpy_r_r96;
    char cpy_r_r97;
    PyObject *cpy_r_r98;
    char cpy_r_r99;
    char cpy_r_r100;
    char cpy_r_r101;
    char cpy_r_r102;
    PyObject *cpy_r_r103;
    PyObject *cpy_r_r104;
    int32_t cpy_r_r105;
    char cpy_r_r106;
    PyObject *cpy_r_r107;
    char cpy_r_r108;
    char cpy_r_r109;
    char cpy_r_r110;
    char cpy_r_r111;
    PyObject *cpy_r_r112;
    PyObject *cpy_r_r113;
    int32_t cpy_r_r114;
    char cpy_r_r115;
    char cpy_r_r116;
    PyObject *cpy_r_r117;
    PyObject *cpy_r_r118;
    int32_t cpy_r_r119;
    char cpy_r_r120;
    char cpy_r_r121;
    PyObject *cpy_r_r122;
    PyObject *cpy_r_r123;
    int32_t cpy_r_r124;
    char cpy_r_r125;
    char cpy_r_r126;
    PyObject *cpy_r_r127;
    PyObject *cpy_r_r128;
    int32_t cpy_r_r129;
    char cpy_r_r130;
    char cpy_r_r131;
    PyObject *cpy_r_r132;
    PyObject *cpy_r_r133;
    int32_t cpy_r_r134;
    char cpy_r_r135;
    char cpy_r_r136;
    PyObject *cpy_r_r137;
    PyObject *cpy_r_r138;
    int32_t cpy_r_r139;
    char cpy_r_r140;
    char cpy_r_r141;
    PyObject *cpy_r_r142;
    PyObject *cpy_r_r143;
    int32_t cpy_r_r144;
    char cpy_r_r145;
    PyObject *cpy_r_r146;
    char cpy_r_r147;
    char cpy_r_r148;
    char cpy_r_r149;
    PyObject *cpy_r_r150;
    PyObject *cpy_r_r151;
    int32_t cpy_r_r152;
    char cpy_r_r153;
    PyObject *cpy_r_r154;
    char cpy_r_r155;
    char cpy_r_r156;
    char cpy_r_r157;
    PyObject *cpy_r_r158;
    PyObject *cpy_r_r159;
    int32_t cpy_r_r160;
    char cpy_r_r161;
    char cpy_r_r162;
    PyObject *cpy_r_r163;
    PyObject *cpy_r_r164;
    int32_t cpy_r_r165;
    char cpy_r_r166;
    char cpy_r_r167;
    PyObject *cpy_r_r168;
    PyObject *cpy_r_r169;
    int32_t cpy_r_r170;
    char cpy_r_r171;
    PyObject *cpy_r_r172;
    char cpy_r_r173;
    char cpy_r_r174;
    char cpy_r_r175;
    PyObject *cpy_r_r176;
    PyObject *cpy_r_r177;
    int32_t cpy_r_r178;
    char cpy_r_r179;
    PyObject *cpy_r_r180;
    char cpy_r_r181;
    char cpy_r_r182;
    char cpy_r_r183;
    PyObject *cpy_r_r184;
    PyObject *cpy_r_r185;
    int32_t cpy_r_r186;
    char cpy_r_r187;
    PyObject *cpy_r_r188;
    char cpy_r_r189;
    char cpy_r_r190;
    char cpy_r_r191;
    PyObject *cpy_r_r192;
    PyObject *cpy_r_r193;
    int32_t cpy_r_r194;
    char cpy_r_r195;
    PyObject *cpy_r_r196;
    char cpy_r_r197;
    char cpy_r_r198;
    char cpy_r_r199;
    PyObject *cpy_r_r200;
    PyObject *cpy_r_r201;
    int32_t cpy_r_r202;
    char cpy_r_r203;
    char cpy_r_r204;
    PyObject *cpy_r_r205;
    PyObject *cpy_r_r206;
    int32_t cpy_r_r207;
    char cpy_r_r208;
    char cpy_r_r209;
    PyObject *cpy_r_r210;
    PyObject *cpy_r_r211;
    int32_t cpy_r_r212;
    char cpy_r_r213;
    char cpy_r_r214;
    PyObject *cpy_r_r215;
    PyObject *cpy_r_r216;
    int32_t cpy_r_r217;
    char cpy_r_r218;
    char cpy_r_r219;
    char cpy_r_r220;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = cpy_r_unicode_range_a == cpy_r_r0;
    if (cpy_r_r1) goto CPyL2;
    cpy_r_r2 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r3 = cpy_r_unicode_range_b == cpy_r_r2;
    if (!cpy_r_r3) goto CPyL3;
CPyL2: ;
    return 1;
CPyL3: ;
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r4 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 468, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r5 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 468, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL154;
    }
    cpy_r_r6 = PyUnicode_Compare(cpy_r_r4, cpy_r_r5);
    CPy_DECREF(cpy_r_r4);
    CPy_DECREF(cpy_r_r5);
    cpy_r_r7 = cpy_r_r6 == -1;
    if (!cpy_r_r7) goto CPyL8;
    cpy_r_r8 = PyErr_Occurred();
    cpy_r_r9 = cpy_r_r8 != NULL;
    if (!cpy_r_r9) goto CPyL8;
    cpy_r_r10 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r10)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 468, CPyStatic_globals);
        goto CPyL153;
    }
CPyL8: ;
    cpy_r_r11 = cpy_r_r6 == 0;
    if (!cpy_r_r11) goto CPyL10;
    return 0;
CPyL10: ;
    cpy_r_r12 = CPyStatics[38]; /* 'Latin' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r13 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 471, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r14 = PySequence_Contains(cpy_r_r13, cpy_r_r12);
    CPy_DECREF(cpy_r_r13);
    cpy_r_r15 = cpy_r_r14 >= 0;
    if (unlikely(!cpy_r_r15)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 471, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r16 = cpy_r_r14;
    if (!cpy_r_r16) goto CPyL17;
    cpy_r_r17 = CPyStatics[38]; /* 'Latin' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r18 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 471, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r19 = PySequence_Contains(cpy_r_r18, cpy_r_r17);
    CPy_DECREF(cpy_r_r18);
    cpy_r_r20 = cpy_r_r19 >= 0;
    if (unlikely(!cpy_r_r20)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 471, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r21 = cpy_r_r19;
    if (!cpy_r_r21) goto CPyL17;
    return 0;
CPyL17: ;
    cpy_r_r22 = CPyStatics[39]; /* 'Emoticons' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r23 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 474, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r24 = PySequence_Contains(cpy_r_r23, cpy_r_r22);
    CPy_DECREF(cpy_r_r23);
    cpy_r_r25 = cpy_r_r24 >= 0;
    if (unlikely(!cpy_r_r25)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 474, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r26 = cpy_r_r24;
    if (cpy_r_r26) goto CPyL23;
    cpy_r_r27 = CPyStatics[39]; /* 'Emoticons' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r28 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 474, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r29 = PySequence_Contains(cpy_r_r28, cpy_r_r27);
    CPy_DECREF(cpy_r_r28);
    cpy_r_r30 = cpy_r_r29 >= 0;
    if (unlikely(!cpy_r_r30)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 474, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r31 = cpy_r_r29;
    if (!cpy_r_r31) goto CPyL24;
CPyL23: ;
    return 0;
CPyL24: ;
    cpy_r_r32 = CPyStatics[38]; /* 'Latin' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r33 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 479, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r34 = PySequence_Contains(cpy_r_r33, cpy_r_r32);
    CPy_DECREF(cpy_r_r33);
    cpy_r_r35 = cpy_r_r34 >= 0;
    if (unlikely(!cpy_r_r35)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 479, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r36 = cpy_r_r34;
    if (cpy_r_r36) goto CPyL30;
    cpy_r_r37 = CPyStatics[38]; /* 'Latin' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r38 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 479, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r39 = PySequence_Contains(cpy_r_r38, cpy_r_r37);
    CPy_DECREF(cpy_r_r38);
    cpy_r_r40 = cpy_r_r39 >= 0;
    if (unlikely(!cpy_r_r40)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 479, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r41 = cpy_r_r39;
    if (!cpy_r_r41) goto CPyL37;
CPyL30: ;
    cpy_r_r42 = CPyStatics[40]; /* 'Combining' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r43 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 480, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r44 = PySequence_Contains(cpy_r_r43, cpy_r_r42);
    CPy_DECREF(cpy_r_r43);
    cpy_r_r45 = cpy_r_r44 >= 0;
    if (unlikely(!cpy_r_r45)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 480, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r46 = cpy_r_r44;
    if (cpy_r_r46) goto CPyL36;
    cpy_r_r47 = CPyStatics[40]; /* 'Combining' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r48 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 480, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r49 = PySequence_Contains(cpy_r_r48, cpy_r_r47);
    CPy_DECREF(cpy_r_r48);
    cpy_r_r50 = cpy_r_r49 >= 0;
    if (unlikely(!cpy_r_r50)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 480, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r51 = cpy_r_r49;
    if (!cpy_r_r51) goto CPyL37;
CPyL36: ;
    return 0;
CPyL37: ;
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r52 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 484, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r53 = CPyStatics[41]; /* ' ' */
    cpy_r_r54 = PyUnicode_Split(cpy_r_r52, cpy_r_r53, -1);
    CPy_DECREF(cpy_r_r52);
    if (unlikely(cpy_r_r54 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 484, CPyStatic_globals);
        goto CPyL153;
    }
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r55 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 486, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL155;
    }
    cpy_r_r56 = CPyStatics[41]; /* ' ' */
    cpy_r_r57 = PyUnicode_Split(cpy_r_r55, cpy_r_r56, -1);
    CPy_DECREF(cpy_r_r55);
    if (unlikely(cpy_r_r57 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 486, CPyStatic_globals);
        goto CPyL155;
    }
    cpy_r_r58 = 0;
CPyL42: ;
    cpy_r_r59 = (CPyPtr)&((PyVarObject *)cpy_r_r54)->ob_size;
    cpy_r_r60 = *(int64_t *)cpy_r_r59;
    cpy_r_r61 = cpy_r_r60 << 1;
    cpy_r_r62 = (Py_ssize_t)cpy_r_r58 < (Py_ssize_t)cpy_r_r61;
    if (!cpy_r_r62) goto CPyL156;
    cpy_r_r63 = CPyList_GetItemUnsafe(cpy_r_r54, cpy_r_r58);
    if (likely(PyUnicode_Check(cpy_r_r63)))
        cpy_r_r64 = cpy_r_r63;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 488, CPyStatic_globals, "str", cpy_r_r63);
        goto CPyL157;
    }
    cpy_r_r65 = CPyStatic_globals;
    cpy_r_r66 = CPyStatics[42]; /* 'UNICODE_SECONDARY_RANGE_KEYWORD' */
    cpy_r_r67 = CPyDict_GetItem(cpy_r_r65, cpy_r_r66);
    if (unlikely(cpy_r_r67 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 489, CPyStatic_globals);
        goto CPyL158;
    }
    if (likely(PyList_Check(cpy_r_r67)))
        cpy_r_r68 = cpy_r_r67;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 489, CPyStatic_globals, "list", cpy_r_r67);
        goto CPyL158;
    }
    cpy_r_r69 = PySequence_Contains(cpy_r_r68, cpy_r_r64);
    CPy_DECREF(cpy_r_r68);
    cpy_r_r70 = cpy_r_r69 >= 0;
    if (unlikely(!cpy_r_r70)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 489, CPyStatic_globals);
        goto CPyL158;
    }
    cpy_r_r71 = cpy_r_r69;
    if (cpy_r_r71) goto CPyL159;
    cpy_r_r72 = PySequence_Contains(cpy_r_r57, cpy_r_r64);
    CPy_DECREF(cpy_r_r64);
    cpy_r_r73 = cpy_r_r72 >= 0;
    if (unlikely(!cpy_r_r73)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 491, CPyStatic_globals);
        goto CPyL157;
    }
    cpy_r_r74 = cpy_r_r72;
    if (cpy_r_r74) {
        goto CPyL160;
    } else
        goto CPyL51;
CPyL50: ;
    return 0;
CPyL51: ;
    cpy_r_r75 = cpy_r_r58 + 2;
    cpy_r_r58 = cpy_r_r75;
    goto CPyL42;
CPyL52: ;
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r76 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 496, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r77 = CPyStatics[43]; /* 'Hiragana' */
    cpy_r_r78 = PyUnicode_Compare(cpy_r_r76, cpy_r_r77);
    CPy_DECREF(cpy_r_r76);
    cpy_r_r79 = cpy_r_r78 == -1;
    if (!cpy_r_r79) goto CPyL56;
    cpy_r_r80 = PyErr_Occurred();
    cpy_r_r81 = cpy_r_r80 != NULL;
    if (!cpy_r_r81) goto CPyL56;
    cpy_r_r82 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r82)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", -1, CPyStatic_globals);
        goto CPyL153;
    }
CPyL56: ;
    cpy_r_r83 = cpy_r_r78 == 0;
    if (!cpy_r_r83) goto CPyL58;
    cpy_r_r84 = cpy_r_r83;
    goto CPyL63;
CPyL58: ;
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r85 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 496, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r86 = CPyStatics[44]; /* 'Katakana' */
    cpy_r_r87 = PyUnicode_Compare(cpy_r_r85, cpy_r_r86);
    CPy_DECREF(cpy_r_r85);
    cpy_r_r88 = cpy_r_r87 == -1;
    if (!cpy_r_r88) goto CPyL62;
    cpy_r_r89 = PyErr_Occurred();
    cpy_r_r90 = cpy_r_r89 != NULL;
    if (!cpy_r_r90) goto CPyL62;
    cpy_r_r91 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r91)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", -1, CPyStatic_globals);
        goto CPyL153;
    }
CPyL62: ;
    cpy_r_r92 = cpy_r_r87 == 0;
    cpy_r_r84 = cpy_r_r92;
CPyL63: ;
    cpy_r_r93 = cpy_r_r84;
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r94 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 501, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r95 = CPyStatics[43]; /* 'Hiragana' */
    cpy_r_r96 = PyUnicode_Compare(cpy_r_r94, cpy_r_r95);
    CPy_DECREF(cpy_r_r94);
    cpy_r_r97 = cpy_r_r96 == -1;
    if (!cpy_r_r97) goto CPyL67;
    cpy_r_r98 = PyErr_Occurred();
    cpy_r_r99 = cpy_r_r98 != NULL;
    if (!cpy_r_r99) goto CPyL67;
    cpy_r_r100 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r100)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", -1, CPyStatic_globals);
        goto CPyL153;
    }
CPyL67: ;
    cpy_r_r101 = cpy_r_r96 == 0;
    if (!cpy_r_r101) goto CPyL69;
    cpy_r_r102 = cpy_r_r101;
    goto CPyL74;
CPyL69: ;
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r103 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 501, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r104 = CPyStatics[44]; /* 'Katakana' */
    cpy_r_r105 = PyUnicode_Compare(cpy_r_r103, cpy_r_r104);
    CPy_DECREF(cpy_r_r103);
    cpy_r_r106 = cpy_r_r105 == -1;
    if (!cpy_r_r106) goto CPyL73;
    cpy_r_r107 = PyErr_Occurred();
    cpy_r_r108 = cpy_r_r107 != NULL;
    if (!cpy_r_r108) goto CPyL73;
    cpy_r_r109 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r109)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", -1, CPyStatic_globals);
        goto CPyL153;
    }
CPyL73: ;
    cpy_r_r110 = cpy_r_r105 == 0;
    cpy_r_r102 = cpy_r_r110;
CPyL74: ;
    cpy_r_r111 = cpy_r_r102;
    if (cpy_r_r93) goto CPyL76;
    if (!cpy_r_r111) goto CPyL83;
CPyL76: ;
    cpy_r_r112 = CPyStatics[45]; /* 'CJK' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r113 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 504, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r114 = PySequence_Contains(cpy_r_r113, cpy_r_r112);
    CPy_DECREF(cpy_r_r113);
    cpy_r_r115 = cpy_r_r114 >= 0;
    if (unlikely(!cpy_r_r115)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 504, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r116 = cpy_r_r114;
    if (cpy_r_r116) goto CPyL82;
    cpy_r_r117 = CPyStatics[45]; /* 'CJK' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r118 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 504, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r119 = PySequence_Contains(cpy_r_r118, cpy_r_r117);
    CPy_DECREF(cpy_r_r118);
    cpy_r_r120 = cpy_r_r119 >= 0;
    if (unlikely(!cpy_r_r120)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 504, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r121 = cpy_r_r119;
    if (!cpy_r_r121) goto CPyL83;
CPyL82: ;
    return 0;
CPyL83: ;
    if (!cpy_r_r93) goto CPyL86;
    if (!cpy_r_r111) goto CPyL86;
    return 0;
CPyL86: ;
    cpy_r_r122 = CPyStatics[46]; /* 'Hangul' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r123 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 510, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r124 = PySequence_Contains(cpy_r_r123, cpy_r_r122);
    CPy_DECREF(cpy_r_r123);
    cpy_r_r125 = cpy_r_r124 >= 0;
    if (unlikely(!cpy_r_r125)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 510, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r126 = cpy_r_r124;
    if (cpy_r_r126) goto CPyL92;
    cpy_r_r127 = CPyStatics[46]; /* 'Hangul' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r128 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 510, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r129 = PySequence_Contains(cpy_r_r128, cpy_r_r127);
    CPy_DECREF(cpy_r_r128);
    cpy_r_r130 = cpy_r_r129 >= 0;
    if (unlikely(!cpy_r_r130)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 510, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r131 = cpy_r_r129;
    if (!cpy_r_r131) goto CPyL110;
CPyL92: ;
    cpy_r_r132 = CPyStatics[45]; /* 'CJK' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r133 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 511, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r134 = PySequence_Contains(cpy_r_r133, cpy_r_r132);
    CPy_DECREF(cpy_r_r133);
    cpy_r_r135 = cpy_r_r134 >= 0;
    if (unlikely(!cpy_r_r135)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 511, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r136 = cpy_r_r134;
    if (cpy_r_r136) goto CPyL98;
    cpy_r_r137 = CPyStatics[45]; /* 'CJK' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r138 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 511, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r139 = PySequence_Contains(cpy_r_r138, cpy_r_r137);
    CPy_DECREF(cpy_r_r138);
    cpy_r_r140 = cpy_r_r139 >= 0;
    if (unlikely(!cpy_r_r140)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 511, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r141 = cpy_r_r139;
    if (!cpy_r_r141) goto CPyL99;
CPyL98: ;
    return 0;
CPyL99: ;
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r142 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 513, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r143 = CPyStatics[47]; /* 'Basic Latin' */
    cpy_r_r144 = PyUnicode_Compare(cpy_r_r142, cpy_r_r143);
    CPy_DECREF(cpy_r_r142);
    cpy_r_r145 = cpy_r_r144 == -1;
    if (!cpy_r_r145) goto CPyL103;
    cpy_r_r146 = PyErr_Occurred();
    cpy_r_r147 = cpy_r_r146 != NULL;
    if (!cpy_r_r147) goto CPyL103;
    cpy_r_r148 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r148)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 513, CPyStatic_globals);
        goto CPyL153;
    }
CPyL103: ;
    cpy_r_r149 = cpy_r_r144 == 0;
    if (cpy_r_r149) goto CPyL109;
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r150 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 513, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r151 = CPyStatics[47]; /* 'Basic Latin' */
    cpy_r_r152 = PyUnicode_Compare(cpy_r_r150, cpy_r_r151);
    CPy_DECREF(cpy_r_r150);
    cpy_r_r153 = cpy_r_r152 == -1;
    if (!cpy_r_r153) goto CPyL108;
    cpy_r_r154 = PyErr_Occurred();
    cpy_r_r155 = cpy_r_r154 != NULL;
    if (!cpy_r_r155) goto CPyL108;
    cpy_r_r156 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r156)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 513, CPyStatic_globals);
        goto CPyL153;
    }
CPyL108: ;
    cpy_r_r157 = cpy_r_r152 == 0;
    if (!cpy_r_r157) goto CPyL110;
CPyL109: ;
    return 0;
CPyL110: ;
    cpy_r_r158 = CPyStatics[45]; /* 'CJK' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r159 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 517, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r160 = PySequence_Contains(cpy_r_r159, cpy_r_r158);
    CPy_DECREF(cpy_r_r159);
    cpy_r_r161 = cpy_r_r160 >= 0;
    if (unlikely(!cpy_r_r161)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 517, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r162 = cpy_r_r160;
    if (cpy_r_r162) goto CPyL138;
    cpy_r_r163 = CPyStatics[45]; /* 'CJK' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r164 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 517, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r165 = PySequence_Contains(cpy_r_r164, cpy_r_r163);
    CPy_DECREF(cpy_r_r164);
    cpy_r_r166 = cpy_r_r165 >= 0;
    if (unlikely(!cpy_r_r166)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 517, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r167 = cpy_r_r165;
    if (cpy_r_r167) goto CPyL138;
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r168 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 518, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r169 = CPyStatics[44]; /* 'Katakana' */
    cpy_r_r170 = PyUnicode_Compare(cpy_r_r168, cpy_r_r169);
    CPy_DECREF(cpy_r_r168);
    cpy_r_r171 = cpy_r_r170 == -1;
    if (!cpy_r_r171) goto CPyL120;
    cpy_r_r172 = PyErr_Occurred();
    cpy_r_r173 = cpy_r_r172 != NULL;
    if (!cpy_r_r173) goto CPyL120;
    cpy_r_r174 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r174)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", -1, CPyStatic_globals);
        goto CPyL153;
    }
CPyL120: ;
    cpy_r_r175 = cpy_r_r170 == 0;
    if (!cpy_r_r175) goto CPyL122;
    if (cpy_r_r175) {
        goto CPyL127;
    } else
        goto CPyL152;
CPyL122: ;
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r176 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 518, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r177 = CPyStatics[43]; /* 'Hiragana' */
    cpy_r_r178 = PyUnicode_Compare(cpy_r_r176, cpy_r_r177);
    CPy_DECREF(cpy_r_r176);
    cpy_r_r179 = cpy_r_r178 == -1;
    if (!cpy_r_r179) goto CPyL126;
    cpy_r_r180 = PyErr_Occurred();
    cpy_r_r181 = cpy_r_r180 != NULL;
    if (!cpy_r_r181) goto CPyL126;
    cpy_r_r182 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r182)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", -1, CPyStatic_globals);
        goto CPyL153;
    }
CPyL126: ;
    cpy_r_r183 = cpy_r_r178 == 0;
    if (!cpy_r_r183) goto CPyL152;
CPyL127: ;
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r184 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 519, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r185 = CPyStatics[44]; /* 'Katakana' */
    cpy_r_r186 = PyUnicode_Compare(cpy_r_r184, cpy_r_r185);
    CPy_DECREF(cpy_r_r184);
    cpy_r_r187 = cpy_r_r186 == -1;
    if (!cpy_r_r187) goto CPyL131;
    cpy_r_r188 = PyErr_Occurred();
    cpy_r_r189 = cpy_r_r188 != NULL;
    if (!cpy_r_r189) goto CPyL131;
    cpy_r_r190 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r190)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", -1, CPyStatic_globals);
        goto CPyL153;
    }
CPyL131: ;
    cpy_r_r191 = cpy_r_r186 == 0;
    if (!cpy_r_r191) goto CPyL133;
    if (cpy_r_r191) {
        goto CPyL138;
    } else
        goto CPyL152;
CPyL133: ;
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r192 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 519, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r193 = CPyStatics[43]; /* 'Hiragana' */
    cpy_r_r194 = PyUnicode_Compare(cpy_r_r192, cpy_r_r193);
    CPy_DECREF(cpy_r_r192);
    cpy_r_r195 = cpy_r_r194 == -1;
    if (!cpy_r_r195) goto CPyL137;
    cpy_r_r196 = PyErr_Occurred();
    cpy_r_r197 = cpy_r_r196 != NULL;
    if (!cpy_r_r197) goto CPyL137;
    cpy_r_r198 = CPy_KeepPropagating();
    if (unlikely(!cpy_r_r198)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", -1, CPyStatic_globals);
        goto CPyL153;
    }
CPyL137: ;
    cpy_r_r199 = cpy_r_r194 == 0;
    if (!cpy_r_r199) goto CPyL152;
CPyL138: ;
    cpy_r_r200 = CPyStatics[48]; /* 'Punctuation' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r201 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 521, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r202 = PySequence_Contains(cpy_r_r201, cpy_r_r200);
    CPy_DECREF(cpy_r_r201);
    cpy_r_r203 = cpy_r_r202 >= 0;
    if (unlikely(!cpy_r_r203)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 521, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r204 = cpy_r_r202;
    if (cpy_r_r204) goto CPyL144;
    cpy_r_r205 = CPyStatics[48]; /* 'Punctuation' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r206 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 521, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r207 = PySequence_Contains(cpy_r_r206, cpy_r_r205);
    CPy_DECREF(cpy_r_r206);
    cpy_r_r208 = cpy_r_r207 >= 0;
    if (unlikely(!cpy_r_r208)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 521, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r209 = cpy_r_r207;
    if (!cpy_r_r209) goto CPyL145;
CPyL144: ;
    return 0;
CPyL145: ;
    cpy_r_r210 = CPyStatics[49]; /* 'Forms' */
    CPy_INCREF(cpy_r_unicode_range_a);
    if (likely(cpy_r_unicode_range_a != Py_None))
        cpy_r_r211 = cpy_r_unicode_range_a;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 523, CPyStatic_globals, "str", cpy_r_unicode_range_a);
        goto CPyL153;
    }
    cpy_r_r212 = PySequence_Contains(cpy_r_r211, cpy_r_r210);
    CPy_DECREF(cpy_r_r211);
    cpy_r_r213 = cpy_r_r212 >= 0;
    if (unlikely(!cpy_r_r213)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 523, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r214 = cpy_r_r212;
    if (cpy_r_r214) goto CPyL151;
    cpy_r_r215 = CPyStatics[49]; /* 'Forms' */
    CPy_INCREF(cpy_r_unicode_range_b);
    if (likely(cpy_r_unicode_range_b != Py_None))
        cpy_r_r216 = cpy_r_unicode_range_b;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 523, CPyStatic_globals, "str", cpy_r_unicode_range_b);
        goto CPyL153;
    }
    cpy_r_r217 = PySequence_Contains(cpy_r_r216, cpy_r_r215);
    CPy_DECREF(cpy_r_r216);
    cpy_r_r218 = cpy_r_r217 >= 0;
    if (unlikely(!cpy_r_r218)) {
        CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 523, CPyStatic_globals);
        goto CPyL153;
    }
    cpy_r_r219 = cpy_r_r217;
    if (!cpy_r_r219) goto CPyL152;
CPyL151: ;
    return 0;
CPyL152: ;
    return 1;
CPyL153: ;
    cpy_r_r220 = 2;
    return cpy_r_r220;
CPyL154: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL153;
CPyL155: ;
    CPy_DecRef(cpy_r_r54);
    goto CPyL153;
CPyL156: ;
    CPy_DECREF(cpy_r_r54);
    CPy_DECREF(cpy_r_r57);
    goto CPyL52;
CPyL157: ;
    CPy_DecRef(cpy_r_r54);
    CPy_DecRef(cpy_r_r57);
    goto CPyL153;
CPyL158: ;
    CPy_DecRef(cpy_r_r54);
    CPy_DecRef(cpy_r_r57);
    CPy_DecRef(cpy_r_r64);
    goto CPyL153;
CPyL159: ;
    CPy_DECREF(cpy_r_r64);
    goto CPyL51;
CPyL160: ;
    CPy_DECREF(cpy_r_r54);
    CPy_DECREF(cpy_r_r57);
    goto CPyL50;
}

PyObject *CPyPy_is_suspiciously_successive_range(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    static const char * const kwlist[] = {"unicode_range_a", "unicode_range_b", 0};
    static CPyArg_Parser parser = {"OO:is_suspiciously_successive_range", kwlist, 0};
    PyObject *obj_unicode_range_a;
    PyObject *obj_unicode_range_b;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_unicode_range_a, &obj_unicode_range_b)) {
        return NULL;
    }
    PyObject *arg_unicode_range_a;
    if (PyUnicode_Check(obj_unicode_range_a))
        arg_unicode_range_a = obj_unicode_range_a;
    else {
        arg_unicode_range_a = NULL;
    }
    if (arg_unicode_range_a != NULL) goto __LL7;
    if (obj_unicode_range_a == Py_None)
        arg_unicode_range_a = obj_unicode_range_a;
    else {
        arg_unicode_range_a = NULL;
    }
    if (arg_unicode_range_a != NULL) goto __LL7;
    CPy_TypeError("str or None", obj_unicode_range_a); 
    goto fail;
__LL7: ;
    PyObject *arg_unicode_range_b;
    if (PyUnicode_Check(obj_unicode_range_b))
        arg_unicode_range_b = obj_unicode_range_b;
    else {
        arg_unicode_range_b = NULL;
    }
    if (arg_unicode_range_b != NULL) goto __LL8;
    if (obj_unicode_range_b == Py_None)
        arg_unicode_range_b = obj_unicode_range_b;
    else {
        arg_unicode_range_b = NULL;
    }
    if (arg_unicode_range_b != NULL) goto __LL8;
    CPy_TypeError("str or None", obj_unicode_range_b); 
    goto fail;
__LL8: ;
    char retval = CPyDef_is_suspiciously_successive_range(arg_unicode_range_a, arg_unicode_range_b);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = retval ? Py_True : Py_False;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "is_suspiciously_successive_range", 459, CPyStatic_globals);
    return NULL;
}

double CPyDef_mess_ratio(PyObject *cpy_r_decoded_sequence, double cpy_r_maximum_threshold, char cpy_r_debug, uint32_t cpy_r___bitmap) {
    uint32_t cpy_r_r0;
    char cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject **cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    CPyPtr cpy_r_r8;
    int64_t cpy_r_r9;
    PyObject *cpy_r_r10;
    CPyTagged cpy_r_r11;
    CPyPtr cpy_r_r12;
    int64_t cpy_r_r13;
    CPyTagged cpy_r_r14;
    char cpy_r_r15;
    PyObject *cpy_r_r16;
    PyObject *cpy_r_r17;
    PyObject *cpy_r_r18;
    char cpy_r_r19;
    CPyTagged cpy_r_r20;
    int64_t cpy_r_r21;
    char cpy_r_r22;
    CPyTagged cpy_r_r23;
    CPyTagged cpy_r_r24;
    double cpy_r_mean_mess_ratio;
    int64_t cpy_r_r25;
    char cpy_r_r26;
    int64_t cpy_r_r27;
    char cpy_r_r28;
    char cpy_r_r29;
    char cpy_r_r30;
    CPyTagged cpy_r_intermediary_mean_mess_ratio_calc;
    int64_t cpy_r_r31;
    char cpy_r_r32;
    int64_t cpy_r_r33;
    char cpy_r_r34;
    char cpy_r_r35;
    char cpy_r_r36;
    char cpy_r_r37;
    PyObject *cpy_r_r38;
    PyObject *cpy_r_r39;
    CPyTagged cpy_r_r40;
    CPyTagged cpy_r_r41;
    CPyTagged cpy_r_index;
    int64_t cpy_r_r42;
    char cpy_r_r43;
    CPyTagged cpy_r_r44;
    char cpy_r_r45;
    int64_t cpy_r_r46;
    char cpy_r_r47;
    int64_t cpy_r_r48;
    char cpy_r_r49;
    char cpy_r_r50;
    char cpy_r_r51;
    PyObject *cpy_r_r52;
    CPyTagged cpy_r_r53;
    CPyPtr cpy_r_r54;
    int64_t cpy_r_r55;
    CPyTagged cpy_r_r56;
    char cpy_r_r57;
    PyObject *cpy_r_r58;
    PyObject *cpy_r_r59;
    char cpy_r_r60;
    char cpy_r_r61;
    CPyTagged cpy_r_r62;
    int64_t cpy_r_r63;
    char cpy_r_r64;
    int64_t cpy_r_r65;
    char cpy_r_r66;
    char cpy_r_r67;
    char cpy_r_r68;
    CPyTagged cpy_r_r69;
    char cpy_r_r70;
    CPyTagged cpy_r_r71;
    int64_t cpy_r_r72;
    char cpy_r_r73;
    char cpy_r_r74;
    char cpy_r_r75;
    char cpy_r_r76;
    PyObject *cpy_r_r77;
    PyObject *cpy_r_r78;
    PyObject *cpy_r_r79;
    CPyTagged cpy_r_r80;
    CPyPtr cpy_r_r81;
    int64_t cpy_r_r82;
    CPyTagged cpy_r_r83;
    char cpy_r_r84;
    PyObject *cpy_r_r85;
    PyObject *cpy_r_r86;
    double cpy_r_r87;
    char cpy_r_r88;
    PyObject *cpy_r_r89;
    PyObject *cpy_r_r90;
    PyObject *cpy_r_r91;
    PyObject *cpy_r_r92;
    CPyTagged cpy_r_r93;
    double cpy_r_r94;
    char cpy_r_r95;
    PyObject *cpy_r_r96;
    PyObject *cpy_r_r97;
    PyObject *cpy_r_r98;
    PyObject *cpy_r_r99;
    char cpy_r_r100;
    CPyTagged cpy_r_r101;
    CPyTagged cpy_r_r102;
    PyObject *cpy_r_r103;
    PyObject *cpy_r_r104;
    PyObject *cpy_r_r105;
    PyObject *cpy_r_r106;
    PyObject **cpy_r_r108;
    PyObject *cpy_r_r109;
    PyObject *cpy_r_r110;
    PyObject *cpy_r_r111;
    PyObject *cpy_r_r112;
    CPyTagged cpy_r_r113;
    PyObject *cpy_r_r114;
    PyObject *cpy_r_r115;
    PyObject *cpy_r_r116;
    PyObject *cpy_r_r117;
    PyObject *cpy_r_r118;
    PyObject *cpy_r_r119;
    PyObject *cpy_r_r120;
    PyObject *cpy_r_r121;
    PyObject *cpy_r_r122;
    PyObject *cpy_r_r123;
    PyObject *cpy_r_r124;
    PyObject **cpy_r_r126;
    PyObject *cpy_r_r127;
    int64_t cpy_r_r128;
    char cpy_r_r129;
    CPyTagged cpy_r_r130;
    char cpy_r_r131;
    PyObject *cpy_r_r132;
    PyObject *cpy_r_r133;
    PyObject *cpy_r_r134;
    CPyTagged cpy_r_r135;
    PyObject *cpy_r_r136;
    PyObject *cpy_r_r137;
    PyObject *cpy_r_r138;
    PyObject *cpy_r_r139;
    PyObject *cpy_r_r140;
    PyObject *cpy_r_r141;
    PyObject **cpy_r_r143;
    PyObject *cpy_r_r144;
    PyObject *cpy_r_r145;
    PyObject *cpy_r_r146;
    PyObject *cpy_r_r147;
    CPyTagged cpy_r_r148;
    PyObject *cpy_r_r149;
    PyObject *cpy_r_r150;
    PyObject *cpy_r_r151;
    PyObject *cpy_r_r152;
    PyObject *cpy_r_r153;
    PyObject *cpy_r_r154;
    PyObject **cpy_r_r156;
    PyObject *cpy_r_r157;
    CPyTagged cpy_r_r158;
    CPyPtr cpy_r_r159;
    int64_t cpy_r_r160;
    CPyTagged cpy_r_r161;
    char cpy_r_r162;
    PyObject *cpy_r_r163;
    PyObject *cpy_r_r164;
    PyObject *cpy_r_r165;
    PyObject *cpy_r_r166;
    PyObject *cpy_r_r167;
    CPyTagged cpy_r_r168;
    PyObject *cpy_r_r169;
    PyObject *cpy_r_r170;
    PyObject *cpy_r_r171;
    PyObject *cpy_r_r172;
    double cpy_r_r173;
    char cpy_r_r174;
    PyObject *cpy_r_r175;
    PyObject *cpy_r_r176;
    PyObject *cpy_r_r177;
    PyObject *cpy_r_r178;
    PyObject *cpy_r_r179;
    PyObject *cpy_r_r180;
    PyObject **cpy_r_r182;
    PyObject *cpy_r_r183;
    CPyTagged cpy_r_r184;
    PyObject *cpy_r_r185;
    PyObject *cpy_r_r186;
    PyObject *cpy_r_r187;
    PyObject *cpy_r_r188;
    PyObject *cpy_r_r189;
    PyObject **cpy_r_r191;
    PyObject *cpy_r_r192;
    double cpy_r_r193;
    char cpy_r_r194;
    PyObject *cpy_r_r195;
    double cpy_r_r196;
    cpy_r_r0 = cpy_r___bitmap & 1;
    cpy_r_r1 = cpy_r_r0 == 0;
    if (!cpy_r_r1) goto CPyL2;
    cpy_r_maximum_threshold = 0.2;
CPyL2: ;
    if (cpy_r_debug != 2) goto CPyL4;
    cpy_r_debug = 0;
CPyL4: ;
    cpy_r_r2 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r3 = CPyStatics[50]; /* '__subclasses__' */
    PyObject *cpy_r_r4[1] = {cpy_r_r2};
    cpy_r_r5 = (PyObject **)&cpy_r_r4;
    cpy_r_r6 = PyObject_VectorcallMethod(cpy_r_r3, cpy_r_r5, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r6 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 538, CPyStatic_globals);
        goto CPyL111;
    }
    if (likely(PyList_Check(cpy_r_r6)))
        cpy_r_r7 = cpy_r_r6;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", 538, CPyStatic_globals, "list", cpy_r_r6);
        goto CPyL111;
    }
    cpy_r_r8 = (CPyPtr)&((PyVarObject *)cpy_r_r7)->ob_size;
    cpy_r_r9 = *(int64_t *)cpy_r_r8;
    cpy_r_r10 = PyList_New(cpy_r_r9);
    if (unlikely(cpy_r_r10 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 537, CPyStatic_globals);
        goto CPyL112;
    }
    cpy_r_r11 = 0;
CPyL8: ;
    cpy_r_r12 = (CPyPtr)&((PyVarObject *)cpy_r_r7)->ob_size;
    cpy_r_r13 = *(int64_t *)cpy_r_r12;
    cpy_r_r14 = cpy_r_r13 << 1;
    cpy_r_r15 = (Py_ssize_t)cpy_r_r11 < (Py_ssize_t)cpy_r_r14;
    if (!cpy_r_r15) goto CPyL113;
    cpy_r_r16 = CPyList_GetItemUnsafe(cpy_r_r7, cpy_r_r11);
    cpy_r_r17 = _PyObject_Vectorcall(cpy_r_r16, 0, 0, 0);
    CPy_DECREF(cpy_r_r16);
    if (unlikely(cpy_r_r17 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 538, CPyStatic_globals);
        goto CPyL114;
    }
    if (likely(PyObject_TypeCheck(cpy_r_r17, CPyType_MessDetectorPlugin)))
        cpy_r_r18 = cpy_r_r17;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", 538, CPyStatic_globals, "charset_normalizer.md.MessDetectorPlugin", cpy_r_r17);
        goto CPyL114;
    }
    cpy_r_r19 = CPyList_SetItemUnsafe(cpy_r_r10, cpy_r_r11, cpy_r_r18);
    if (unlikely(!cpy_r_r19)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 537, CPyStatic_globals);
        goto CPyL114;
    }
    cpy_r_r20 = cpy_r_r11 + 2;
    cpy_r_r11 = cpy_r_r20;
    goto CPyL8;
CPyL13: ;
    cpy_r_r21 = CPyStr_Size_size_t(cpy_r_decoded_sequence);
    cpy_r_r22 = cpy_r_r21 >= 0;
    if (unlikely(!cpy_r_r22)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 541, CPyStatic_globals);
        goto CPyL115;
    }
    cpy_r_r23 = cpy_r_r21 << 1;
    cpy_r_r24 = CPyTagged_Add(cpy_r_r23, 2);
    cpy_r_mean_mess_ratio = 0.0;
    cpy_r_r25 = cpy_r_r24 & 1;
    cpy_r_r26 = cpy_r_r25 != 0;
    if (cpy_r_r26) goto CPyL16;
    cpy_r_r27 = 1024 & 1;
    cpy_r_r28 = cpy_r_r27 != 0;
    if (!cpy_r_r28) goto CPyL17;
CPyL16: ;
    cpy_r_r29 = CPyTagged_IsLt_(cpy_r_r24, 1024);
    if (cpy_r_r29) {
        goto CPyL18;
    } else
        goto CPyL19;
CPyL17: ;
    cpy_r_r30 = (Py_ssize_t)cpy_r_r24 < (Py_ssize_t)1024;
    if (!cpy_r_r30) goto CPyL19;
CPyL18: ;
    cpy_r_intermediary_mean_mess_ratio_calc = 64;
    goto CPyL25;
CPyL19: ;
    cpy_r_r31 = cpy_r_r24 & 1;
    cpy_r_r32 = cpy_r_r31 != 0;
    if (cpy_r_r32) goto CPyL21;
    cpy_r_r33 = 2048 & 1;
    cpy_r_r34 = cpy_r_r33 != 0;
    if (!cpy_r_r34) goto CPyL22;
CPyL21: ;
    cpy_r_r35 = CPyTagged_IsLt_(2048, cpy_r_r24);
    cpy_r_r36 = cpy_r_r35 ^ 1;
    if (cpy_r_r36) {
        goto CPyL23;
    } else
        goto CPyL24;
CPyL22: ;
    cpy_r_r37 = (Py_ssize_t)cpy_r_r24 <= (Py_ssize_t)2048;
    if (!cpy_r_r37) goto CPyL24;
CPyL23: ;
    cpy_r_intermediary_mean_mess_ratio_calc = 128;
    goto CPyL25;
CPyL24: ;
    cpy_r_intermediary_mean_mess_ratio_calc = 256;
CPyL25: ;
    cpy_r_r38 = CPyStatics[51]; /* '\n' */
    cpy_r_r39 = PyUnicode_Concat(cpy_r_decoded_sequence, cpy_r_r38);
    if (unlikely(cpy_r_r39 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 552, CPyStatic_globals);
        goto CPyL116;
    }
    cpy_r_r40 = 0;
    cpy_r_r41 = 0;
    CPyTagged_INCREF(cpy_r_r41);
    cpy_r_index = cpy_r_r41;
CPyL27: ;
    cpy_r_r42 = CPyStr_Size_size_t(cpy_r_r39);
    cpy_r_r43 = cpy_r_r42 >= 0;
    if (unlikely(!cpy_r_r43)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 552, CPyStatic_globals);
        goto CPyL117;
    }
    cpy_r_r44 = cpy_r_r42 << 1;
    cpy_r_r45 = (Py_ssize_t)cpy_r_r40 < (Py_ssize_t)cpy_r_r44;
    if (!cpy_r_r45) goto CPyL118;
    cpy_r_r46 = cpy_r_r41 & 1;
    cpy_r_r47 = cpy_r_r46 != 0;
    if (cpy_r_r47) goto CPyL31;
    cpy_r_r48 = cpy_r_r24 & 1;
    cpy_r_r49 = cpy_r_r48 != 0;
    if (!cpy_r_r49) goto CPyL32;
CPyL31: ;
    cpy_r_r50 = CPyTagged_IsLt_(cpy_r_r41, cpy_r_r24);
    if (cpy_r_r50) {
        goto CPyL33;
    } else
        goto CPyL118;
CPyL32: ;
    cpy_r_r51 = (Py_ssize_t)cpy_r_r41 < (Py_ssize_t)cpy_r_r24;
    if (!cpy_r_r51) goto CPyL118;
CPyL33: ;
    cpy_r_r52 = CPyStr_GetItem(cpy_r_r39, cpy_r_r40);
    if (unlikely(cpy_r_r52 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 552, CPyStatic_globals);
        goto CPyL117;
    }
    cpy_r_r53 = 0;
CPyL35: ;
    cpy_r_r54 = (CPyPtr)&((PyVarObject *)cpy_r_r10)->ob_size;
    cpy_r_r55 = *(int64_t *)cpy_r_r54;
    cpy_r_r56 = cpy_r_r55 << 1;
    cpy_r_r57 = (Py_ssize_t)cpy_r_r53 < (Py_ssize_t)cpy_r_r56;
    if (!cpy_r_r57) goto CPyL119;
    cpy_r_r58 = CPyList_GetItemUnsafe(cpy_r_r10, cpy_r_r53);
    if (likely(PyObject_TypeCheck(cpy_r_r58, CPyType_MessDetectorPlugin)))
        cpy_r_r59 = cpy_r_r58;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", 553, CPyStatic_globals, "charset_normalizer.md.MessDetectorPlugin", cpy_r_r58);
        goto CPyL120;
    }
    cpy_r_r60 = CPY_GET_METHOD(cpy_r_r59, CPyType_MessDetectorPlugin, 0, charset_normalizer___md___MessDetectorPluginObject, char (*)(PyObject *, PyObject *))(cpy_r_r59, cpy_r_r52); /* eligible */
    if (unlikely(cpy_r_r60 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 554, CPyStatic_globals);
        goto CPyL121;
    }
    if (!cpy_r_r60) goto CPyL122;
    cpy_r_r61 = CPY_GET_METHOD(cpy_r_r59, CPyType_MessDetectorPlugin, 1, charset_normalizer___md___MessDetectorPluginObject, char (*)(PyObject *, PyObject *))(cpy_r_r59, cpy_r_r52); /* feed */
    CPy_DECREF(cpy_r_r59);
    if (unlikely(cpy_r_r61 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 555, CPyStatic_globals);
        goto CPyL120;
    }
CPyL40: ;
    cpy_r_r62 = cpy_r_r53 + 2;
    cpy_r_r53 = cpy_r_r62;
    goto CPyL35;
CPyL41: ;
    cpy_r_r63 = cpy_r_index & 1;
    cpy_r_r64 = cpy_r_r63 != 0;
    if (cpy_r_r64) goto CPyL43;
    cpy_r_r65 = 0 & 1;
    cpy_r_r66 = cpy_r_r65 != 0;
    if (!cpy_r_r66) goto CPyL44;
CPyL43: ;
    cpy_r_r67 = CPyTagged_IsLt_(0, cpy_r_index);
    if (cpy_r_r67) {
        goto CPyL45;
    } else
        goto CPyL47;
CPyL44: ;
    cpy_r_r68 = (Py_ssize_t)cpy_r_index > (Py_ssize_t)0;
    if (!cpy_r_r68) goto CPyL47;
CPyL45: ;
    cpy_r_r69 = CPyTagged_Remainder(cpy_r_index, cpy_r_intermediary_mean_mess_ratio_calc);
    if (unlikely(cpy_r_r69 == CPY_INT_TAG)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 558, CPyStatic_globals);
        goto CPyL117;
    }
    cpy_r_r70 = cpy_r_r69 == 0;
    CPyTagged_DECREF(cpy_r_r69);
    if (cpy_r_r70) goto CPyL123;
CPyL47: ;
    cpy_r_r71 = CPyTagged_Subtract(cpy_r_r24, 2);
    cpy_r_r72 = cpy_r_index & 1;
    cpy_r_r73 = cpy_r_r72 != 0;
    if (!cpy_r_r73) goto CPyL49;
    cpy_r_r74 = CPyTagged_IsEq_(cpy_r_index, cpy_r_r71);
    cpy_r_r75 = cpy_r_r74;
    goto CPyL50;
CPyL49: ;
    cpy_r_r76 = cpy_r_index == cpy_r_r71;
    cpy_r_r75 = cpy_r_r76;
CPyL50: ;
    CPyTagged_DECREF(cpy_r_index);
    CPyTagged_DECREF(cpy_r_r71);
    if (!cpy_r_r75) goto CPyL66;
CPyL51: ;
    cpy_r_r77 = CPyStatics[113]; /* 0 */
    CPy_INCREF(cpy_r_r77);
    if (CPyFloat_Check(cpy_r_r77))
        cpy_r_r78 = cpy_r_r77;
    else {
        cpy_r_r78 = NULL;
    }
    if (cpy_r_r78 != NULL) goto __LL9;
    if (PyLong_Check(cpy_r_r77))
        cpy_r_r78 = cpy_r_r77;
    else {
        cpy_r_r78 = NULL;
    }
    if (cpy_r_r78 != NULL) goto __LL9;
    CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", -1, CPyStatic_globals, "union[float, int]", cpy_r_r77);
    goto CPyL124;
__LL9: ;
    cpy_r_r79 = cpy_r_r78;
    cpy_r_r80 = 0;
CPyL53: ;
    cpy_r_r81 = (CPyPtr)&((PyVarObject *)cpy_r_r10)->ob_size;
    cpy_r_r82 = *(int64_t *)cpy_r_r81;
    cpy_r_r83 = cpy_r_r82 << 1;
    cpy_r_r84 = (Py_ssize_t)cpy_r_r80 < (Py_ssize_t)cpy_r_r83;
    if (!cpy_r_r84) goto CPyL61;
    cpy_r_r85 = CPyList_GetItemUnsafe(cpy_r_r10, cpy_r_r80);
    if (likely(PyObject_TypeCheck(cpy_r_r85, CPyType_MessDetectorPlugin)))
        cpy_r_r86 = cpy_r_r85;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", 560, CPyStatic_globals, "charset_normalizer.md.MessDetectorPlugin", cpy_r_r85);
        goto CPyL125;
    }
    cpy_r_r87 = CPY_GET_ATTR(cpy_r_r86, CPyType_MessDetectorPlugin, 3, charset_normalizer___md___MessDetectorPluginObject, double); /* ratio */
    CPy_DECREF(cpy_r_r86);
    cpy_r_r88 = cpy_r_r87 == -113.0;
    if (unlikely(cpy_r_r88)) goto CPyL57;
CPyL56: ;
    cpy_r_r89 = PyFloat_FromDouble(cpy_r_r87);
    cpy_r_r90 = PyNumber_Add(cpy_r_r79, cpy_r_r89);
    CPy_DECREF(cpy_r_r79);
    CPy_DECREF(cpy_r_r89);
    if (unlikely(cpy_r_r90 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", -1, CPyStatic_globals);
        goto CPyL124;
    } else
        goto CPyL58;
CPyL57: ;
    cpy_r_r91 = PyErr_Occurred();
    if (unlikely(cpy_r_r91 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 560, CPyStatic_globals);
        goto CPyL125;
    } else
        goto CPyL56;
CPyL58: ;
    if (CPyFloat_Check(cpy_r_r90))
        cpy_r_r92 = cpy_r_r90;
    else {
        cpy_r_r92 = NULL;
    }
    if (cpy_r_r92 != NULL) goto __LL10;
    if (PyLong_Check(cpy_r_r90))
        cpy_r_r92 = cpy_r_r90;
    else {
        cpy_r_r92 = NULL;
    }
    if (cpy_r_r92 != NULL) goto __LL10;
    CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", -1, CPyStatic_globals, "union[float, int]", cpy_r_r90);
    goto CPyL124;
__LL10: ;
    cpy_r_r79 = cpy_r_r92;
    cpy_r_r93 = cpy_r_r80 + 2;
    cpy_r_r80 = cpy_r_r93;
    goto CPyL53;
CPyL61: ;
    cpy_r_r94 = PyFloat_AsDouble(cpy_r_r79);
    if (cpy_r_r94 == -1.0 && PyErr_Occurred()) {
        CPy_TypeError("float", cpy_r_r79); cpy_r_r94 = -113.0;
    }
    CPy_DECREF(cpy_r_r79);
    cpy_r_r95 = cpy_r_r94 == -113.0;
    if (unlikely(cpy_r_r95)) goto CPyL63;
CPyL62: ;
    cpy_r_mean_mess_ratio = cpy_r_r94;
    cpy_r_r96 = PyFloat_FromDouble(cpy_r_mean_mess_ratio);
    cpy_r_r97 = PyFloat_FromDouble(cpy_r_maximum_threshold);
    cpy_r_r98 = PyObject_RichCompare(cpy_r_r96, cpy_r_r97, 5);
    CPy_DECREF(cpy_r_r96);
    CPy_DECREF(cpy_r_r97);
    if (unlikely(cpy_r_r98 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 562, CPyStatic_globals);
        goto CPyL124;
    } else
        goto CPyL64;
CPyL63: ;
    cpy_r_r99 = PyErr_Occurred();
    if (unlikely(cpy_r_r99 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 560, CPyStatic_globals);
        goto CPyL124;
    } else
        goto CPyL62;
CPyL64: ;
    if (unlikely(!PyBool_Check(cpy_r_r98))) {
        CPy_TypeError("bool", cpy_r_r98); cpy_r_r100 = 2;
    } else
        cpy_r_r100 = cpy_r_r98 == Py_True;
    CPy_DECREF(cpy_r_r98);
    if (unlikely(cpy_r_r100 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 562, CPyStatic_globals);
        goto CPyL124;
    }
    if (cpy_r_r100) goto CPyL126;
CPyL66: ;
    cpy_r_r101 = cpy_r_r40 + 2;
    cpy_r_r40 = cpy_r_r101;
    cpy_r_r102 = CPyTagged_Add(cpy_r_r41, 2);
    CPyTagged_DECREF(cpy_r_r41);
    CPyTagged_INCREF(cpy_r_r102);
    cpy_r_r41 = cpy_r_r102;
    cpy_r_index = cpy_r_r102;
    goto CPyL27;
CPyL67: ;
    if (!cpy_r_debug) goto CPyL127;
    cpy_r_r103 = CPyStatics[52]; /* 'charset_normalizer' */
    cpy_r_r104 = CPyStatic_globals;
    cpy_r_r105 = CPyStatics[53]; /* 'getLogger' */
    cpy_r_r106 = CPyDict_GetItem(cpy_r_r104, cpy_r_r105);
    if (unlikely(cpy_r_r106 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 566, CPyStatic_globals);
        goto CPyL128;
    }
    PyObject *cpy_r_r107[1] = {cpy_r_r103};
    cpy_r_r108 = (PyObject **)&cpy_r_r107;
    cpy_r_r109 = _PyObject_Vectorcall(cpy_r_r106, cpy_r_r108, 1, 0);
    CPy_DECREF(cpy_r_r106);
    if (unlikely(cpy_r_r109 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 566, CPyStatic_globals);
        goto CPyL128;
    }
    cpy_r_r110 = CPyStatic_globals;
    cpy_r_r111 = CPyStatics[54]; /* 'TRACE' */
    cpy_r_r112 = CPyDict_GetItem(cpy_r_r110, cpy_r_r111);
    if (unlikely(cpy_r_r112 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 569, CPyStatic_globals);
        goto CPyL129;
    }
    if (likely(PyLong_Check(cpy_r_r112)))
        cpy_r_r113 = CPyTagged_FromObject(cpy_r_r112);
    else {
        CPy_TypeError("int", cpy_r_r112); cpy_r_r113 = CPY_INT_TAG;
    }
    CPy_DECREF(cpy_r_r112);
    if (unlikely(cpy_r_r113 == CPY_INT_TAG)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 569, CPyStatic_globals);
        goto CPyL129;
    }
    cpy_r_r114 = CPyStatics[55]; /* ('Mess-detector extended-analysis start. '
                                    'intermediary_mean_mess_ratio_calc=') */
    cpy_r_r115 = CPyTagged_Str(cpy_r_intermediary_mean_mess_ratio_calc);
    CPyTagged_DECREF(cpy_r_intermediary_mean_mess_ratio_calc);
    if (unlikely(cpy_r_r115 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 570, CPyStatic_globals);
        goto CPyL130;
    }
    cpy_r_r116 = CPyStatics[56]; /* ' mean_mess_ratio=' */
    cpy_r_r117 = PyFloat_FromDouble(cpy_r_mean_mess_ratio);
    cpy_r_r118 = PyObject_Str(cpy_r_r117);
    CPy_DECREF(cpy_r_r117);
    if (unlikely(cpy_r_r118 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 570, CPyStatic_globals);
        goto CPyL131;
    }
    cpy_r_r119 = CPyStatics[57]; /* ' maximum_threshold=' */
    cpy_r_r120 = PyFloat_FromDouble(cpy_r_maximum_threshold);
    cpy_r_r121 = PyObject_Str(cpy_r_r120);
    CPy_DECREF(cpy_r_r120);
    if (unlikely(cpy_r_r121 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 570, CPyStatic_globals);
        goto CPyL132;
    }
    cpy_r_r122 = CPyStr_Build(6, cpy_r_r114, cpy_r_r115, cpy_r_r116, cpy_r_r118, cpy_r_r119, cpy_r_r121);
    CPy_DECREF(cpy_r_r115);
    CPy_DECREF(cpy_r_r118);
    CPy_DECREF(cpy_r_r121);
    if (unlikely(cpy_r_r122 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 570, CPyStatic_globals);
        goto CPyL130;
    }
    cpy_r_r123 = CPyStatics[58]; /* 'log' */
    cpy_r_r124 = CPyTagged_StealAsObject(cpy_r_r113);
    PyObject *cpy_r_r125[3] = {cpy_r_r109, cpy_r_r124, cpy_r_r122};
    cpy_r_r126 = (PyObject **)&cpy_r_r125;
    cpy_r_r127 = PyObject_VectorcallMethod(cpy_r_r123, cpy_r_r126, 9223372036854775811ULL, 0);
    if (unlikely(cpy_r_r127 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 568, CPyStatic_globals);
        goto CPyL133;
    } else
        goto CPyL134;
CPyL77: ;
    CPy_DECREF(cpy_r_r124);
    CPy_DECREF(cpy_r_r122);
    cpy_r_r128 = CPyStr_Size_size_t(cpy_r_decoded_sequence);
    cpy_r_r129 = cpy_r_r128 >= 0;
    if (unlikely(!cpy_r_r129)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 575, CPyStatic_globals);
        goto CPyL135;
    }
    cpy_r_r130 = cpy_r_r128 << 1;
    cpy_r_r131 = (Py_ssize_t)cpy_r_r130 > (Py_ssize_t)32;
    if (!cpy_r_r131) goto CPyL92;
    cpy_r_r132 = CPyStatic_globals;
    cpy_r_r133 = CPyStatics[54]; /* 'TRACE' */
    cpy_r_r134 = CPyDict_GetItem(cpy_r_r132, cpy_r_r133);
    if (unlikely(cpy_r_r134 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 576, CPyStatic_globals);
        goto CPyL135;
    }
    if (likely(PyLong_Check(cpy_r_r134)))
        cpy_r_r135 = CPyTagged_FromObject(cpy_r_r134);
    else {
        CPy_TypeError("int", cpy_r_r134); cpy_r_r135 = CPY_INT_TAG;
    }
    CPy_DECREF(cpy_r_r134);
    if (unlikely(cpy_r_r135 == CPY_INT_TAG)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 576, CPyStatic_globals);
        goto CPyL135;
    }
    cpy_r_r136 = CPyStatics[59]; /* 'Starting with: ' */
    cpy_r_r137 = CPyStr_GetSlice(cpy_r_decoded_sequence, 0, 32);
    if (unlikely(cpy_r_r137 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 576, CPyStatic_globals);
        goto CPyL136;
    }
    if (likely(PyUnicode_Check(cpy_r_r137)))
        cpy_r_r138 = cpy_r_r137;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", 576, CPyStatic_globals, "str", cpy_r_r137);
        goto CPyL136;
    }
    cpy_r_r139 = CPyStr_Build(2, cpy_r_r136, cpy_r_r138);
    CPy_DECREF(cpy_r_r138);
    if (unlikely(cpy_r_r139 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 576, CPyStatic_globals);
        goto CPyL136;
    }
    cpy_r_r140 = CPyStatics[58]; /* 'log' */
    cpy_r_r141 = CPyTagged_StealAsObject(cpy_r_r135);
    PyObject *cpy_r_r142[3] = {cpy_r_r109, cpy_r_r141, cpy_r_r139};
    cpy_r_r143 = (PyObject **)&cpy_r_r142;
    cpy_r_r144 = PyObject_VectorcallMethod(cpy_r_r140, cpy_r_r143, 9223372036854775811ULL, 0);
    if (unlikely(cpy_r_r144 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 576, CPyStatic_globals);
        goto CPyL137;
    } else
        goto CPyL138;
CPyL85: ;
    CPy_DECREF(cpy_r_r141);
    CPy_DECREF(cpy_r_r139);
    cpy_r_r145 = CPyStatic_globals;
    cpy_r_r146 = CPyStatics[54]; /* 'TRACE' */
    cpy_r_r147 = CPyDict_GetItem(cpy_r_r145, cpy_r_r146);
    if (unlikely(cpy_r_r147 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 577, CPyStatic_globals);
        goto CPyL135;
    }
    if (likely(PyLong_Check(cpy_r_r147)))
        cpy_r_r148 = CPyTagged_FromObject(cpy_r_r147);
    else {
        CPy_TypeError("int", cpy_r_r147); cpy_r_r148 = CPY_INT_TAG;
    }
    CPy_DECREF(cpy_r_r147);
    if (unlikely(cpy_r_r148 == CPY_INT_TAG)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 577, CPyStatic_globals);
        goto CPyL135;
    }
    cpy_r_r149 = CPyStatics[60]; /* 'Ending with: ' */
    cpy_r_r150 = CPyStr_GetSlice(cpy_r_decoded_sequence, -32, 9223372036854775806LL);
    if (unlikely(cpy_r_r150 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 577, CPyStatic_globals);
        goto CPyL139;
    }
    if (likely(PyUnicode_Check(cpy_r_r150)))
        cpy_r_r151 = cpy_r_r150;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", 577, CPyStatic_globals, "str", cpy_r_r150);
        goto CPyL139;
    }
    cpy_r_r152 = CPyStr_Build(2, cpy_r_r149, cpy_r_r151);
    CPy_DECREF(cpy_r_r151);
    if (unlikely(cpy_r_r152 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 577, CPyStatic_globals);
        goto CPyL139;
    }
    cpy_r_r153 = CPyStatics[58]; /* 'log' */
    cpy_r_r154 = CPyTagged_StealAsObject(cpy_r_r148);
    PyObject *cpy_r_r155[3] = {cpy_r_r109, cpy_r_r154, cpy_r_r152};
    cpy_r_r156 = (PyObject **)&cpy_r_r155;
    cpy_r_r157 = PyObject_VectorcallMethod(cpy_r_r153, cpy_r_r156, 9223372036854775811ULL, 0);
    if (unlikely(cpy_r_r157 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 577, CPyStatic_globals);
        goto CPyL140;
    } else
        goto CPyL141;
CPyL91: ;
    CPy_DECREF(cpy_r_r154);
    CPy_DECREF(cpy_r_r152);
CPyL92: ;
    cpy_r_r158 = 0;
CPyL93: ;
    cpy_r_r159 = (CPyPtr)&((PyVarObject *)cpy_r_r10)->ob_size;
    cpy_r_r160 = *(int64_t *)cpy_r_r159;
    cpy_r_r161 = cpy_r_r160 << 1;
    cpy_r_r162 = (Py_ssize_t)cpy_r_r158 < (Py_ssize_t)cpy_r_r161;
    if (!cpy_r_r162) goto CPyL142;
    cpy_r_r163 = CPyList_GetItemUnsafe(cpy_r_r10, cpy_r_r158);
    if (likely(PyObject_TypeCheck(cpy_r_r163, CPyType_MessDetectorPlugin)))
        cpy_r_r164 = cpy_r_r163;
    else {
        CPy_TypeErrorTraceback("charset_normalizer/md.py", "mess_ratio", 579, CPyStatic_globals, "charset_normalizer.md.MessDetectorPlugin", cpy_r_r163);
        goto CPyL135;
    }
    cpy_r_r165 = CPyStatic_globals;
    cpy_r_r166 = CPyStatics[54]; /* 'TRACE' */
    cpy_r_r167 = CPyDict_GetItem(cpy_r_r165, cpy_r_r166);
    if (unlikely(cpy_r_r167 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 580, CPyStatic_globals);
        goto CPyL143;
    }
    if (likely(PyLong_Check(cpy_r_r167)))
        cpy_r_r168 = CPyTagged_FromObject(cpy_r_r167);
    else {
        CPy_TypeError("int", cpy_r_r167); cpy_r_r168 = CPY_INT_TAG;
    }
    CPy_DECREF(cpy_r_r167);
    if (unlikely(cpy_r_r168 == CPY_INT_TAG)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 580, CPyStatic_globals);
        goto CPyL143;
    }
    cpy_r_r169 = CPyStatics[61]; /* '__class__' */
    cpy_r_r170 = CPyObject_GetAttr(cpy_r_r164, cpy_r_r169);
    if (unlikely(cpy_r_r170 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 580, CPyStatic_globals);
        goto CPyL144;
    }
    cpy_r_r171 = PyObject_Str(cpy_r_r170);
    CPy_DECREF(cpy_r_r170);
    if (unlikely(cpy_r_r171 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 580, CPyStatic_globals);
        goto CPyL144;
    }
    cpy_r_r172 = CPyStatics[62]; /* ': ' */
    cpy_r_r173 = CPY_GET_ATTR(cpy_r_r164, CPyType_MessDetectorPlugin, 3, charset_normalizer___md___MessDetectorPluginObject, double); /* ratio */
    CPy_DECREF(cpy_r_r164);
    cpy_r_r174 = cpy_r_r173 == -113.0;
    if (unlikely(cpy_r_r174)) goto CPyL101;
CPyL100: ;
    cpy_r_r175 = PyFloat_FromDouble(cpy_r_r173);
    cpy_r_r176 = PyObject_Str(cpy_r_r175);
    CPy_DECREF(cpy_r_r175);
    if (unlikely(cpy_r_r176 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 580, CPyStatic_globals);
        goto CPyL145;
    } else
        goto CPyL102;
CPyL101: ;
    cpy_r_r177 = PyErr_Occurred();
    if (unlikely(cpy_r_r177 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 580, CPyStatic_globals);
        goto CPyL145;
    } else
        goto CPyL100;
CPyL102: ;
    cpy_r_r178 = CPyStr_Build(3, cpy_r_r171, cpy_r_r172, cpy_r_r176);
    CPy_DECREF(cpy_r_r171);
    CPy_DECREF(cpy_r_r176);
    if (unlikely(cpy_r_r178 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 580, CPyStatic_globals);
        goto CPyL146;
    }
    cpy_r_r179 = CPyStatics[58]; /* 'log' */
    cpy_r_r180 = CPyTagged_StealAsObject(cpy_r_r168);
    PyObject *cpy_r_r181[3] = {cpy_r_r109, cpy_r_r180, cpy_r_r178};
    cpy_r_r182 = (PyObject **)&cpy_r_r181;
    cpy_r_r183 = PyObject_VectorcallMethod(cpy_r_r179, cpy_r_r182, 9223372036854775811ULL, 0);
    if (unlikely(cpy_r_r183 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 580, CPyStatic_globals);
        goto CPyL147;
    } else
        goto CPyL148;
CPyL104: ;
    CPy_DECREF(cpy_r_r180);
    CPy_DECREF(cpy_r_r178);
    cpy_r_r184 = cpy_r_r158 + 2;
    cpy_r_r158 = cpy_r_r184;
    goto CPyL93;
CPyL106: ;
    cpy_r_r185 = CPyModule_builtins;
    cpy_r_r186 = CPyStatics[63]; /* 'round' */
    cpy_r_r187 = CPyObject_GetAttr(cpy_r_r185, cpy_r_r186);
    if (unlikely(cpy_r_r187 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 582, CPyStatic_globals);
        goto CPyL111;
    }
    cpy_r_r188 = PyFloat_FromDouble(cpy_r_mean_mess_ratio);
    cpy_r_r189 = CPyStatics[114]; /* 3 */
    PyObject *cpy_r_r190[2] = {cpy_r_r188, cpy_r_r189};
    cpy_r_r191 = (PyObject **)&cpy_r_r190;
    cpy_r_r192 = _PyObject_Vectorcall(cpy_r_r187, cpy_r_r191, 2, 0);
    CPy_DECREF(cpy_r_r187);
    if (unlikely(cpy_r_r192 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 582, CPyStatic_globals);
        goto CPyL149;
    }
    CPy_DECREF(cpy_r_r188);
    cpy_r_r193 = PyFloat_AsDouble(cpy_r_r192);
    if (cpy_r_r193 == -1.0 && PyErr_Occurred()) {
        CPy_TypeError("float", cpy_r_r192); cpy_r_r193 = -113.0;
    }
    CPy_DECREF(cpy_r_r192);
    cpy_r_r194 = cpy_r_r193 == -113.0;
    if (unlikely(cpy_r_r194)) goto CPyL110;
CPyL109: ;
    return cpy_r_r193;
CPyL110: ;
    cpy_r_r195 = PyErr_Occurred();
    if (unlikely(cpy_r_r195 != NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 582, CPyStatic_globals);
    } else
        goto CPyL109;
CPyL111: ;
    cpy_r_r196 = -113.0;
    return cpy_r_r196;
CPyL112: ;
    CPy_DecRef(cpy_r_r7);
    goto CPyL111;
CPyL113: ;
    CPy_DECREF(cpy_r_r7);
    goto CPyL13;
CPyL114: ;
    CPy_DecRef(cpy_r_r7);
    CPy_DecRef(cpy_r_r10);
    goto CPyL111;
CPyL115: ;
    CPy_DecRef(cpy_r_r10);
    goto CPyL111;
CPyL116: ;
    CPy_DecRef(cpy_r_r10);
    CPyTagged_DecRef(cpy_r_r24);
    CPyTagged_DecRef(cpy_r_intermediary_mean_mess_ratio_calc);
    goto CPyL111;
CPyL117: ;
    CPy_DecRef(cpy_r_r10);
    CPyTagged_DecRef(cpy_r_r24);
    CPyTagged_DecRef(cpy_r_intermediary_mean_mess_ratio_calc);
    CPy_DecRef(cpy_r_r39);
    CPyTagged_DecRef(cpy_r_r41);
    CPyTagged_DecRef(cpy_r_index);
    goto CPyL111;
CPyL118: ;
    CPyTagged_DECREF(cpy_r_r24);
    CPy_DECREF(cpy_r_r39);
    CPyTagged_DECREF(cpy_r_r41);
    CPyTagged_DECREF(cpy_r_index);
    goto CPyL67;
CPyL119: ;
    CPy_DECREF(cpy_r_r52);
    goto CPyL41;
CPyL120: ;
    CPy_DecRef(cpy_r_r10);
    CPyTagged_DecRef(cpy_r_r24);
    CPyTagged_DecRef(cpy_r_intermediary_mean_mess_ratio_calc);
    CPy_DecRef(cpy_r_r39);
    CPyTagged_DecRef(cpy_r_r41);
    CPyTagged_DecRef(cpy_r_index);
    CPy_DecRef(cpy_r_r52);
    goto CPyL111;
CPyL121: ;
    CPy_DecRef(cpy_r_r10);
    CPyTagged_DecRef(cpy_r_r24);
    CPyTagged_DecRef(cpy_r_intermediary_mean_mess_ratio_calc);
    CPy_DecRef(cpy_r_r39);
    CPyTagged_DecRef(cpy_r_r41);
    CPyTagged_DecRef(cpy_r_index);
    CPy_DecRef(cpy_r_r52);
    CPy_DecRef(cpy_r_r59);
    goto CPyL111;
CPyL122: ;
    CPy_DECREF(cpy_r_r59);
    goto CPyL40;
CPyL123: ;
    CPyTagged_DECREF(cpy_r_index);
    goto CPyL51;
CPyL124: ;
    CPy_DecRef(cpy_r_r10);
    CPyTagged_DecRef(cpy_r_r24);
    CPyTagged_DecRef(cpy_r_intermediary_mean_mess_ratio_calc);
    CPy_DecRef(cpy_r_r39);
    CPyTagged_DecRef(cpy_r_r41);
    goto CPyL111;
CPyL125: ;
    CPy_DecRef(cpy_r_r10);
    CPyTagged_DecRef(cpy_r_r24);
    CPyTagged_DecRef(cpy_r_intermediary_mean_mess_ratio_calc);
    CPy_DecRef(cpy_r_r39);
    CPyTagged_DecRef(cpy_r_r41);
    CPy_DecRef(cpy_r_r79);
    goto CPyL111;
CPyL126: ;
    CPyTagged_DECREF(cpy_r_r24);
    CPy_DECREF(cpy_r_r39);
    CPyTagged_DECREF(cpy_r_r41);
    goto CPyL67;
CPyL127: ;
    CPy_DECREF(cpy_r_r10);
    CPyTagged_DECREF(cpy_r_intermediary_mean_mess_ratio_calc);
    goto CPyL106;
CPyL128: ;
    CPy_DecRef(cpy_r_r10);
    CPyTagged_DecRef(cpy_r_intermediary_mean_mess_ratio_calc);
    goto CPyL111;
CPyL129: ;
    CPy_DecRef(cpy_r_r10);
    CPyTagged_DecRef(cpy_r_intermediary_mean_mess_ratio_calc);
    CPy_DecRef(cpy_r_r109);
    goto CPyL111;
CPyL130: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPyTagged_DecRef(cpy_r_r113);
    goto CPyL111;
CPyL131: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPyTagged_DecRef(cpy_r_r113);
    CPy_DecRef(cpy_r_r115);
    goto CPyL111;
CPyL132: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPyTagged_DecRef(cpy_r_r113);
    CPy_DecRef(cpy_r_r115);
    CPy_DecRef(cpy_r_r118);
    goto CPyL111;
CPyL133: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPy_DecRef(cpy_r_r122);
    CPy_DecRef(cpy_r_r124);
    goto CPyL111;
CPyL134: ;
    CPy_DECREF(cpy_r_r127);
    goto CPyL77;
CPyL135: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    goto CPyL111;
CPyL136: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPyTagged_DecRef(cpy_r_r135);
    goto CPyL111;
CPyL137: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPy_DecRef(cpy_r_r139);
    CPy_DecRef(cpy_r_r141);
    goto CPyL111;
CPyL138: ;
    CPy_DECREF(cpy_r_r144);
    goto CPyL85;
CPyL139: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPyTagged_DecRef(cpy_r_r148);
    goto CPyL111;
CPyL140: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPy_DecRef(cpy_r_r152);
    CPy_DecRef(cpy_r_r154);
    goto CPyL111;
CPyL141: ;
    CPy_DECREF(cpy_r_r157);
    goto CPyL91;
CPyL142: ;
    CPy_DECREF(cpy_r_r10);
    CPy_DECREF(cpy_r_r109);
    goto CPyL106;
CPyL143: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPy_DecRef(cpy_r_r164);
    goto CPyL111;
CPyL144: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPy_DecRef(cpy_r_r164);
    CPyTagged_DecRef(cpy_r_r168);
    goto CPyL111;
CPyL145: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPyTagged_DecRef(cpy_r_r168);
    CPy_DecRef(cpy_r_r171);
    goto CPyL111;
CPyL146: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPyTagged_DecRef(cpy_r_r168);
    goto CPyL111;
CPyL147: ;
    CPy_DecRef(cpy_r_r10);
    CPy_DecRef(cpy_r_r109);
    CPy_DecRef(cpy_r_r178);
    CPy_DecRef(cpy_r_r180);
    goto CPyL111;
CPyL148: ;
    CPy_DECREF(cpy_r_r183);
    goto CPyL104;
CPyL149: ;
    CPy_DecRef(cpy_r_r188);
    goto CPyL111;
}

PyObject *CPyPy_mess_ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    static const char * const kwlist[] = {"decoded_sequence", "maximum_threshold", "debug", 0};
    static CPyArg_Parser parser = {"O|OO:mess_ratio", kwlist, 0};
    PyObject *obj_decoded_sequence;
    PyObject *obj_maximum_threshold = NULL;
    PyObject *obj_debug = NULL;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_decoded_sequence, &obj_maximum_threshold, &obj_debug)) {
        return NULL;
    }
    uint32_t __bitmap = 0;
    PyObject *arg_decoded_sequence;
    if (likely(PyUnicode_Check(obj_decoded_sequence)))
        arg_decoded_sequence = obj_decoded_sequence;
    else {
        CPy_TypeError("str", obj_decoded_sequence); 
        goto fail;
    }
    double arg_maximum_threshold = -113.0;
    if (obj_maximum_threshold != NULL) {
        __bitmap |= 1 << 0;
        arg_maximum_threshold = PyFloat_AsDouble(obj_maximum_threshold);
        if (arg_maximum_threshold == -1.0 && PyErr_Occurred()) {
            CPy_TypeError("float", obj_maximum_threshold); goto fail;
        }
    }
    char arg_debug;
    if (obj_debug == NULL) {
        arg_debug = 2;
    } else if (unlikely(!PyBool_Check(obj_debug))) {
        CPy_TypeError("bool", obj_debug); goto fail;
    } else
        arg_debug = obj_debug == Py_True;
    double retval = CPyDef_mess_ratio(arg_decoded_sequence, arg_maximum_threshold, arg_debug, __bitmap);
    if (retval == -113.0 && PyErr_Occurred()) {
        return NULL;
    }
    PyObject *retbox = PyFloat_FromDouble(retval);
    return retbox;
fail: ;
    CPy_AddTraceback("charset_normalizer/md.py", "mess_ratio", 530, CPyStatic_globals);
    return NULL;
}

char CPyDef___top_level__(void) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    char cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject *cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    PyObject *cpy_r_r10;
    PyObject *cpy_r_r11;
    PyObject *cpy_r_r12;
    PyObject *cpy_r_r13;
    PyObject *cpy_r_r14;
    PyObject *cpy_r_r15;
    PyObject *cpy_r_r16;
    PyObject *cpy_r_r17;
    PyObject *cpy_r_r18;
    PyObject *cpy_r_r19;
    PyObject *cpy_r_r20;
    PyObject *cpy_r_r21;
    PyObject *cpy_r_r22;
    PyObject *cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject *cpy_r_r25;
    PyObject *cpy_r_r26;
    PyObject *cpy_r_r27;
    PyObject *cpy_r_r28;
    char cpy_r_r29;
    PyObject *cpy_r_r30;
    PyObject *cpy_r_r31;
    int32_t cpy_r_r32;
    char cpy_r_r33;
    PyObject *cpy_r_r34;
    PyObject *cpy_r_r35;
    int32_t cpy_r_r36;
    char cpy_r_r37;
    PyObject *cpy_r_r38;
    PyObject *cpy_r_r39;
    PyObject *cpy_r_r40;
    PyObject *cpy_r_r41;
    PyObject *cpy_r_r42;
    char cpy_r_r43;
    PyObject *cpy_r_r44;
    PyObject *cpy_r_r45;
    PyObject *cpy_r_r46;
    PyObject *cpy_r_r47;
    PyObject *cpy_r_r48;
    PyObject *cpy_r_r49;
    PyObject *cpy_r_r50;
    int32_t cpy_r_r51;
    char cpy_r_r52;
    PyObject *cpy_r_r53;
    PyObject *cpy_r_r54;
    int32_t cpy_r_r55;
    char cpy_r_r56;
    PyObject *cpy_r_r57;
    PyObject *cpy_r_r58;
    PyObject *cpy_r_r59;
    PyObject *cpy_r_r60;
    PyObject *cpy_r_r61;
    char cpy_r_r62;
    PyObject *cpy_r_r63;
    PyObject *cpy_r_r64;
    PyObject *cpy_r_r65;
    PyObject *cpy_r_r66;
    int32_t cpy_r_r67;
    char cpy_r_r68;
    PyObject *cpy_r_r69;
    PyObject *cpy_r_r70;
    int32_t cpy_r_r71;
    char cpy_r_r72;
    PyObject *cpy_r_r73;
    PyObject *cpy_r_r74;
    PyObject *cpy_r_r75;
    PyObject *cpy_r_r76;
    PyObject *cpy_r_r77;
    char cpy_r_r78;
    PyObject *cpy_r_r79;
    PyObject *cpy_r_r80;
    PyObject *cpy_r_r81;
    PyObject *cpy_r_r82;
    int32_t cpy_r_r83;
    char cpy_r_r84;
    PyObject *cpy_r_r85;
    PyObject *cpy_r_r86;
    int32_t cpy_r_r87;
    char cpy_r_r88;
    PyObject *cpy_r_r89;
    PyObject *cpy_r_r90;
    PyObject *cpy_r_r91;
    PyObject *cpy_r_r92;
    PyObject *cpy_r_r93;
    char cpy_r_r94;
    PyObject *cpy_r_r95;
    PyObject *cpy_r_r96;
    PyObject *cpy_r_r97;
    PyObject *cpy_r_r98;
    PyObject *cpy_r_r99;
    int32_t cpy_r_r100;
    char cpy_r_r101;
    PyObject *cpy_r_r102;
    PyObject *cpy_r_r103;
    int32_t cpy_r_r104;
    char cpy_r_r105;
    PyObject *cpy_r_r106;
    PyObject *cpy_r_r107;
    PyObject *cpy_r_r108;
    PyObject *cpy_r_r109;
    PyObject *cpy_r_r110;
    char cpy_r_r111;
    PyObject *cpy_r_r112;
    PyObject *cpy_r_r113;
    PyObject *cpy_r_r114;
    PyObject *cpy_r_r115;
    PyObject *cpy_r_r116;
    int32_t cpy_r_r117;
    char cpy_r_r118;
    PyObject *cpy_r_r119;
    PyObject *cpy_r_r120;
    int32_t cpy_r_r121;
    char cpy_r_r122;
    PyObject *cpy_r_r123;
    PyObject *cpy_r_r124;
    PyObject *cpy_r_r125;
    PyObject *cpy_r_r126;
    PyObject *cpy_r_r127;
    char cpy_r_r128;
    PyObject *cpy_r_r129;
    PyObject *cpy_r_r130;
    PyObject *cpy_r_r131;
    PyObject *cpy_r_r132;
    PyObject *cpy_r_r133;
    PyObject *cpy_r_r134;
    PyObject *cpy_r_r135;
    PyObject *cpy_r_r136;
    PyObject *cpy_r_r137;
    PyObject *cpy_r_r138;
    PyObject *cpy_r_r139;
    int32_t cpy_r_r140;
    char cpy_r_r141;
    PyObject *cpy_r_r142;
    PyObject *cpy_r_r143;
    int32_t cpy_r_r144;
    char cpy_r_r145;
    PyObject *cpy_r_r146;
    PyObject *cpy_r_r147;
    PyObject *cpy_r_r148;
    PyObject *cpy_r_r149;
    PyObject *cpy_r_r150;
    char cpy_r_r151;
    PyObject *cpy_r_r152;
    PyObject *cpy_r_r153;
    PyObject *cpy_r_r154;
    PyObject *cpy_r_r155;
    int32_t cpy_r_r156;
    char cpy_r_r157;
    PyObject *cpy_r_r158;
    PyObject *cpy_r_r159;
    int32_t cpy_r_r160;
    char cpy_r_r161;
    PyObject *cpy_r_r162;
    PyObject *cpy_r_r163;
    PyObject *cpy_r_r164;
    PyObject *cpy_r_r165;
    PyObject *cpy_r_r166;
    char cpy_r_r167;
    PyObject *cpy_r_r168;
    PyObject *cpy_r_r169;
    PyObject *cpy_r_r170;
    PyObject *cpy_r_r171;
    PyObject *cpy_r_r172;
    PyObject *cpy_r_r173;
    PyObject *cpy_r_r174;
    PyObject *cpy_r_r175;
    PyObject *cpy_r_r176;
    int32_t cpy_r_r177;
    char cpy_r_r178;
    PyObject *cpy_r_r179;
    PyObject *cpy_r_r180;
    int32_t cpy_r_r181;
    char cpy_r_r182;
    PyObject *cpy_r_r183;
    PyObject *cpy_r_r184;
    PyObject *cpy_r_r185;
    PyObject *cpy_r_r186;
    PyObject *cpy_r_r187;
    PyObject *cpy_r_r188;
    PyObject *cpy_r_r189;
    PyObject **cpy_r_r191;
    PyObject *cpy_r_r192;
    PyObject *cpy_r_r193;
    PyObject **cpy_r_r195;
    PyObject *cpy_r_r196;
    PyObject *cpy_r_r197;
    PyObject *cpy_r_r198;
    int32_t cpy_r_r199;
    char cpy_r_r200;
    PyObject *cpy_r_r201;
    PyObject *cpy_r_r202;
    PyObject *cpy_r_r203;
    PyObject *cpy_r_r204;
    PyObject *cpy_r_r205;
    PyObject *cpy_r_r206;
    PyObject *cpy_r_r207;
    PyObject **cpy_r_r209;
    PyObject *cpy_r_r210;
    PyObject *cpy_r_r211;
    PyObject **cpy_r_r213;
    PyObject *cpy_r_r214;
    PyObject *cpy_r_r215;
    PyObject *cpy_r_r216;
    int32_t cpy_r_r217;
    char cpy_r_r218;
    char cpy_r_r219;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r2 = cpy_r_r0 != cpy_r_r1;
    if (cpy_r_r2) goto CPyL3;
    cpy_r_r3 = CPyStatics[64]; /* 'builtins' */
    cpy_r_r4 = PyImport_Import(cpy_r_r3);
    if (unlikely(cpy_r_r4 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL72;
    }
    CPyModule_builtins = cpy_r_r4;
    CPy_INCREF(CPyModule_builtins);
    CPy_DECREF(cpy_r_r4);
CPyL3: ;
    cpy_r_r5 = CPyStatics[117]; /* ('lru_cache',) */
    cpy_r_r6 = CPyStatics[66]; /* 'functools' */
    cpy_r_r7 = CPyStatic_globals;
    cpy_r_r8 = CPyImport_ImportFromMany(cpy_r_r6, cpy_r_r5, cpy_r_r5, cpy_r_r7);
    if (unlikely(cpy_r_r8 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 1, CPyStatic_globals);
        goto CPyL72;
    }
    CPyModule_functools = cpy_r_r8;
    CPy_INCREF(CPyModule_functools);
    CPy_DECREF(cpy_r_r8);
    cpy_r_r9 = CPyStatics[118]; /* ('getLogger',) */
    cpy_r_r10 = CPyStatics[67]; /* 'logging' */
    cpy_r_r11 = CPyStatic_globals;
    cpy_r_r12 = CPyImport_ImportFromMany(cpy_r_r10, cpy_r_r9, cpy_r_r9, cpy_r_r11);
    if (unlikely(cpy_r_r12 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 2, CPyStatic_globals);
        goto CPyL72;
    }
    CPyModule_logging = cpy_r_r12;
    CPy_INCREF(CPyModule_logging);
    CPy_DECREF(cpy_r_r12);
    cpy_r_r13 = CPyStatics[119]; /* ('List', 'Optional') */
    cpy_r_r14 = CPyStatics[70]; /* 'typing' */
    cpy_r_r15 = CPyStatic_globals;
    cpy_r_r16 = CPyImport_ImportFromMany(cpy_r_r14, cpy_r_r13, cpy_r_r13, cpy_r_r15);
    if (unlikely(cpy_r_r16 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 3, CPyStatic_globals);
        goto CPyL72;
    }
    CPyModule_typing = cpy_r_r16;
    CPy_INCREF(CPyModule_typing);
    CPy_DECREF(cpy_r_r16);
    cpy_r_r17 = CPyStatics[120]; /* ('COMMON_SAFE_ASCII_CHARACTERS', 'TRACE',
                                    'UNICODE_SECONDARY_RANGE_KEYWORD') */
    cpy_r_r18 = CPyStatics[71]; /* 'charset_normalizer.constant' */
    cpy_r_r19 = CPyStatic_globals;
    cpy_r_r20 = CPyImport_ImportFromMany(cpy_r_r18, cpy_r_r17, cpy_r_r17, cpy_r_r19);
    if (unlikely(cpy_r_r20 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 5, CPyStatic_globals);
        goto CPyL72;
    }
    CPyModule_charset_normalizer___constant = cpy_r_r20;
    CPy_INCREF(CPyModule_charset_normalizer___constant);
    CPy_DECREF(cpy_r_r20);
    cpy_r_r21 = CPyStatics[121]; /* ('is_accentuated', 'is_ascii', 'is_case_variable',
                                    'is_cjk', 'is_emoticon', 'is_hangul', 'is_hiragana',
                                    'is_katakana', 'is_latin', 'is_punctuation',
                                    'is_separator', 'is_symbol', 'is_thai', 'is_unprintable',
                                    'remove_accent', 'unicode_range') */
    cpy_r_r22 = CPyStatics[72]; /* 'charset_normalizer.utils' */
    cpy_r_r23 = CPyStatic_globals;
    cpy_r_r24 = CPyImport_ImportFromMany(cpy_r_r22, cpy_r_r21, cpy_r_r21, cpy_r_r23);
    if (unlikely(cpy_r_r24 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 10, CPyStatic_globals);
        goto CPyL72;
    }
    CPyModule_charset_normalizer___utils = cpy_r_r24;
    CPy_INCREF(CPyModule_charset_normalizer___utils);
    CPy_DECREF(cpy_r_r24);
    cpy_r_r25 = NULL;
    cpy_r_r26 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r27 = (PyObject *)CPyType_MessDetectorPlugin_template;
    cpy_r_r28 = CPyType_FromTemplate(cpy_r_r27, cpy_r_r25, cpy_r_r26);
    if (unlikely(cpy_r_r28 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 30, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r29 = CPyDef_MessDetectorPlugin_trait_vtable_setup();
    if (unlikely(cpy_r_r29 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL73;
    }
    cpy_r_r30 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r31 = PyTuple_Pack(0);
    if (unlikely(cpy_r_r31 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 30, CPyStatic_globals);
        goto CPyL73;
    }
    cpy_r_r32 = PyObject_SetAttr(cpy_r_r28, cpy_r_r30, cpy_r_r31);
    CPy_DECREF(cpy_r_r31);
    cpy_r_r33 = cpy_r_r32 >= 0;
    if (unlikely(!cpy_r_r33)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 30, CPyStatic_globals);
        goto CPyL73;
    }
    CPyType_MessDetectorPlugin = (PyTypeObject *)cpy_r_r28;
    CPy_INCREF(CPyType_MessDetectorPlugin);
    cpy_r_r34 = CPyStatic_globals;
    cpy_r_r35 = CPyStatics[75]; /* 'MessDetectorPlugin' */
    cpy_r_r36 = CPyDict_SetItem(cpy_r_r34, cpy_r_r35, cpy_r_r28);
    CPy_DECREF(cpy_r_r28);
    cpy_r_r37 = cpy_r_r36 >= 0;
    if (unlikely(!cpy_r_r37)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 30, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r38 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r39 = PyTuple_Pack(1, cpy_r_r38);
    if (unlikely(cpy_r_r39 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 64, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r40 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r41 = (PyObject *)CPyType_TooManySymbolOrPunctuationPlugin_template;
    cpy_r_r42 = CPyType_FromTemplate(cpy_r_r41, cpy_r_r39, cpy_r_r40);
    CPy_DECREF(cpy_r_r39);
    if (unlikely(cpy_r_r42 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 64, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r43 = CPyDef_TooManySymbolOrPunctuationPlugin_trait_vtable_setup();
    if (unlikely(cpy_r_r43 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL74;
    }
    cpy_r_r44 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r45 = CPyStatics[76]; /* '_punctuation_count' */
    cpy_r_r46 = CPyStatics[77]; /* '_symbol_count' */
    cpy_r_r47 = CPyStatics[78]; /* '_character_count' */
    cpy_r_r48 = CPyStatics[79]; /* '_last_printable_char' */
    cpy_r_r49 = CPyStatics[80]; /* '_frenzy_symbol_in_word' */
    cpy_r_r50 = PyTuple_Pack(5, cpy_r_r45, cpy_r_r46, cpy_r_r47, cpy_r_r48, cpy_r_r49);
    if (unlikely(cpy_r_r50 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 64, CPyStatic_globals);
        goto CPyL74;
    }
    cpy_r_r51 = PyObject_SetAttr(cpy_r_r42, cpy_r_r44, cpy_r_r50);
    CPy_DECREF(cpy_r_r50);
    cpy_r_r52 = cpy_r_r51 >= 0;
    if (unlikely(!cpy_r_r52)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 64, CPyStatic_globals);
        goto CPyL74;
    }
    CPyType_TooManySymbolOrPunctuationPlugin = (PyTypeObject *)cpy_r_r42;
    CPy_INCREF(CPyType_TooManySymbolOrPunctuationPlugin);
    cpy_r_r53 = CPyStatic_globals;
    cpy_r_r54 = CPyStatics[81]; /* 'TooManySymbolOrPunctuationPlugin' */
    cpy_r_r55 = CPyDict_SetItem(cpy_r_r53, cpy_r_r54, cpy_r_r42);
    CPy_DECREF(cpy_r_r42);
    cpy_r_r56 = cpy_r_r55 >= 0;
    if (unlikely(!cpy_r_r56)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 64, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r57 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r58 = PyTuple_Pack(1, cpy_r_r57);
    if (unlikely(cpy_r_r58 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 111, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r59 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r60 = (PyObject *)CPyType_TooManyAccentuatedPlugin_template;
    cpy_r_r61 = CPyType_FromTemplate(cpy_r_r60, cpy_r_r58, cpy_r_r59);
    CPy_DECREF(cpy_r_r58);
    if (unlikely(cpy_r_r61 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 111, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r62 = CPyDef_TooManyAccentuatedPlugin_trait_vtable_setup();
    if (unlikely(cpy_r_r62 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL75;
    }
    cpy_r_r63 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r64 = CPyStatics[78]; /* '_character_count' */
    cpy_r_r65 = CPyStatics[82]; /* '_accentuated_count' */
    cpy_r_r66 = PyTuple_Pack(2, cpy_r_r64, cpy_r_r65);
    if (unlikely(cpy_r_r66 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 111, CPyStatic_globals);
        goto CPyL75;
    }
    cpy_r_r67 = PyObject_SetAttr(cpy_r_r61, cpy_r_r63, cpy_r_r66);
    CPy_DECREF(cpy_r_r66);
    cpy_r_r68 = cpy_r_r67 >= 0;
    if (unlikely(!cpy_r_r68)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 111, CPyStatic_globals);
        goto CPyL75;
    }
    CPyType_TooManyAccentuatedPlugin = (PyTypeObject *)cpy_r_r61;
    CPy_INCREF(CPyType_TooManyAccentuatedPlugin);
    cpy_r_r69 = CPyStatic_globals;
    cpy_r_r70 = CPyStatics[83]; /* 'TooManyAccentuatedPlugin' */
    cpy_r_r71 = CPyDict_SetItem(cpy_r_r69, cpy_r_r70, cpy_r_r61);
    CPy_DECREF(cpy_r_r61);
    cpy_r_r72 = cpy_r_r71 >= 0;
    if (unlikely(!cpy_r_r72)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 111, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r73 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r74 = PyTuple_Pack(1, cpy_r_r73);
    if (unlikely(cpy_r_r74 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 137, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r75 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r76 = (PyObject *)CPyType_UnprintablePlugin_template;
    cpy_r_r77 = CPyType_FromTemplate(cpy_r_r76, cpy_r_r74, cpy_r_r75);
    CPy_DECREF(cpy_r_r74);
    if (unlikely(cpy_r_r77 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 137, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r78 = CPyDef_UnprintablePlugin_trait_vtable_setup();
    if (unlikely(cpy_r_r78 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL76;
    }
    cpy_r_r79 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r80 = CPyStatics[84]; /* '_unprintable_count' */
    cpy_r_r81 = CPyStatics[78]; /* '_character_count' */
    cpy_r_r82 = PyTuple_Pack(2, cpy_r_r80, cpy_r_r81);
    if (unlikely(cpy_r_r82 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 137, CPyStatic_globals);
        goto CPyL76;
    }
    cpy_r_r83 = PyObject_SetAttr(cpy_r_r77, cpy_r_r79, cpy_r_r82);
    CPy_DECREF(cpy_r_r82);
    cpy_r_r84 = cpy_r_r83 >= 0;
    if (unlikely(!cpy_r_r84)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 137, CPyStatic_globals);
        goto CPyL76;
    }
    CPyType_UnprintablePlugin = (PyTypeObject *)cpy_r_r77;
    CPy_INCREF(CPyType_UnprintablePlugin);
    cpy_r_r85 = CPyStatic_globals;
    cpy_r_r86 = CPyStatics[85]; /* 'UnprintablePlugin' */
    cpy_r_r87 = CPyDict_SetItem(cpy_r_r85, cpy_r_r86, cpy_r_r77);
    CPy_DECREF(cpy_r_r77);
    cpy_r_r88 = cpy_r_r87 >= 0;
    if (unlikely(!cpy_r_r88)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 137, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r89 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r90 = PyTuple_Pack(1, cpy_r_r89);
    if (unlikely(cpy_r_r90 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 161, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r91 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r92 = (PyObject *)CPyType_SuspiciousDuplicateAccentPlugin_template;
    cpy_r_r93 = CPyType_FromTemplate(cpy_r_r92, cpy_r_r90, cpy_r_r91);
    CPy_DECREF(cpy_r_r90);
    if (unlikely(cpy_r_r93 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 161, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r94 = CPyDef_SuspiciousDuplicateAccentPlugin_trait_vtable_setup();
    if (unlikely(cpy_r_r94 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL77;
    }
    cpy_r_r95 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r96 = CPyStatics[86]; /* '_successive_count' */
    cpy_r_r97 = CPyStatics[78]; /* '_character_count' */
    cpy_r_r98 = CPyStatics[87]; /* '_last_latin_character' */
    cpy_r_r99 = PyTuple_Pack(3, cpy_r_r96, cpy_r_r97, cpy_r_r98);
    if (unlikely(cpy_r_r99 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 161, CPyStatic_globals);
        goto CPyL77;
    }
    cpy_r_r100 = PyObject_SetAttr(cpy_r_r93, cpy_r_r95, cpy_r_r99);
    CPy_DECREF(cpy_r_r99);
    cpy_r_r101 = cpy_r_r100 >= 0;
    if (unlikely(!cpy_r_r101)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 161, CPyStatic_globals);
        goto CPyL77;
    }
    CPyType_SuspiciousDuplicateAccentPlugin = (PyTypeObject *)cpy_r_r93;
    CPy_INCREF(CPyType_SuspiciousDuplicateAccentPlugin);
    cpy_r_r102 = CPyStatic_globals;
    cpy_r_r103 = CPyStatics[88]; /* 'SuspiciousDuplicateAccentPlugin' */
    cpy_r_r104 = CPyDict_SetItem(cpy_r_r102, cpy_r_r103, cpy_r_r93);
    CPy_DECREF(cpy_r_r93);
    cpy_r_r105 = cpy_r_r104 >= 0;
    if (unlikely(!cpy_r_r105)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 161, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r106 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r107 = PyTuple_Pack(1, cpy_r_r106);
    if (unlikely(cpy_r_r107 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 198, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r108 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r109 = (PyObject *)CPyType_SuspiciousRange_template;
    cpy_r_r110 = CPyType_FromTemplate(cpy_r_r109, cpy_r_r107, cpy_r_r108);
    CPy_DECREF(cpy_r_r107);
    if (unlikely(cpy_r_r110 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 198, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r111 = CPyDef_SuspiciousRange_trait_vtable_setup();
    if (unlikely(cpy_r_r111 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL78;
    }
    cpy_r_r112 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r113 = CPyStatics[89]; /* '_suspicious_successive_range_count' */
    cpy_r_r114 = CPyStatics[78]; /* '_character_count' */
    cpy_r_r115 = CPyStatics[90]; /* '_last_printable_seen' */
    cpy_r_r116 = PyTuple_Pack(3, cpy_r_r113, cpy_r_r114, cpy_r_r115);
    if (unlikely(cpy_r_r116 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 198, CPyStatic_globals);
        goto CPyL78;
    }
    cpy_r_r117 = PyObject_SetAttr(cpy_r_r110, cpy_r_r112, cpy_r_r116);
    CPy_DECREF(cpy_r_r116);
    cpy_r_r118 = cpy_r_r117 >= 0;
    if (unlikely(!cpy_r_r118)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 198, CPyStatic_globals);
        goto CPyL78;
    }
    CPyType_SuspiciousRange = (PyTypeObject *)cpy_r_r110;
    CPy_INCREF(CPyType_SuspiciousRange);
    cpy_r_r119 = CPyStatic_globals;
    cpy_r_r120 = CPyStatics[91]; /* 'SuspiciousRange' */
    cpy_r_r121 = CPyDict_SetItem(cpy_r_r119, cpy_r_r120, cpy_r_r110);
    CPy_DECREF(cpy_r_r110);
    cpy_r_r122 = cpy_r_r121 >= 0;
    if (unlikely(!cpy_r_r122)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 198, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r123 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r124 = PyTuple_Pack(1, cpy_r_r123);
    if (unlikely(cpy_r_r124 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 250, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r125 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r126 = (PyObject *)CPyType_SuperWeirdWordPlugin_template;
    cpy_r_r127 = CPyType_FromTemplate(cpy_r_r126, cpy_r_r124, cpy_r_r125);
    CPy_DECREF(cpy_r_r124);
    if (unlikely(cpy_r_r127 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 250, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r128 = CPyDef_SuperWeirdWordPlugin_trait_vtable_setup();
    if (unlikely(cpy_r_r128 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL79;
    }
    cpy_r_r129 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r130 = CPyStatics[92]; /* '_word_count' */
    cpy_r_r131 = CPyStatics[93]; /* '_bad_word_count' */
    cpy_r_r132 = CPyStatics[94]; /* '_foreign_long_count' */
    cpy_r_r133 = CPyStatics[95]; /* '_is_current_word_bad' */
    cpy_r_r134 = CPyStatics[96]; /* '_foreign_long_watch' */
    cpy_r_r135 = CPyStatics[78]; /* '_character_count' */
    cpy_r_r136 = CPyStatics[97]; /* '_bad_character_count' */
    cpy_r_r137 = CPyStatics[98]; /* '_buffer' */
    cpy_r_r138 = CPyStatics[99]; /* '_buffer_accent_count' */
    cpy_r_r139 = PyTuple_Pack(9, cpy_r_r130, cpy_r_r131, cpy_r_r132, cpy_r_r133, cpy_r_r134, cpy_r_r135, cpy_r_r136, cpy_r_r137, cpy_r_r138);
    if (unlikely(cpy_r_r139 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 250, CPyStatic_globals);
        goto CPyL79;
    }
    cpy_r_r140 = PyObject_SetAttr(cpy_r_r127, cpy_r_r129, cpy_r_r139);
    CPy_DECREF(cpy_r_r139);
    cpy_r_r141 = cpy_r_r140 >= 0;
    if (unlikely(!cpy_r_r141)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 250, CPyStatic_globals);
        goto CPyL79;
    }
    CPyType_SuperWeirdWordPlugin = (PyTypeObject *)cpy_r_r127;
    CPy_INCREF(CPyType_SuperWeirdWordPlugin);
    cpy_r_r142 = CPyStatic_globals;
    cpy_r_r143 = CPyStatics[100]; /* 'SuperWeirdWordPlugin' */
    cpy_r_r144 = CPyDict_SetItem(cpy_r_r142, cpy_r_r143, cpy_r_r127);
    CPy_DECREF(cpy_r_r127);
    cpy_r_r145 = cpy_r_r144 >= 0;
    if (unlikely(!cpy_r_r145)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 250, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r146 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r147 = PyTuple_Pack(1, cpy_r_r146);
    if (unlikely(cpy_r_r147 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 351, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r148 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r149 = (PyObject *)CPyType_CjkInvalidStopPlugin_template;
    cpy_r_r150 = CPyType_FromTemplate(cpy_r_r149, cpy_r_r147, cpy_r_r148);
    CPy_DECREF(cpy_r_r147);
    if (unlikely(cpy_r_r150 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 351, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r151 = CPyDef_CjkInvalidStopPlugin_trait_vtable_setup();
    if (unlikely(cpy_r_r151 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL80;
    }
    cpy_r_r152 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r153 = CPyStatics[101]; /* '_wrong_stop_count' */
    cpy_r_r154 = CPyStatics[102]; /* '_cjk_character_count' */
    cpy_r_r155 = PyTuple_Pack(2, cpy_r_r153, cpy_r_r154);
    if (unlikely(cpy_r_r155 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 351, CPyStatic_globals);
        goto CPyL80;
    }
    cpy_r_r156 = PyObject_SetAttr(cpy_r_r150, cpy_r_r152, cpy_r_r155);
    CPy_DECREF(cpy_r_r155);
    cpy_r_r157 = cpy_r_r156 >= 0;
    if (unlikely(!cpy_r_r157)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 351, CPyStatic_globals);
        goto CPyL80;
    }
    CPyType_CjkInvalidStopPlugin = (PyTypeObject *)cpy_r_r150;
    CPy_INCREF(CPyType_CjkInvalidStopPlugin);
    cpy_r_r158 = CPyStatic_globals;
    cpy_r_r159 = CPyStatics[103]; /* 'CjkInvalidStopPlugin' */
    cpy_r_r160 = CPyDict_SetItem(cpy_r_r158, cpy_r_r159, cpy_r_r150);
    CPy_DECREF(cpy_r_r150);
    cpy_r_r161 = cpy_r_r160 >= 0;
    if (unlikely(!cpy_r_r161)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 351, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r162 = (PyObject *)CPyType_MessDetectorPlugin;
    cpy_r_r163 = PyTuple_Pack(1, cpy_r_r162);
    if (unlikely(cpy_r_r163 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 382, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r164 = CPyStatics[73]; /* 'charset_normalizer.md' */
    cpy_r_r165 = (PyObject *)CPyType_ArchaicUpperLowerPlugin_template;
    cpy_r_r166 = CPyType_FromTemplate(cpy_r_r165, cpy_r_r163, cpy_r_r164);
    CPy_DECREF(cpy_r_r163);
    if (unlikely(cpy_r_r166 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 382, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r167 = CPyDef_ArchaicUpperLowerPlugin_trait_vtable_setup();
    if (unlikely(cpy_r_r167 == 2)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", -1, CPyStatic_globals);
        goto CPyL81;
    }
    cpy_r_r168 = CPyStatics[74]; /* '__mypyc_attrs__' */
    cpy_r_r169 = CPyStatics[104]; /* '_buf' */
    cpy_r_r170 = CPyStatics[105]; /* '_character_count_since_last_sep' */
    cpy_r_r171 = CPyStatics[106]; /* '_successive_upper_lower_count' */
    cpy_r_r172 = CPyStatics[107]; /* '_successive_upper_lower_count_final' */
    cpy_r_r173 = CPyStatics[78]; /* '_character_count' */
    cpy_r_r174 = CPyStatics[108]; /* '_last_alpha_seen' */
    cpy_r_r175 = CPyStatics[109]; /* '_current_ascii_only' */
    cpy_r_r176 = PyTuple_Pack(7, cpy_r_r169, cpy_r_r170, cpy_r_r171, cpy_r_r172, cpy_r_r173, cpy_r_r174, cpy_r_r175);
    if (unlikely(cpy_r_r176 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 382, CPyStatic_globals);
        goto CPyL81;
    }
    cpy_r_r177 = PyObject_SetAttr(cpy_r_r166, cpy_r_r168, cpy_r_r176);
    CPy_DECREF(cpy_r_r176);
    cpy_r_r178 = cpy_r_r177 >= 0;
    if (unlikely(!cpy_r_r178)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 382, CPyStatic_globals);
        goto CPyL81;
    }
    CPyType_ArchaicUpperLowerPlugin = (PyTypeObject *)cpy_r_r166;
    CPy_INCREF(CPyType_ArchaicUpperLowerPlugin);
    cpy_r_r179 = CPyStatic_globals;
    cpy_r_r180 = CPyStatics[110]; /* 'ArchaicUpperLowerPlugin' */
    cpy_r_r181 = CPyDict_SetItem(cpy_r_r179, cpy_r_r180, cpy_r_r166);
    CPy_DECREF(cpy_r_r166);
    cpy_r_r182 = cpy_r_r181 >= 0;
    if (unlikely(!cpy_r_r182)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 382, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r183 = CPyStatic_globals;
    cpy_r_r184 = CPyStatics[18]; /* 'is_suspiciously_successive_range' */
    cpy_r_r185 = CPyDict_GetItem(cpy_r_r183, cpy_r_r184);
    if (unlikely(cpy_r_r185 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 458, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r186 = CPyStatic_globals;
    cpy_r_r187 = CPyStatics[65]; /* 'lru_cache' */
    cpy_r_r188 = CPyDict_GetItem(cpy_r_r186, cpy_r_r187);
    if (unlikely(cpy_r_r188 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 458, CPyStatic_globals);
        goto CPyL82;
    }
    cpy_r_r189 = CPyStatics[115]; /* 1024 */
    PyObject *cpy_r_r190[1] = {cpy_r_r189};
    cpy_r_r191 = (PyObject **)&cpy_r_r190;
    cpy_r_r192 = CPyStatics[122]; /* ('maxsize',) */
    cpy_r_r193 = _PyObject_Vectorcall(cpy_r_r188, cpy_r_r191, 0, cpy_r_r192);
    CPy_DECREF(cpy_r_r188);
    if (unlikely(cpy_r_r193 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 458, CPyStatic_globals);
        goto CPyL82;
    }
    PyObject *cpy_r_r194[1] = {cpy_r_r185};
    cpy_r_r195 = (PyObject **)&cpy_r_r194;
    cpy_r_r196 = _PyObject_Vectorcall(cpy_r_r193, cpy_r_r195, 1, 0);
    CPy_DECREF(cpy_r_r193);
    if (unlikely(cpy_r_r196 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 458, CPyStatic_globals);
        goto CPyL82;
    }
    CPy_DECREF(cpy_r_r185);
    cpy_r_r197 = CPyStatic_globals;
    cpy_r_r198 = CPyStatics[18]; /* 'is_suspiciously_successive_range' */
    cpy_r_r199 = CPyDict_SetItem(cpy_r_r197, cpy_r_r198, cpy_r_r196);
    CPy_DECREF(cpy_r_r196);
    cpy_r_r200 = cpy_r_r199 >= 0;
    if (unlikely(!cpy_r_r200)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 458, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r201 = CPyStatic_globals;
    cpy_r_r202 = CPyStatics[112]; /* 'mess_ratio' */
    cpy_r_r203 = CPyDict_GetItem(cpy_r_r201, cpy_r_r202);
    if (unlikely(cpy_r_r203 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 529, CPyStatic_globals);
        goto CPyL72;
    }
    cpy_r_r204 = CPyStatic_globals;
    cpy_r_r205 = CPyStatics[65]; /* 'lru_cache' */
    cpy_r_r206 = CPyDict_GetItem(cpy_r_r204, cpy_r_r205);
    if (unlikely(cpy_r_r206 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 529, CPyStatic_globals);
        goto CPyL83;
    }
    cpy_r_r207 = CPyStatics[116]; /* 2048 */
    PyObject *cpy_r_r208[1] = {cpy_r_r207};
    cpy_r_r209 = (PyObject **)&cpy_r_r208;
    cpy_r_r210 = CPyStatics[122]; /* ('maxsize',) */
    cpy_r_r211 = _PyObject_Vectorcall(cpy_r_r206, cpy_r_r209, 0, cpy_r_r210);
    CPy_DECREF(cpy_r_r206);
    if (unlikely(cpy_r_r211 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 529, CPyStatic_globals);
        goto CPyL83;
    }
    PyObject *cpy_r_r212[1] = {cpy_r_r203};
    cpy_r_r213 = (PyObject **)&cpy_r_r212;
    cpy_r_r214 = _PyObject_Vectorcall(cpy_r_r211, cpy_r_r213, 1, 0);
    CPy_DECREF(cpy_r_r211);
    if (unlikely(cpy_r_r214 == NULL)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 529, CPyStatic_globals);
        goto CPyL83;
    }
    CPy_DECREF(cpy_r_r203);
    cpy_r_r215 = CPyStatic_globals;
    cpy_r_r216 = CPyStatics[112]; /* 'mess_ratio' */
    cpy_r_r217 = CPyDict_SetItem(cpy_r_r215, cpy_r_r216, cpy_r_r214);
    CPy_DECREF(cpy_r_r214);
    cpy_r_r218 = cpy_r_r217 >= 0;
    if (unlikely(!cpy_r_r218)) {
        CPy_AddTraceback("charset_normalizer/md.py", "<module>", 529, CPyStatic_globals);
        goto CPyL72;
    }
    return 1;
CPyL72: ;
    cpy_r_r219 = 2;
    return cpy_r_r219;
CPyL73: ;
    CPy_DecRef(cpy_r_r28);
    goto CPyL72;
CPyL74: ;
    CPy_DecRef(cpy_r_r42);
    goto CPyL72;
CPyL75: ;
    CPy_DecRef(cpy_r_r61);
    goto CPyL72;
CPyL76: ;
    CPy_DecRef(cpy_r_r77);
    goto CPyL72;
CPyL77: ;
    CPy_DecRef(cpy_r_r93);
    goto CPyL72;
CPyL78: ;
    CPy_DecRef(cpy_r_r110);
    goto CPyL72;
CPyL79: ;
    CPy_DecRef(cpy_r_r127);
    goto CPyL72;
CPyL80: ;
    CPy_DecRef(cpy_r_r150);
    goto CPyL72;
CPyL81: ;
    CPy_DecRef(cpy_r_r166);
    goto CPyL72;
CPyL82: ;
    CPy_DecRef(cpy_r_r185);
    goto CPyL72;
CPyL83: ;
    CPy_DecRef(cpy_r_r203);
    goto CPyL72;
}

int CPyGlobalsInit(void)
{
    static int is_initialized = 0;
    if (is_initialized) return 0;
    
    CPy_Init();
    CPyModule_charset_normalizer___md = Py_None;
    CPyModule_builtins = Py_None;
    CPyModule_functools = Py_None;
    CPyModule_logging = Py_None;
    CPyModule_typing = Py_None;
    CPyModule_charset_normalizer___constant = Py_None;
    CPyModule_charset_normalizer___utils = Py_None;
    if (CPyStatics_Initialize(CPyStatics, CPyLit_Str, CPyLit_Bytes, CPyLit_Int, CPyLit_Float, CPyLit_Complex, CPyLit_Tuple, CPyLit_FrozenSet) < 0) {
        return -1;
    }
    is_initialized = 1;
    return 0;
}

PyObject *CPyStatics[125];
const char * const CPyLit_Str[] = {
    "\003\023NotImplementedError\visprintable\034COMMON_SAFE_ASCII_CHARACTERS",
    "\006\016is_punctuation\aisdigit\tis_symbol\vis_emoticon\aisalpha\016is_accentuated",
    "\006\016is_unprintable\bis_latin\aisupper\rremove_accent\aisspace\runicode_range",
    "\005 is_suspiciously_successive_range\000\006is_cjk\tis_hangul\vis_katakana",
    "\f\vis_hiragana\ais_thai\fis_separator\001<\001>\001~\001_\001-\001|\001=\003\344\270\205\003\344\270\204",
    "\a\020is_case_variable\bis_ascii\aislower\005Latin\tEmoticons\tCombining\001 ",
    "\005\037UNICODE_SECONDARY_RANGE_KEYWORD\bHiragana\bKatakana\003CJK\006Hangul",
    "\006\vBasic Latin\vPunctuation\005Forms\016__subclasses__\001\n\022charset_normalizer",
    "\002\tgetLogger\005TRACE",
    "\001IMess-detector extended-analysis start. intermediary_mean_mess_ratio_calc=",
    "\004\021 mean_mess_ratio=\023 maximum_threshold=\003log\017Starting with: ",
    "\b\rEnding with: \t__class__\002: \005round\bbuiltins\tlru_cache\tfunctools\alogging",
    "\004\004List\bOptional\006typing\033charset_normalizer.constant",
    "\003\030charset_normalizer.utils\025charset_normalizer.md\017__mypyc_attrs__",
    "\004\022MessDetectorPlugin\022_punctuation_count\r_symbol_count\020_character_count",
    "\002\024_last_printable_char\026_frenzy_symbol_in_word",
    "\002 TooManySymbolOrPunctuationPlugin\022_accentuated_count",
    "\003\030TooManyAccentuatedPlugin\022_unprintable_count\021UnprintablePlugin",
    "\002\021_successive_count\025_last_latin_character",
    "\002\037SuspiciousDuplicateAccentPlugin\"_suspicious_successive_range_count",
    "\004\024_last_printable_seen\017SuspiciousRange\v_word_count\017_bad_word_count",
    "\003\023_foreign_long_count\024_is_current_word_bad\023_foreign_long_watch",
    "\003\024_bad_character_count\a_buffer\024_buffer_accent_count",
    "\003\024SuperWeirdWordPlugin\021_wrong_stop_count\024_cjk_character_count",
    "\003\024CjkInvalidStopPlugin\004_buf\037_character_count_since_last_sep",
    "\002\035_successive_upper_lower_count#_successive_upper_lower_count_final",
    "\004\020_last_alpha_seen\023_current_ascii_only\027ArchaicUpperLowerPlugin\amaxsize",
    "\001\nmess_ratio",
    "",
};
const char * const CPyLit_Bytes[] = {
    "",
};
const char * const CPyLit_Int[] = {
    "\0040\0003\0001024\0002048",
    "",
};
const double CPyLit_Float[] = {0};
const double CPyLit_Complex[] = {0};
const int CPyLit_Tuple[] = {
    6, 1, 65, 1, 53, 2, 68, 69, 3, 5, 54, 42, 16, 11, 36, 35, 20, 9, 21,
    23, 22, 13, 6, 25, 8, 24, 12, 15, 17, 1, 111
};
const int CPyLit_FrozenSet[] = {2, 7, 26, 27, 28, 29, 30, 31, 32, 2, 33, 34};
CPyModule *CPyModule_charset_normalizer___md_internal = NULL;
CPyModule *CPyModule_charset_normalizer___md;
PyObject *CPyStatic_globals;
CPyModule *CPyModule_builtins;
CPyModule *CPyModule_functools;
CPyModule *CPyModule_logging;
CPyModule *CPyModule_typing;
CPyModule *CPyModule_charset_normalizer___constant;
CPyModule *CPyModule_charset_normalizer___utils;
PyTypeObject *CPyType_MessDetectorPlugin;
PyObject *CPyDef_MessDetectorPlugin(void);
PyTypeObject *CPyType_TooManySymbolOrPunctuationPlugin;
PyObject *CPyDef_TooManySymbolOrPunctuationPlugin(void);
PyTypeObject *CPyType_TooManyAccentuatedPlugin;
PyObject *CPyDef_TooManyAccentuatedPlugin(void);
PyTypeObject *CPyType_UnprintablePlugin;
PyObject *CPyDef_UnprintablePlugin(void);
PyTypeObject *CPyType_SuspiciousDuplicateAccentPlugin;
PyObject *CPyDef_SuspiciousDuplicateAccentPlugin(void);
PyTypeObject *CPyType_SuspiciousRange;
PyObject *CPyDef_SuspiciousRange(void);
PyTypeObject *CPyType_SuperWeirdWordPlugin;
PyObject *CPyDef_SuperWeirdWordPlugin(void);
PyTypeObject *CPyType_CjkInvalidStopPlugin;
PyObject *CPyDef_CjkInvalidStopPlugin(void);
PyTypeObject *CPyType_ArchaicUpperLowerPlugin;
PyObject *CPyDef_ArchaicUpperLowerPlugin(void);
char CPyDef_MessDetectorPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_MessDetectorPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_MessDetectorPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_MessDetectorPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_MessDetectorPlugin___reset(PyObject *cpy_r_self);
PyObject *CPyPy_MessDetectorPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_MessDetectorPlugin___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_MessDetectorPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_TooManySymbolOrPunctuationPlugin_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_TooManySymbolOrPunctuationPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw);
char CPyDef_TooManySymbolOrPunctuationPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_TooManySymbolOrPunctuationPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_TooManySymbolOrPunctuationPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_TooManySymbolOrPunctuationPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_TooManySymbolOrPunctuationPlugin___reset(PyObject *cpy_r_self);
PyObject *CPyPy_TooManySymbolOrPunctuationPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_TooManySymbolOrPunctuationPlugin___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_TooManySymbolOrPunctuationPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_TooManyAccentuatedPlugin_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_TooManyAccentuatedPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw);
char CPyDef_TooManyAccentuatedPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_TooManyAccentuatedPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_TooManyAccentuatedPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_TooManyAccentuatedPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_TooManyAccentuatedPlugin___reset(PyObject *cpy_r_self);
PyObject *CPyPy_TooManyAccentuatedPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_TooManyAccentuatedPlugin___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_TooManyAccentuatedPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_UnprintablePlugin_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_UnprintablePlugin_____init__(PyObject *self, PyObject *args, PyObject *kw);
char CPyDef_UnprintablePlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_UnprintablePlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_UnprintablePlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_UnprintablePlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_UnprintablePlugin___reset(PyObject *cpy_r_self);
PyObject *CPyPy_UnprintablePlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_UnprintablePlugin___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_UnprintablePlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuspiciousDuplicateAccentPlugin_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_SuspiciousDuplicateAccentPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw);
char CPyDef_SuspiciousDuplicateAccentPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_SuspiciousDuplicateAccentPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuspiciousDuplicateAccentPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_SuspiciousDuplicateAccentPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuspiciousDuplicateAccentPlugin___reset(PyObject *cpy_r_self);
PyObject *CPyPy_SuspiciousDuplicateAccentPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_SuspiciousDuplicateAccentPlugin___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_SuspiciousDuplicateAccentPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuspiciousRange_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_SuspiciousRange_____init__(PyObject *self, PyObject *args, PyObject *kw);
char CPyDef_SuspiciousRange___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_SuspiciousRange___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuspiciousRange___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_SuspiciousRange___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuspiciousRange___reset(PyObject *cpy_r_self);
PyObject *CPyPy_SuspiciousRange___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_SuspiciousRange___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_SuspiciousRange___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuperWeirdWordPlugin_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_SuperWeirdWordPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw);
char CPyDef_SuperWeirdWordPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_SuperWeirdWordPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuperWeirdWordPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_SuperWeirdWordPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_SuperWeirdWordPlugin___reset(PyObject *cpy_r_self);
PyObject *CPyPy_SuperWeirdWordPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_SuperWeirdWordPlugin___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_SuperWeirdWordPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_CjkInvalidStopPlugin_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_CjkInvalidStopPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw);
char CPyDef_CjkInvalidStopPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_CjkInvalidStopPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_CjkInvalidStopPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_CjkInvalidStopPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_CjkInvalidStopPlugin___reset(PyObject *cpy_r_self);
PyObject *CPyPy_CjkInvalidStopPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_CjkInvalidStopPlugin___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_CjkInvalidStopPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_ArchaicUpperLowerPlugin_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_ArchaicUpperLowerPlugin_____init__(PyObject *self, PyObject *args, PyObject *kw);
char CPyDef_ArchaicUpperLowerPlugin___eligible(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_ArchaicUpperLowerPlugin___eligible(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_ArchaicUpperLowerPlugin___feed(PyObject *cpy_r_self, PyObject *cpy_r_character);
PyObject *CPyPy_ArchaicUpperLowerPlugin___feed(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_ArchaicUpperLowerPlugin___reset(PyObject *cpy_r_self);
PyObject *CPyPy_ArchaicUpperLowerPlugin___reset(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_ArchaicUpperLowerPlugin___ratio(PyObject *cpy_r_self);
PyObject *CPyPy_ArchaicUpperLowerPlugin___ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_is_suspiciously_successive_range(PyObject *cpy_r_unicode_range_a, PyObject *cpy_r_unicode_range_b);
PyObject *CPyPy_is_suspiciously_successive_range(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
double CPyDef_mess_ratio(PyObject *cpy_r_decoded_sequence, double cpy_r_maximum_threshold, char cpy_r_debug, uint32_t cpy_r___bitmap);
PyObject *CPyPy_mess_ratio(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef___top_level__(void);

static struct export_table_charset_normalizer___md exports = {
    &CPyType_MessDetectorPlugin,
    &CPyDef_MessDetectorPlugin,
    &CPyType_TooManySymbolOrPunctuationPlugin,
    &CPyDef_TooManySymbolOrPunctuationPlugin,
    &CPyType_TooManyAccentuatedPlugin,
    &CPyDef_TooManyAccentuatedPlugin,
    &CPyType_UnprintablePlugin,
    &CPyDef_UnprintablePlugin,
    &CPyType_SuspiciousDuplicateAccentPlugin,
    &CPyDef_SuspiciousDuplicateAccentPlugin,
    &CPyType_SuspiciousRange,
    &CPyDef_SuspiciousRange,
    &CPyType_SuperWeirdWordPlugin,
    &CPyDef_SuperWeirdWordPlugin,
    &CPyType_CjkInvalidStopPlugin,
    &CPyDef_CjkInvalidStopPlugin,
    &CPyType_ArchaicUpperLowerPlugin,
    &CPyDef_ArchaicUpperLowerPlugin,
    &CPyDef_MessDetectorPlugin___eligible,
    &CPyDef_MessDetectorPlugin___feed,
    &CPyDef_MessDetectorPlugin___reset,
    &CPyDef_MessDetectorPlugin___ratio,
    &CPyDef_TooManySymbolOrPunctuationPlugin_____init__,
    &CPyDef_TooManySymbolOrPunctuationPlugin___eligible,
    &CPyDef_TooManySymbolOrPunctuationPlugin___feed,
    &CPyDef_TooManySymbolOrPunctuationPlugin___reset,
    &CPyDef_TooManySymbolOrPunctuationPlugin___ratio,
    &CPyDef_TooManyAccentuatedPlugin_____init__,
    &CPyDef_TooManyAccentuatedPlugin___eligible,
    &CPyDef_TooManyAccentuatedPlugin___feed,
    &CPyDef_TooManyAccentuatedPlugin___reset,
    &CPyDef_TooManyAccentuatedPlugin___ratio,
    &CPyDef_UnprintablePlugin_____init__,
    &CPyDef_UnprintablePlugin___eligible,
    &CPyDef_UnprintablePlugin___feed,
    &CPyDef_UnprintablePlugin___reset,
    &CPyDef_UnprintablePlugin___ratio,
    &CPyDef_SuspiciousDuplicateAccentPlugin_____init__,
    &CPyDef_SuspiciousDuplicateAccentPlugin___eligible,
    &CPyDef_SuspiciousDuplicateAccentPlugin___feed,
    &CPyDef_SuspiciousDuplicateAccentPlugin___reset,
    &CPyDef_SuspiciousDuplicateAccentPlugin___ratio,
    &CPyDef_SuspiciousRange_____init__,
    &CPyDef_SuspiciousRange___eligible,
    &CPyDef_SuspiciousRange___feed,
    &CPyDef_SuspiciousRange___reset,
    &CPyDef_SuspiciousRange___ratio,
    &CPyDef_SuperWeirdWordPlugin_____init__,
    &CPyDef_SuperWeirdWordPlugin___eligible,
    &CPyDef_SuperWeirdWordPlugin___feed,
    &CPyDef_SuperWeirdWordPlugin___reset,
    &CPyDef_SuperWeirdWordPlugin___ratio,
    &CPyDef_CjkInvalidStopPlugin_____init__,
    &CPyDef_CjkInvalidStopPlugin___eligible,
    &CPyDef_CjkInvalidStopPlugin___feed,
    &CPyDef_CjkInvalidStopPlugin___reset,
    &CPyDef_CjkInvalidStopPlugin___ratio,
    &CPyDef_ArchaicUpperLowerPlugin_____init__,
    &CPyDef_ArchaicUpperLowerPlugin___eligible,
    &CPyDef_ArchaicUpperLowerPlugin___feed,
    &CPyDef_ArchaicUpperLowerPlugin___reset,
    &CPyDef_ArchaicUpperLowerPlugin___ratio,
    &CPyDef_is_suspiciously_successive_range,
    &CPyDef_mess_ratio,
    &CPyDef___top_level__,
};

PyMODINIT_FUNC PyInit_md__mypyc(void)
{
    static PyModuleDef def = { PyModuleDef_HEAD_INIT, "charset_normalizer.md__mypyc", NULL, -1, NULL, NULL };
    int res;
    PyObject *capsule;
    PyObject *tmp;
    static PyObject *module;
    if (module) {
        Py_INCREF(module);
        return module;
    }
    module = PyModule_Create(&def);
    if (!module) {
        goto fail;
    }
    
    capsule = PyCapsule_New(&exports, "charset_normalizer.md__mypyc.exports", NULL);
    if (!capsule) {
        goto fail;
    }
    res = PyObject_SetAttrString(module, "exports", capsule);
    Py_DECREF(capsule);
    if (res < 0) {
        goto fail;
    }
    
    extern PyObject *CPyInit_charset_normalizer___md(void);
    capsule = PyCapsule_New((void *)CPyInit_charset_normalizer___md, "charset_normalizer.md__mypyc.init_charset_normalizer___md", NULL);
    if (!capsule) {
        goto fail;
    }
    res = PyObject_SetAttrString(module, "init_charset_normalizer___md", capsule);
    Py_DECREF(capsule);
    if (res < 0) {
        goto fail;
    }
    
    return module;
    fail:
    Py_XDECREF(module);
    return NULL;
}
